#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4073e924, "sev_guest_deactivate" },
	{ 0x2e2df7f4, "irq_remapping_cap" },
	{ 0x33f0ecac, "kvm_queue_exception_p" },
	{ 0xfc40ee52, "__SCK__tp_func_kvm_nested_intr_vmexit" },
	{ 0x73a2e5f9, "kvm_vcpu_deliver_sipi_vector" },
	{ 0x5cea038e, "__tracepoint_kvm_inj_virq" },
	{ 0xd3c8dbad, "fput" },
	{ 0x49608959, "migrate_disable" },
	{ 0x57bc19d2, "down_write" },
	{ 0x20a9bf55, "kvm_cpu_has_interrupt" },
	{ 0x4f3c636f, "handle_fastpath_set_msr_irqoff" },
	{ 0xce807a25, "up_write" },
	{ 0x2e6a6147, "psp_copy_user_blob" },
	{ 0x6cdc8d1, "kvm_configure_mmu" },
	{ 0x48e080b1, "x86_virt_spec_ctrl" },
	{ 0x9c2f0643, "kvm_make_all_cpus_request" },
	{ 0x11f1cff1, "__srcu_read_lock" },
	{ 0x54cc9f67, "__tracepoint_kvm_avic_kick_vcpu_slowpath" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x2e8b0a8c, "kvm_emulate_instruction_from_buffer" },
	{ 0xd718c65d, "kvm_init_mmu" },
	{ 0x53229503, "kvm_emulate_wbinvd" },
	{ 0x3cc5700d, "kvm_vcpu_reset" },
	{ 0x98f4d306, "hyperv_flush_guest_mapping" },
	{ 0x596f5a10, "kvm_set_cr3" },
	{ 0xb074917, "kvm_update_cpuid_runtime" },
	{ 0xf52ae82f, "x86_decode_emulated_instruction" },
	{ 0x92d308d1, "__ct_user_enter" },
	{ 0x3e6e95ae, "__SCK__kvm_x86_get_cs_db_l_bits" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xce29d2c1, "__SCK__tp_func_kvm_page_fault" },
	{ 0x94691d45, "kvm_alloc_apic_access_page" },
	{ 0xaa606796, "kvm_get_cr8" },
	{ 0x925493f, "clear_page_orig" },
	{ 0x2773e12c, "__tracepoint_kvm_vmgexit_exit" },
	{ 0x6636c3c9, "irq_set_vcpu_affinity" },
	{ 0x388e0e10, "__SCT__tp_func_kvm_pi_irte_update" },
	{ 0xeb473b9a, "__SCK__tp_func_ipi_send_cpu" },
	{ 0x19c40943, "kvm_is_linear_rip" },
	{ 0x25d291e7, "kvm_set_dr" },
	{ 0x7d1afbba, "kvm_set_msi_irq" },
	{ 0x65dceb6b, "kvm_emulate_hypercall" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x5fdfa2c1, "amd_pmu_enable_virt" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x709cd8cb, "kvm_spurious_fault" },
	{ 0xb06db061, "__SCK__tp_func_kvm_vmgexit_msr_protocol_exit" },
	{ 0xc5435dfe, "misc_cg_uncharge" },
	{ 0xaf0e6be1, "kvm_emulate_ap_reset_hold" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x4e73e1cc, "__tracepoint_kvm_skinit" },
	{ 0x68952493, "rcu_note_context_switch" },
	{ 0xad1036a2, "amd_iommu_activate_guest_mode" },
	{ 0x121a05af, "load_pdptrs" },
	{ 0x2c1337c1, "__tracepoint_write_msr" },
	{ 0xa588ef67, "__SCT__tp_func_kvm_nested_intercepts" },
	{ 0x5d0113e0, "x86_pred_cmd" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x313a8b4b, "kvm_vcpu_read_guest_page" },
	{ 0x5d996b31, "kvm_set_cpu_caps" },
	{ 0xfb578fc5, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xd59efca6, "hv_track_root_tdp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x5644b8a5, "kvm_set_cr4" },
	{ 0x1f8e9483, "__SCT__tp_func_kvm_avic_doorbell" },
	{ 0xc805f93, "clflush_cache_range" },
	{ 0xb91a6145, "__SCK__tp_func_kvm_exit" },
	{ 0x2c02d49c, "kvm_handle_page_fault" },
	{ 0x95609b26, "context_tracking_key" },
	{ 0x6303c089, "kvm_calc_nested_tsc_offset" },
	{ 0xad43fc4c, "kvm_cpu_caps" },
	{ 0x2d82cc24, "kvm_spec_ctrl_test_value" },
	{ 0x616e6c95, "__SCT__tp_func_kvm_exit" },
	{ 0xc40df88d, "__tracepoint_kvm_avic_unaccelerated_access" },
	{ 0xf6fc8791, "__bitmap_xor" },
	{ 0x6d16c104, "mutex_lock_killable" },
	{ 0x668b19a1, "down_read" },
	{ 0xc5a46301, "kvm_load_guest_xsave_state" },
	{ 0xd5eb8f0f, "kvm_set_cr0" },
	{ 0xa16bfc52, "__kvm_is_valid_cr4" },
	{ 0x4f80e319, "__ct_user_exit" },
	{ 0xb0ad341b, "pv_ops" },
	{ 0x9c4e61a, "kvm_set_cr8" },
	{ 0xab2ce0bc, "__tracepoint_kvm_vmgexit_msr_protocol_exit" },
	{ 0x96e0a82d, "__tracepoint_kvm_invlpga" },
	{ 0xbf7deb5f, "kvm_get_dr" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x8dcebbb1, "kvm_update_dr7" },
	{ 0xfad9ec79, "__tracepoint_kvm_nested_intercepts" },
	{ 0x38cf1196, "kvm_mmu_page_fault" },
	{ 0xccb09342, "__SCK__tp_func_kvm_nested_vmexit" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1d1b139a, "__SCT__tp_func_kvm_avic_ga_log" },
	{ 0x6e011942, "param_ops_bool" },
	{ 0x996ee142, "kvm_emulate_instruction" },
	{ 0x99f6383f, "cpu_info" },
	{ 0xe34f68bb, "kvm_hv_assist_page_enabled" },
	{ 0xef14fd98, "kvm_calc_nested_tsc_multiplier" },
	{ 0x6c95726c, "host_xss" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x1b05e42c, "alloc_pages" },
	{ 0x25db1577, "do_trace_write_msr" },
	{ 0xd2db5f37, "kvm_vcpu_apicv_activated" },
	{ 0x22e50f4f, "kvm_apic_send_ipi" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xf26614d7, "__tracepoint_read_msr" },
	{ 0x63829c30, "kvm_vcpu_read_guest" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6a20079b, "kvm_vcpu_on_spin" },
	{ 0xd02e197f, "sev_platform_init" },
	{ 0xbadb843e, "__SCK__tp_func_kvm_vmgexit_exit" },
	{ 0x3cb3dd49, "kvm_read_guest" },
	{ 0xaa4b457e, "__srcu_read_unlock" },
	{ 0x24563afe, "set_page_dirty_lock" },
	{ 0x14cb44ab, "kvm_vcpu_wake_up" },
	{ 0xdfb62b1b, "ms_hyperv" },
	{ 0x485cd7f6, "kvm_rebooting" },
	{ 0x2d1e7266, "kvm_get_rflags" },
	{ 0x77079bf1, "kvm_queue_exception_e" },
	{ 0xe9dc51c5, "cpu_emergency_register_virt_callback" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x6becaded, "__SCT__tp_func_kvm_inj_virq" },
	{ 0xd09da48b, "__SCT__tp_func_kvm_nested_intr_vmexit" },
	{ 0x126aafa6, "__tracepoint_kvm_exit" },
	{ 0x31f47266, "kvm_emulate_cpuid" },
	{ 0x78d27962, "boot_cpu_data" },
	{ 0xdb88075a, "kvm_emulate_wrmsr" },
	{ 0x6d2a5584, "__SCK__tp_func_kvm_inj_virq" },
	{ 0xf54e2886, "__SCT__tp_func_kvm_vmgexit_msr_protocol_enter" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x7e2169a1, "kvm_find_cpuid_entry_index" },
	{ 0x8f2703b7, "wbinvd_on_all_cpus" },
	{ 0x6d2c9437, "__SCT__tp_func_kvm_nested_vmenter" },
	{ 0x2c79652e, "kvm_vcpu_kick" },
	{ 0x59387ba3, "__SCT__kvm_x86_cache_reg" },
	{ 0x7920e587, "kvm_mmu_invlpg" },
	{ 0x61490d0, "kvm_emulate_invd" },
	{ 0xc77b1756, "kvm_fast_pio" },
	{ 0x50b42ba1, "entry_ibpb" },
	{ 0x69ad6ac1, "cpu_emergency_unregister_virt_callback" },
	{ 0x1dd0a247, "kvm_init_shadow_npt_mmu" },
	{ 0x852887c8, "__SCK__tp_func_kvm_ple_window_update" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xa3a30692, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x3e68653c, "kvm_set_msr_common" },
	{ 0xe93dfc8c, "__SCT__tp_func_kvm_nested_vmenter_failed" },
	{ 0xf5b52d5c, "hv_vp_assist_page" },
	{ 0x4520e3d7, "__SCK__tp_func_kvm_nested_vmexit_inject" },
	{ 0x36c75b4e, "context_tracking" },
	{ 0xdca288a8, "kvm_intr_is_single_vcpu" },
	{ 0x3f510ff5, "kvm_has_noapic_vcpu" },
	{ 0xf1cd8929, "kvm_read_and_reset_apf_flags" },
	{ 0x99fb046f, "kvm_emulate_rdpmc" },
	{ 0x93a3e40e, "__SCT__tp_func_kvm_ple_window_update" },
	{ 0x843d6541, "sev_guest_decommission" },
	{ 0x65eafe86, "param_ops_int" },
	{ 0x7ee9c6e1, "__tracepoint_kvm_nested_vmexit_inject" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x6f76c167, "__tracepoint_kvm_avic_doorbell" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x63b1ec96, "kvm_sev_es_mmio_read" },
	{ 0x7ff2a104, "__SCT__tp_func_kvm_page_fault" },
	{ 0xbd3e8ca, "__SCK__tp_func_kvm_vmgexit_msr_protocol_enter" },
	{ 0x249e7e4, "kvm_cpu_has_injectable_intr" },
	{ 0x874284c2, "kvm_skip_emulated_instruction" },
	{ 0xabdc439, "cc_platform_has" },
	{ 0x1cd61afd, "kvm_set_or_clear_apicv_inhibit" },
	{ 0x3ac6d220, "kvm_handle_invalid_op" },
	{ 0x53b954a2, "up_read" },
	{ 0x2c2f5a09, "x86_family" },
	{ 0x6bc792a4, "kvm_caps" },
	{ 0xf3a040d8, "__kvm_vcpu_update_apicv" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x26b50678, "kvm_sev_es_mmio_write" },
	{ 0xd0895263, "hv_flush_remote_tlbs_range" },
	{ 0x5ec95a6d, "kvm_get_kvm" },
	{ 0x6c11c182, "kvm_complete_insn_gp" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc293701, "kmalloc_caches" },
	{ 0x7084c4d8, "kvm_apic_write_nodecode" },
	{ 0xe0e786a7, "__SCT__tp_func_kvm_skinit" },
	{ 0x9cf59e7a, "allow_smaller_maxphyaddr" },
	{ 0x13b6993b, "__SCK__kvm_x86_cache_reg" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0x90cc4260, "kvm_x86_vendor_init" },
	{ 0x3474ba0d, "pin_user_pages_fast" },
	{ 0xcbaa327d, "misc_cg_set_capacity" },
	{ 0x8074bc94, "__tracepoint_kvm_ple_window_update" },
	{ 0x56ce9a2d, "__SCK__tp_func_kvm_avic_incomplete_ipi" },
	{ 0xe754da4c, "kvm_arch_has_assigned_device" },
	{ 0x250817cf, "kvm_apic_match_dest" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x18582826, "amd_pmu_disable_virt" },
	{ 0x9d14205c, "cr4_read_shadow" },
	{ 0xb82c0987, "enable_pmu" },
	{ 0x1c07f69, "kvm_requeue_exception" },
	{ 0x3e059f28, "sev_guest_activate" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x53d9f927, "__SCT__kvm_x86_get_cs_db_l_bits" },
	{ 0x4b8de85f, "file_is_kvm" },
	{ 0x1ba237b0, "default_cpu_present_to_apicid" },
	{ 0x803d3994, "__tracepoint_kvm_avic_ga_log" },
	{ 0xc2e3bc6c, "__SCK__tp_func_kvm_nested_vmenter_failed" },
	{ 0xd475c188, "kvm_pmu_cap" },
	{ 0x27046576, "kvm_exit" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb56c139d, "kvm_init" },
	{ 0xf5d1ec67, "kvm_deliver_exception_payload" },
	{ 0xc071e99f, "__SCT__tp_func_kvm_entry" },
	{ 0xf1cb640d, "__tracepoint_kvm_avic_incomplete_ipi" },
	{ 0x8e008c03, "param_ops_ushort" },
	{ 0x3f944a6f, "__tracepoint_kvm_nested_vmexit" },
	{ 0x1db1c372, "enable_vmware_backdoor" },
	{ 0x1d013832, "kvm_enable_efer_bits" },
	{ 0x40a0aafc, "__flush_tlb_all" },
	{ 0xece43c37, "__tracepoint_kvm_nested_vmenter" },
	{ 0x2510fc6d, "__SCT__tp_func_kvm_nested_vmexit" },
	{ 0xbd9d6dfc, "kvm_mmu_set_me_spte_mask" },
	{ 0x8a7fe54a, "__SCT__tp_func_kvm_vmgexit_enter" },
	{ 0x7661679f, "__kvm_request_immediate_exit" },
	{ 0xfeea58f2, "srso_alias_untrain_ret" },
	{ 0xd94f27bd, "kvm_emulate_xsetbv" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xa38f21b9, "amd_iommu_update_ga" },
	{ 0xfd22eed9, "__SCK__tp_func_kvm_cr" },
	{ 0x1b59bdbe, "kvm_apicv_activated" },
	{ 0x7915cee5, "do_machine_check" },
	{ 0xf3aa07f3, "__tracepoint_kvm_vmgexit_msr_protocol_enter" },
	{ 0xce576a13, "enable_apicv" },
	{ 0x62b2cd28, "handle_ud" },
	{ 0x4942be67, "__SCT__tp_func_kvm_avic_incomplete_ipi" },
	{ 0xa001cf22, "kvm_mmu_new_pgd" },
	{ 0x395db851, "unpin_user_pages" },
	{ 0xa4b044, "amd_iommu_deactivate_guest_mode" },
	{ 0xece3e2ae, "kvm_post_set_cr4" },
	{ 0xff85d725, "__SCK__tp_func_kvm_nested_intercepts" },
	{ 0xd62e0d0, "__tracepoint_kvm_nested_vmenter_failed" },
	{ 0xd02bdfa3, "kvm_get_msr_common" },
	{ 0xfa2f8411, "__SCK__tp_func_kvm_avic_ga_log" },
	{ 0xf1654f05, "smp_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0xa9c8449b, "__SCK__tp_func_kvm_nested_vmenter" },
	{ 0x942f5173, "perf_event_period" },
	{ 0x6efa9c3c, "pcpu_hot" },
	{ 0x20a28493, "kvm_hv_get_assist_page" },
	{ 0x6340434e, "x86_model" },
	{ 0x2942e7de, "kvm_emulate_halt" },
	{ 0xf00d129b, "__SCK__tp_func_kvm_vmgexit_enter" },
	{ 0x52668df3, "kvm_emulate_mwait" },
	{ 0x811bce9c, "kvm_vcpu_map" },
	{ 0x38384d83, "__SCK__tp_func_kvm_invlpga" },
	{ 0x47fc0524, "__SCK__tp_func_kvm_skinit" },
	{ 0xa3c5aec5, "kvm_msr_allowed" },
	{ 0x687b78fc, "kvm_x86_vendor_exit" },
	{ 0x87f20cf9, "kvm_wait_lapic_expire" },
	{ 0x4396a767, "hv_flush_remote_tlbs" },
	{ 0xbdf183c6, "sev_issue_cmd_external_user" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x479cd852, "kvm_put_kvm" },
	{ 0xde8b541d, "perf_event_read_value" },
	{ 0x61b443f8, "x86_spec_ctrl_current" },
	{ 0x6023d3d0, "kvm_find_cpuid_entry" },
	{ 0x8cfe7711, "kvm_task_switch" },
	{ 0x5388b1a0, "amd_get_dr_addr_mask" },
	{ 0xdf4ca850, "__SCK__tp_func_kvm_avic_unaccelerated_access" },
	{ 0x39e3c030, "do_trace_read_msr" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x787b1337, "kvm_write_guest" },
	{ 0x941786b5, "misc_cg_try_charge" },
	{ 0x8d0f124f, "kvm_sev_es_string_io" },
	{ 0xdf0bbf78, "__tracepoint_kvm_cr" },
	{ 0x6ada8f59, "kvm_mmu_set_mmio_spte_mask" },
	{ 0x53614ec, "kvm_set_user_return_msr" },
	{ 0x22de4931, "amd_iommu_register_ga_log_notifier" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x778e30b9, "__SCT__tp_func_kvm_cr" },
	{ 0xdae9c6ac, "kvm_emulate_monitor" },
	{ 0xc0a0cb55, "kvm_requeue_exception_e" },
	{ 0x329cbb6, "__tracepoint_kvm_vmgexit_enter" },
	{ 0x122c3a7e, "_printk" },
	{ 0x5c7e9f84, "__SCT__tp_func_kvm_apicv_accept_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xc96d35f4, "report_ignored_msrs" },
	{ 0x4a1c261b, "__SCT__tp_func_kvm_invlpga" },
	{ 0x5f911332, "__SCT__tp_func_kvm_avic_kick_vcpu_slowpath" },
	{ 0x74ad5c68, "kvm_queue_exception" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x388264ea, "amd_clear_divider" },
	{ 0x73f27910, "kvm_emulate_rdmsr" },
	{ 0xcff45f4, "__SCT__tp_func_kvm_vmgexit_msr_protocol_exit" },
	{ 0x793ac193, "__SCT__tp_func_ipi_send_cpu" },
	{ 0xa26a2ab1, "__tracepoint_kvm_apicv_accept_irq" },
	{ 0x1b0ce4f1, "__tracepoint_kvm_pi_irte_update" },
	{ 0x8fac14a2, "sev_guest_df_flush" },
	{ 0x8b618aa6, "__SCT__tp_func_kvm_nested_vmexit_inject" },
	{ 0xe72f4fa0, "kvm_vcpu_unmap" },
	{ 0x1170ad5, "kvm_post_set_cr0" },
	{ 0xf6975aef, "__free_pages" },
	{ 0x7fe19488, "kvm_add_user_return_msr" },
	{ 0x9e98afb6, "__tracepoint_kvm_nested_intr_vmexit" },
	{ 0x89629b19, "kvm_valid_efer" },
	{ 0x2ca3364c, "__tracepoint_ipi_send_cpu" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0xc6cbbc89, "capable" },
	{ 0x5e209c5d, "__SCK__tp_func_kvm_pi_irte_update" },
	{ 0xfab33e4c, "enable_mmio_caching" },
	{ 0xb35f6b43, "kvm_set_rflags" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xfe066576, "__SCK__tp_func_kvm_apicv_accept_irq" },
	{ 0x9c52184a, "__SCK__tp_func_kvm_avic_doorbell" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xcd4417f4, "__SCK__tp_func_kvm_entry" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x7e61ac8d, "__SCK__tp_func_kvm_avic_kick_vcpu_slowpath" },
	{ 0x48644036, "__SCT__tp_func_kvm_vmgexit_exit" },
	{ 0xf32dff97, "__SCT__tp_func_kvm_avic_unaccelerated_access" },
	{ 0x4ded60cd, "kvm_handle_invpcid" },
	{ 0xf4ecd4f8, "__tracepoint_kvm_entry" },
	{ 0x47f07d03, "mark_page_accessed" },
	{ 0xb1e5eef8, "kvm_load_host_xsave_state" },
	{ 0xb6ceff4a, "__tracepoint_kvm_page_fault" },
	{ 0x177a82c3, "entry_untrain_ret" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "ccp,kvm");

MODULE_ALIAS("cpu:type:x86,ven*fam*mod*:feature:*00C2*");

MODULE_INFO(srcversion, "6CFDAA618634C0BC5BDF535");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
