#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ishtp_device_init, "", "");
KSYMTAB_FUNC(ishtp_start, "", "");
KSYMTAB_FUNC(ishtp_send_suspend, "", "");
KSYMTAB_FUNC(ishtp_send_resume, "", "");
KSYMTAB_FUNC(ishtp_cl_get_tx_free_buffer_size, "", "");
KSYMTAB_FUNC(ishtp_cl_get_tx_free_rings, "", "");
KSYMTAB_FUNC(ishtp_cl_flush_queues, "", "");
KSYMTAB_FUNC(ishtp_cl_allocate, "", "");
KSYMTAB_FUNC(ishtp_cl_free, "", "");
KSYMTAB_FUNC(ishtp_cl_link, "", "");
KSYMTAB_FUNC(ishtp_cl_unlink, "", "");
KSYMTAB_FUNC(ishtp_cl_disconnect, "", "");
KSYMTAB_FUNC(ishtp_cl_connect, "", "");
KSYMTAB_FUNC(ishtp_cl_send, "", "");
KSYMTAB_FUNC(ishtp_get_client_data, "", "");
KSYMTAB_FUNC(ishtp_set_client_data, "", "");
KSYMTAB_FUNC(ishtp_get_ishtp_device, "", "");
KSYMTAB_FUNC(ishtp_set_tx_ring_size, "", "");
KSYMTAB_FUNC(ishtp_set_rx_ring_size, "", "");
KSYMTAB_FUNC(ishtp_set_connection_state, "", "");
KSYMTAB_FUNC(ishtp_cl_set_fw_client_id, "", "");
KSYMTAB_FUNC(ishtp_recv, "", "");
KSYMTAB_FUNC(ishtp_fw_cl_by_uuid, "", "");
KSYMTAB_FUNC(ishtp_fw_cl_get_client, "", "");
KSYMTAB_FUNC(ishtp_get_fw_client_id, "", "");
KSYMTAB_FUNC(ishtp_cl_driver_register, "", "");
KSYMTAB_FUNC(ishtp_cl_driver_unregister, "", "");
KSYMTAB_FUNC(ishtp_register_event_cb, "", "");
KSYMTAB_FUNC(ishtp_get_device, "", "");
KSYMTAB_FUNC(ishtp_put_device, "", "");
KSYMTAB_FUNC(ishtp_set_drvdata, "", "");
KSYMTAB_FUNC(ishtp_get_drvdata, "", "");
KSYMTAB_FUNC(ishtp_dev_to_cl_device, "", "");
KSYMTAB_FUNC(ishtp_bus_remove_all_clients, "", "");
KSYMTAB_FUNC(ishtp_reset_handler, "", "");
KSYMTAB_FUNC(ishtp_reset_compl_handler, "", "");
KSYMTAB_FUNC(ishtp_device, "", "");
KSYMTAB_FUNC(ishtp_wait_resume, "_gpl", "");
KSYMTAB_FUNC(ishtp_get_pci_device, "", "");
KSYMTAB_FUNC(ishtp_trace_callback, "", "");
KSYMTAB_FUNC(ish_hw_reset, "", "");
KSYMTAB_FUNC(ishtp_cl_io_rb_recycle, "", "");
KSYMTAB_FUNC(ishtp_cl_tx_empty, "", "");
KSYMTAB_FUNC(ishtp_cl_rx_get_rb, "", "");

SYMBOL_CRC(ishtp_device_init, 0x38d36231, "");
SYMBOL_CRC(ishtp_start, 0x9bf92657, "");
SYMBOL_CRC(ishtp_send_suspend, 0xd3dd8601, "");
SYMBOL_CRC(ishtp_send_resume, 0x087fe2a2, "");
SYMBOL_CRC(ishtp_cl_get_tx_free_buffer_size, 0xbd92ce66, "");
SYMBOL_CRC(ishtp_cl_get_tx_free_rings, 0x91363930, "");
SYMBOL_CRC(ishtp_cl_flush_queues, 0x0fde4864, "");
SYMBOL_CRC(ishtp_cl_allocate, 0x7b92edad, "");
SYMBOL_CRC(ishtp_cl_free, 0xe82b21a8, "");
SYMBOL_CRC(ishtp_cl_link, 0x78bdf1a8, "");
SYMBOL_CRC(ishtp_cl_unlink, 0xac2e838e, "");
SYMBOL_CRC(ishtp_cl_disconnect, 0xdc30c00a, "");
SYMBOL_CRC(ishtp_cl_connect, 0x34561808, "");
SYMBOL_CRC(ishtp_cl_send, 0x359ee776, "");
SYMBOL_CRC(ishtp_get_client_data, 0x410786c9, "");
SYMBOL_CRC(ishtp_set_client_data, 0xc8e925b3, "");
SYMBOL_CRC(ishtp_get_ishtp_device, 0x75c2243c, "");
SYMBOL_CRC(ishtp_set_tx_ring_size, 0x64acfce0, "");
SYMBOL_CRC(ishtp_set_rx_ring_size, 0x441c93f6, "");
SYMBOL_CRC(ishtp_set_connection_state, 0xe4ded676, "");
SYMBOL_CRC(ishtp_cl_set_fw_client_id, 0xafec1863, "");
SYMBOL_CRC(ishtp_recv, 0x4faf4d09, "");
SYMBOL_CRC(ishtp_fw_cl_by_uuid, 0x32393fbe, "");
SYMBOL_CRC(ishtp_fw_cl_get_client, 0x9927d0c3, "");
SYMBOL_CRC(ishtp_get_fw_client_id, 0x5f9b0501, "");
SYMBOL_CRC(ishtp_cl_driver_register, 0x97cdb1bb, "");
SYMBOL_CRC(ishtp_cl_driver_unregister, 0x6eb535b5, "");
SYMBOL_CRC(ishtp_register_event_cb, 0xd9f0d545, "");
SYMBOL_CRC(ishtp_get_device, 0xdbdafb09, "");
SYMBOL_CRC(ishtp_put_device, 0x258db25c, "");
SYMBOL_CRC(ishtp_set_drvdata, 0x2cab89c3, "");
SYMBOL_CRC(ishtp_get_drvdata, 0xd26d1fc3, "");
SYMBOL_CRC(ishtp_dev_to_cl_device, 0xb69f03ea, "");
SYMBOL_CRC(ishtp_bus_remove_all_clients, 0x3b3f85fc, "");
SYMBOL_CRC(ishtp_reset_handler, 0x086e3792, "");
SYMBOL_CRC(ishtp_reset_compl_handler, 0xeff74fb1, "");
SYMBOL_CRC(ishtp_device, 0xb08a8444, "");
SYMBOL_CRC(ishtp_wait_resume, 0xf1dc7102, "_gpl");
SYMBOL_CRC(ishtp_get_pci_device, 0x762bacdd, "");
SYMBOL_CRC(ishtp_trace_callback, 0x18af19ad, "");
SYMBOL_CRC(ish_hw_reset, 0x3159ee88, "");
SYMBOL_CRC(ishtp_cl_io_rb_recycle, 0x87dca99b, "");
SYMBOL_CRC(ishtp_cl_tx_empty, 0x8678c73a, "");
SYMBOL_CRC(ishtp_cl_rx_get_rb, 0x806c2e81, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5c7f79c4, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbc4df392, "put_device" },
	{ 0x6bc945a6, "_dev_info" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc19bcfc2, "bus_unregister" },
	{ 0x23969a38, "_dev_err" },
	{ 0xe8450376, "dma_alloc_attrs" },
	{ 0xb03f4b43, "driver_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd6d3035d, "device_register" },
	{ 0x72eb7fac, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc805f93, "clflush_cache_range" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x164a4cec, "dma_free_attrs" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa3a30692, "kmalloc_trace" },
	{ 0x65eafe86, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4ff1a014, "driver_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc293701, "kmalloc_caches" },
	{ 0x38ee4522, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x7cef701f, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x35b61713, "device_unregister" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2A8A484047E007EB5458566");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
