#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(pmbus_clear_cache, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_update, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_page, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_fan, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_device, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_cached, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_clear_faults, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_byte_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_word_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_driver_info, "_gpl", "PMBUS");
KSYMTAB_DATA(pmbus_regulator_ops, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_do_probe, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_debugfs_dir, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_lock_interruptible, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_unlock, "_gpl", "PMBUS");

SYMBOL_CRC(pmbus_clear_cache, 0x2522a705, "_gpl");
SYMBOL_CRC(pmbus_set_update, 0x3615cfe2, "_gpl");
SYMBOL_CRC(pmbus_set_page, 0x75487bc0, "_gpl");
SYMBOL_CRC(pmbus_write_byte, 0x00f9c770, "_gpl");
SYMBOL_CRC(pmbus_write_word_data, 0x8c8ce670, "_gpl");
SYMBOL_CRC(pmbus_update_fan, 0xff41f1e8, "_gpl");
SYMBOL_CRC(pmbus_read_word_data, 0xbc8ca328, "_gpl");
SYMBOL_CRC(pmbus_read_byte_data, 0x6d71f908, "_gpl");
SYMBOL_CRC(pmbus_write_byte_data, 0x9fd98674, "_gpl");
SYMBOL_CRC(pmbus_update_byte_data, 0x8dae0a0f, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_device, 0x4589b7c0, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_cached, 0xa02ca554, "_gpl");
SYMBOL_CRC(pmbus_clear_faults, 0x377279f1, "_gpl");
SYMBOL_CRC(pmbus_check_byte_register, 0xb6b4e20c, "_gpl");
SYMBOL_CRC(pmbus_check_word_register, 0xd405d3f3, "_gpl");
SYMBOL_CRC(pmbus_get_driver_info, 0x5aceac1e, "_gpl");
SYMBOL_CRC(pmbus_regulator_ops, 0xdb78b5d6, "_gpl");
SYMBOL_CRC(pmbus_do_probe, 0x602cfbf9, "_gpl");
SYMBOL_CRC(pmbus_get_debugfs_dir, 0x5fae0bb9, "_gpl");
SYMBOL_CRC(pmbus_lock_interruptible, 0xc19b039d, "_gpl");
SYMBOL_CRC(pmbus_unlock, 0x581f16ed, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8f4f7e4b, "rdev_get_id" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xdfec1bf2, "sysfs_notify" },
	{ 0x9282ff7c, "kobject_uevent" },
	{ 0x5c7f79c4, "__dynamic_dev_dbg" },
	{ 0xaa23b33, "regulator_notifier_call_chain" },
	{ 0x9166fada, "strncpy" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xff5c23b7, "i2c_smbus_xfer" },
	{ 0xf8f9e3ee, "devm_kstrdup" },
	{ 0x7410aba2, "strreplace" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4ed2e29d, "devm_hwmon_device_register_with_groups" },
	{ 0x9ab7cb8c, "devm_regulator_register" },
	{ 0x567c0d52, "dev_err_probe" },
	{ 0x5333de2e, "devm_request_threaded_irq" },
	{ 0x96848186, "scnprintf" },
	{ 0x7dfb3e5e, "debugfs_create_file" },
	{ 0x23969a38, "_dev_err" },
	{ 0xa0ef5700, "device_create_file" },
	{ 0x3f9695a, "__devm_add_action" },
	{ 0x72eb7fac, "_dev_warn" },
	{ 0x4f6abd47, "noop_llseek" },
	{ 0x352b8461, "simple_open" },
	{ 0xc18a451, "debugfs_attr_read" },
	{ 0xdbd9fdd4, "debugfs_attr_write" },
	{ 0xe17324af, "simple_attr_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d7b7fd2, "i2c_smbus_write_byte_data" },
	{ 0x9111c792, "i2c_smbus_read_byte_data" },
	{ 0xc0d6e083, "i2c_smbus_write_byte" },
	{ 0xe2b02cd, "i2c_smbus_write_word_data" },
	{ 0xb0d19ab8, "i2c_smbus_read_word_data" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa91b7adc, "device_remove_file" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x422b81c2, "devm_krealloc" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfd7674cc, "debugfs_create_dir" },
	{ 0xaa3de9db, "debugfs_remove" },
	{ 0xd2a7a45, "simple_attr_open" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4689d307, "i2c_smbus_read_block_data" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xac497292, "rdev_get_dev" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "AFFD3496466DF3521D240C7");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
