#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(media_device_register_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_init, "_gpl", "");
KSYMTAB_FUNC(media_device_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_device_register, "_gpl", "");
KSYMTAB_FUNC(media_device_register_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister, "_gpl", "");
KSYMTAB_FUNC(media_device_pci_init, "_gpl", "");
KSYMTAB_FUNC(__media_device_usb_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_entity_pads_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_start, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_next, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_pad_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_init, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_entity_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_get_pad_index, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_link, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_find_link, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_first, "_gpl", "");
KSYMTAB_FUNC(media_entity_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_entity_get_fwnode_pad, "_gpl", "");
KSYMTAB_FUNC(media_entity_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_pad_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_devnode_create, "_gpl", "");
KSYMTAB_FUNC(media_devnode_remove, "_gpl", "");
KSYMTAB_FUNC(media_create_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_create_ancillary_link, "_gpl", "");
KSYMTAB_FUNC(__media_entity_next_link, "_gpl", "");
KSYMTAB_FUNC(media_request_put, "_gpl", "");
KSYMTAB_FUNC(media_request_get_by_fd, "_gpl", "");
KSYMTAB_FUNC(media_request_object_find, "_gpl", "");
KSYMTAB_FUNC(media_request_object_put, "_gpl", "");
KSYMTAB_FUNC(media_request_object_init, "_gpl", "");
KSYMTAB_FUNC(media_request_object_bind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_unbind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_complete, "_gpl", "");
KSYMTAB_FUNC(media_device_usb_allocate, "_gpl", "");
KSYMTAB_FUNC(media_device_delete, "_gpl", "");

SYMBOL_CRC(media_device_register_entity, 0x3c604b86, "_gpl");
SYMBOL_CRC(media_device_unregister_entity, 0x5838b6b4, "_gpl");
SYMBOL_CRC(media_device_init, 0x2b9b903a, "_gpl");
SYMBOL_CRC(media_device_cleanup, 0x68c8140b, "_gpl");
SYMBOL_CRC(__media_device_register, 0xfb1beca4, "_gpl");
SYMBOL_CRC(media_device_register_entity_notify, 0x7a81e8cd, "_gpl");
SYMBOL_CRC(media_device_unregister_entity_notify, 0x18070ed7, "_gpl");
SYMBOL_CRC(media_device_unregister, 0x0ead22fb, "_gpl");
SYMBOL_CRC(media_device_pci_init, 0x45473ca1, "_gpl");
SYMBOL_CRC(__media_device_usb_init, 0x99e79e99, "_gpl");
SYMBOL_CRC(media_entity_enum_init, 0x11e64c5a, "_gpl");
SYMBOL_CRC(media_entity_enum_cleanup, 0xe5ceecd6, "_gpl");
SYMBOL_CRC(media_entity_pads_init, 0xa806ed21, "_gpl");
SYMBOL_CRC(media_graph_walk_init, 0x4c430f30, "_gpl");
SYMBOL_CRC(media_graph_walk_cleanup, 0x0b16dd9c, "_gpl");
SYMBOL_CRC(media_graph_walk_start, 0xef367699, "_gpl");
SYMBOL_CRC(media_graph_walk_next, 0x523dd132, "_gpl");
SYMBOL_CRC(__media_pipeline_start, 0xa09a99f8, "_gpl");
SYMBOL_CRC(media_pipeline_start, 0x56cd3484, "_gpl");
SYMBOL_CRC(__media_pipeline_stop, 0x65d632cc, "_gpl");
SYMBOL_CRC(media_pipeline_stop, 0x67c5e912, "_gpl");
SYMBOL_CRC(media_pipeline_alloc_start, 0xa569b305, "_gpl");
SYMBOL_CRC(__media_pipeline_pad_iter_next, 0xefcc1287, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_init, 0x83673a5e, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_cleanup, 0x65dd67e0, "_gpl");
SYMBOL_CRC(__media_pipeline_entity_iter_next, 0x8d498b85, "_gpl");
SYMBOL_CRC(media_get_pad_index, 0x47ba400d, "_gpl");
SYMBOL_CRC(media_create_pad_link, 0x7b28e941, "_gpl");
SYMBOL_CRC(media_create_pad_links, 0x40cc7aa7, "_gpl");
SYMBOL_CRC(__media_entity_remove_links, 0xeb41db05, "_gpl");
SYMBOL_CRC(media_entity_remove_links, 0x770d0cbc, "_gpl");
SYMBOL_CRC(__media_entity_setup_link, 0x846de528, "_gpl");
SYMBOL_CRC(media_entity_setup_link, 0x212b7c11, "_gpl");
SYMBOL_CRC(media_entity_find_link, 0x50f8b5f6, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_first, 0x1358a97d, "_gpl");
SYMBOL_CRC(media_entity_remote_pad_unique, 0x2478fab8, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_unique, 0x5eb911fc, "_gpl");
SYMBOL_CRC(media_entity_get_fwnode_pad, 0xcc8c69cd, "_gpl");
SYMBOL_CRC(media_entity_pipeline, 0x83021993, "_gpl");
SYMBOL_CRC(media_pad_pipeline, 0x1516a906, "_gpl");
SYMBOL_CRC(media_devnode_create, 0xfdc0d322, "_gpl");
SYMBOL_CRC(media_devnode_remove, 0x846b73ef, "_gpl");
SYMBOL_CRC(media_create_intf_link, 0x6ef7cab8, "_gpl");
SYMBOL_CRC(__media_remove_intf_link, 0x24bfd674, "_gpl");
SYMBOL_CRC(media_remove_intf_link, 0xec09e2b1, "_gpl");
SYMBOL_CRC(__media_remove_intf_links, 0x3ac97ac8, "_gpl");
SYMBOL_CRC(media_remove_intf_links, 0x88e83d37, "_gpl");
SYMBOL_CRC(media_create_ancillary_link, 0x3a7d7634, "_gpl");
SYMBOL_CRC(__media_entity_next_link, 0x01eb893d, "_gpl");
SYMBOL_CRC(media_request_put, 0xe4b6dd81, "_gpl");
SYMBOL_CRC(media_request_get_by_fd, 0x2f3ad251, "_gpl");
SYMBOL_CRC(media_request_object_find, 0xeebb68e2, "_gpl");
SYMBOL_CRC(media_request_object_put, 0xffeb8c73, "_gpl");
SYMBOL_CRC(media_request_object_init, 0x93e21cd5, "_gpl");
SYMBOL_CRC(media_request_object_bind, 0xb1084883, "_gpl");
SYMBOL_CRC(media_request_object_unbind, 0x87baa9d9, "_gpl");
SYMBOL_CRC(media_request_object_complete, 0x23e420e4, "_gpl");
SYMBOL_CRC(media_device_usb_allocate, 0x4f0554a1, "_gpl");
SYMBOL_CRC(media_device_delete, 0xc35025e8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x5c7f79c4, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xacab2e1c, "cdev_device_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xbc4df392, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x7a9d4bbb, "fwnode_graph_parse_endpoint" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xcca19224, "module_put" },
	{ 0xa0ef5700, "device_create_file" },
	{ 0xc19bcfc2, "bus_unregister" },
	{ 0xd3c8dbad, "fput" },
	{ 0x23969a38, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xffb7c514, "ida_free" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfb578fc5, "memset" },
	{ 0x72eb7fac, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xa1fa57c0, "platform_bus_type" },
	{ 0x7c063bf8, "kobject_set_name" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa3a30692, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x1371d545, "cdev_init" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbb494957, "pci_bus_type" },
	{ 0xc293701, "kmalloc_caches" },
	{ 0xa91b7adc, "device_remove_file" },
	{ 0x38ee4522, "bus_register" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xfcdcf5e8, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xae19a9d, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7cef701f, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2829be0c, "cdev_device_del" },
	{ 0x91d2cf10, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x15ab5cb4, "fd_install" },
	{ 0x37a0cba, "kfree" },
	{ 0xe2964344, "__wake_up" },
	{ 0x77f9fe8f, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CF86D0ACBEF32F787BD9709");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
