#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ipu_bridge_parse_ssdb, "_gpl", "INTEL_IPU_BRIDGE");
KSYMTAB_FUNC(ipu_bridge_instantiate_vcm, "_gpl", "INTEL_IPU_BRIDGE");
KSYMTAB_FUNC(ipu_bridge_init, "_gpl", "INTEL_IPU_BRIDGE");

SYMBOL_CRC(ipu_bridge_parse_ssdb, 0x71d83a18, "_gpl");
SYMBOL_CRC(ipu_bridge_instantiate_vcm, 0x066e7c62, "_gpl");
SYMBOL_CRC(ipu_bridge_init, 0xc012d535, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x952a13ed, "__pm_runtime_resume" },
	{ 0xfd434235, "i2c_acpi_new_device_by_fwnode" },
	{ 0x7d2c8fb4, "device_link_add" },
	{ 0x6bc945a6, "_dev_info" },
	{ 0x525846b8, "__pm_runtime_idle" },
	{ 0xbc4df392, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x23969a38, "_dev_err" },
	{ 0xf8d6f585, "fwnode_handle_put" },
	{ 0xbc4445ad, "acpi_dev_get_first_match_dev" },
	{ 0x559e2a97, "acpi_dev_get_next_consumer_dev" },
	{ 0x390fb4c0, "acpi_dev_get_next_match_dev" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa1fa57c0, "platform_bus_type" },
	{ 0x9eb4b1c5, "bus_find_device" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x265ef593, "device_find_child_by_name" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8fc12788, "software_node_unregister_node_group" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x72eb7fac, "_dev_warn" },
	{ 0x1d1abdf0, "acpi_get_physical_device_location" },
	{ 0xc293701, "kmalloc_caches" },
	{ 0xa3a30692, "kmalloc_trace" },
	{ 0xb48f0638, "software_node_register" },
	{ 0xb448b7f, "acpi_device_hid" },
	{ 0x7a9e4c23, "software_node_register_node_group" },
	{ 0xd6c81b52, "software_node_fwnode" },
	{ 0x77f9fe8f, "get_device" },
	{ 0xef6ed3c7, "set_secondary_fwnode" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xcbe3ee2, "software_node_unregister" },
	{ 0x426ce456, "__dev_fwnode" },
	{ 0xf1bd06bf, "fwnode_find_reference" },
	{ 0xc62fb5a7, "i2c_find_device_by_fwnode" },
	{ 0xceab0311, "strchrnul" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2f2c695d, "is_acpi_device_node" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9709453852E18664A8340D9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
