#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ivtv_ext_init, "", "");
KSYMTAB_FUNC(ivtv_set_irq_mask, "", "");
KSYMTAB_FUNC(ivtv_api, "", "");
KSYMTAB_FUNC(ivtv_vapi, "", "");
KSYMTAB_FUNC(ivtv_vapi_result, "", "");
KSYMTAB_FUNC(ivtv_clear_irq_mask, "", "");
KSYMTAB_DATA(ivtv_debug, "", "");
KSYMTAB_FUNC(ivtv_reset_ir_gpio, "", "");
KSYMTAB_FUNC(ivtv_udma_setup, "", "");
KSYMTAB_FUNC(ivtv_udma_unmap, "", "");
KSYMTAB_FUNC(ivtv_udma_alloc, "", "");
KSYMTAB_FUNC(ivtv_udma_prepare, "", "");
KSYMTAB_FUNC(ivtv_init_on_first_open, "", "");
KSYMTAB_FUNC(ivtv_firmware_check, "", "");
KSYMTAB_FUNC(ivtv_claim_stream, "", "");
KSYMTAB_FUNC(ivtv_release_stream, "", "");
KSYMTAB_FUNC(ivtv_start_v4l2_encode_stream, "", "");
KSYMTAB_FUNC(ivtv_stop_v4l2_encode_stream, "", "");

SYMBOL_CRC(ivtv_ext_init, 0xad6309dc, "");
SYMBOL_CRC(ivtv_set_irq_mask, 0x2e18f5a2, "");
SYMBOL_CRC(ivtv_api, 0x527e7403, "");
SYMBOL_CRC(ivtv_vapi, 0xa52e7ba4, "");
SYMBOL_CRC(ivtv_vapi_result, 0x01f6e80f, "");
SYMBOL_CRC(ivtv_clear_irq_mask, 0xc397b509, "");
SYMBOL_CRC(ivtv_debug, 0x14f67530, "");
SYMBOL_CRC(ivtv_reset_ir_gpio, 0x0b7ef0ba, "");
SYMBOL_CRC(ivtv_udma_setup, 0x92375e96, "");
SYMBOL_CRC(ivtv_udma_unmap, 0x26b0bf58, "");
SYMBOL_CRC(ivtv_udma_alloc, 0x72b20e86, "");
SYMBOL_CRC(ivtv_udma_prepare, 0xb561229e, "");
SYMBOL_CRC(ivtv_init_on_first_open, 0x602037fe, "");
SYMBOL_CRC(ivtv_firmware_check, 0xc9b12ca1, "");
SYMBOL_CRC(ivtv_claim_stream, 0x26d25586, "");
SYMBOL_CRC(ivtv_release_stream, 0x161fcf92, "");
SYMBOL_CRC(ivtv_start_v4l2_encode_stream, 0x2a06e8b2, "");
SYMBOL_CRC(ivtv_stop_v4l2_encode_stream, 0x1971090a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x955b0e2e, "kthread_worker_fn" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0x95ef2b08, "tveeprom_read" },
	{ 0x24d273d1, "add_timer" },
	{ 0x844dd01a, "v4l2_device_set_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x7b71bcee, "v4l2_fh_is_singular" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe7053f91, "pci_read_config_word" },
	{ 0x413836dc, "v4l2_ctrl_subscribe_event" },
	{ 0x61d12e0f, "v4l2_fh_init" },
	{ 0x1f48980d, "v4l2_event_pending" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xbc57fc4b, "__kthread_init_worker" },
	{ 0xde80cd09, "ioremap" },
	{ 0xe02b9fe9, "video_unregister_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x256d228, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xdc2f6712, "v4l2_event_subscribe" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xbe539d6d, "dma_sync_single_for_cpu" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xf6e4fbc4, "pci_set_master" },
	{ 0x5adfe8b8, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xbddfcdbb, "v4l2_device_register" },
	{ 0x8b3d42f8, "param_ops_string" },
	{ 0xdb6f36fe, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x92a042f4, "kthread_create_on_node" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x21dea64f, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc51b95dd, "pci_write_config_byte" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xa00da9bb, "pin_user_pages_unlocked" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdc27b599, "v4l2_ctrl_new_std" },
	{ 0x91d187a0, "v4l2_ctrl_g_ctrl" },
	{ 0xc0b75b07, "cx2341x_handler_init" },
	{ 0xc283bfb7, "cx2341x_handler_set_50hz" },
	{ 0x486e31d2, "v4l2_ctrl_handler_free" },
	{ 0x97c2ef3e, "v4l2_device_unregister" },
	{ 0x314e6480, "pci_disable_device" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xc03a5ae, "dma_set_mask" },
	{ 0x8e5cb9f5, "sched_set_fifo" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa248522f, "v4l2_subdev_call_wrappers" },
	{ 0x70beb809, "dma_unmap_sg_attrs" },
	{ 0xa3a30692, "kmalloc_trace" },
	{ 0xb4e3c230, "v4l2_event_queue" },
	{ 0x127b1029, "v4l2_i2c_new_subdev" },
	{ 0xeb83f98, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x65eafe86, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa7ee7f54, "video_device_release_empty" },
	{ 0x9cecdc54, "v4l2_ctrl_cluster" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xb88afbe1, "pci_write_config_dword" },
	{ 0xc90ba825, "v4l2_event_unsubscribe" },
	{ 0xc293701, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x944e04fc, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xd42be49f, "v4l2_fh_exit" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x7a9bfc83, "cx2341x_handler_set_busy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2e9e417c, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x70b46a6a, "pci_enable_device" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb6eb2bfe, "i2c_bit_add_bus" },
	{ 0x565025a5, "v4l2_fh_del" },
	{ 0x453234b0, "v4l2_i2c_new_subdev_board" },
	{ 0x4e478abe, "kthread_flush_worker" },
	{ 0x94dd9399, "v4l2_fh_add" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4bbaa0e0, "dma_unmap_page_attrs" },
	{ 0x6f18a64c, "request_firmware" },
	{ 0xb7dd393e, "__pci_register_driver" },
	{ 0xf44d69c1, "v4l2_ctrl_handler_init_class" },
	{ 0x4f15427f, "dma_sync_single_for_device" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0x395db851, "unpin_user_pages" },
	{ 0x39833619, "param_array_ops" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x6efa9c3c, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe3ae69ac, "i2c_transfer_buffer_flags" },
	{ 0x2e9a18f9, "v4l2_subdev_init" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x111ec07e, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x633ac09a, "wake_up_process" },
	{ 0x28304560, "dev_driver_string" },
	{ 0x9f56c73d, "v4l2_device_register_subdev" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xcb493caa, "dma_map_page_attrs" },
	{ 0x122c3a7e, "_printk" },
	{ 0x53d091ce, "v4l2_ctrl_handler_log_status" },
	{ 0x7be48b09, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x928faa67, "video_devdata" },
	{ 0x251dda7, "i2c_new_scanned_device" },
	{ 0xe458d76d, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe7cd547, "kthread_queue_work" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf6975aef, "__free_pages" },
	{ 0x63b52db3, "i2c_del_adapter" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x27ef851c, "__v4l2_ctrl_s_ctrl" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "tveeprom,videodev,cx2341x,i2c-algo-bit");

MODULE_ALIAS("pci:v00004444d00000803sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00004444d00000016sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "29C7E0DF5E9B4163F46F88D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
