#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cx231xx_get_i2c_adap, "_gpl", "");
KSYMTAB_FUNC(cx231xx_tuner_callback, "_gpl", "");
KSYMTAB_FUNC(cx231xx_register_extension, "", "");
KSYMTAB_FUNC(cx231xx_unregister_extension, "", "");
KSYMTAB_FUNC(cx231xx_send_usb_command, "_gpl", "");
KSYMTAB_FUNC(cx231xx_set_alt_setting, "_gpl", "");
KSYMTAB_FUNC(cx231xx_demod_reset, "_gpl", "");
KSYMTAB_FUNC(is_fw_load, "_gpl", "");
KSYMTAB_FUNC(cx231xx_set_mode, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_bulk, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_bulk, "_gpl", "");
KSYMTAB_FUNC(cx231xx_dev_init, "_gpl", "");
KSYMTAB_FUNC(cx231xx_dev_uninit, "_gpl", "");
KSYMTAB_FUNC(cx231xx_send_gpio_cmd, "_gpl", "");
KSYMTAB_FUNC(cx231xx_enable656, "_gpl", "");
KSYMTAB_FUNC(cx231xx_disable656, "_gpl", "");
KSYMTAB_FUNC(cx231xx_unmute_audio, "_gpl", "");
KSYMTAB_FUNC(cx231xx_enable_i2c_port_3, "_gpl", "");
KSYMTAB_FUNC(cx231xx_capture_start, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_vbi_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_vbi_isoc, "_gpl", "");

SYMBOL_CRC(cx231xx_get_i2c_adap, 0xd4172d54, "_gpl");
SYMBOL_CRC(cx231xx_tuner_callback, 0x017ea7c7, "_gpl");
SYMBOL_CRC(cx231xx_register_extension, 0x6a9b7639, "");
SYMBOL_CRC(cx231xx_unregister_extension, 0x96d97f1a, "");
SYMBOL_CRC(cx231xx_send_usb_command, 0xeaeef58a, "_gpl");
SYMBOL_CRC(cx231xx_set_alt_setting, 0x5174d684, "_gpl");
SYMBOL_CRC(cx231xx_demod_reset, 0x81c28519, "_gpl");
SYMBOL_CRC(is_fw_load, 0x225ad491, "_gpl");
SYMBOL_CRC(cx231xx_set_mode, 0xa89e7289, "_gpl");
SYMBOL_CRC(cx231xx_uninit_isoc, 0xebb0f614, "_gpl");
SYMBOL_CRC(cx231xx_uninit_bulk, 0xe96588c3, "_gpl");
SYMBOL_CRC(cx231xx_init_isoc, 0x4290492e, "_gpl");
SYMBOL_CRC(cx231xx_init_bulk, 0xe86a4632, "_gpl");
SYMBOL_CRC(cx231xx_dev_init, 0xf9753541, "_gpl");
SYMBOL_CRC(cx231xx_dev_uninit, 0x5b539131, "_gpl");
SYMBOL_CRC(cx231xx_send_gpio_cmd, 0xf4fde406, "_gpl");
SYMBOL_CRC(cx231xx_enable656, 0x7075e65b, "_gpl");
SYMBOL_CRC(cx231xx_disable656, 0x46503700, "_gpl");
SYMBOL_CRC(cx231xx_unmute_audio, 0xc93b8f3b, "_gpl");
SYMBOL_CRC(cx231xx_enable_i2c_port_3, 0x8b7a97ee, "_gpl");
SYMBOL_CRC(cx231xx_capture_start, 0x0ddf7493, "_gpl");
SYMBOL_CRC(cx231xx_uninit_vbi_isoc, 0x843881fe, "_gpl");
SYMBOL_CRC(cx231xx_init_vbi_isoc, 0x1f0891bb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x9d00d810, "usb_clear_halt" },
	{ 0xf4e3a4d5, "usb_put_dev" },
	{ 0xc32edf6c, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x928faa67, "video_devdata" },
	{ 0x218c467b, "vb2_fop_release" },
	{ 0xe458d76d, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0xa464c636, "usb_get_dev" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x449a028d, "usb_submit_urb" },
	{ 0x6bc945a6, "_dev_info" },
	{ 0x63b52db3, "i2c_del_adapter" },
	{ 0x3c604b86, "media_device_register_entity" },
	{ 0x68c8140b, "media_device_cleanup" },
	{ 0x7127003b, "vb2_ioctl_dqbuf" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x23969a38, "_dev_err" },
	{ 0x466c17a0, "i2c_unregister_device" },
	{ 0x8b923cf2, "usb_free_coherent" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x891570a5, "usb_control_msg" },
	{ 0x4aae080, "vb2_buffer_done" },
	{ 0x3651303b, "vb2_plane_vaddr" },
	{ 0x413836dc, "v4l2_ctrl_subscribe_event" },
	{ 0x134d4ae4, "usb_set_interface" },
	{ 0xa806ed21, "media_entity_pads_init" },
	{ 0xe02b9fe9, "video_unregister_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe9a482d, "i2c_new_client_device" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x39a0279, "usb_deregister" },
	{ 0xbdaf1dcc, "vb2_ioctl_qbuf" },
	{ 0x631589dc, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x21e1acc6, "v4l2_s_ctrl" },
	{ 0x426947e2, "i2c_mux_alloc" },
	{ 0x7846b181, "vb2_vmalloc_memops" },
	{ 0xfb578fc5, "memset" },
	{ 0x72eb7fac, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x593f0945, "vb2_fop_read" },
	{ 0xbddfcdbb, "v4l2_device_register" },
	{ 0xdb6f36fe, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd53e1311, "rc_allocate_device" },
	{ 0xb0ad341b, "pv_ops" },
	{ 0x66ebe2d6, "usb_unlink_urb" },
	{ 0x212b7c11, "media_entity_setup_link" },
	{ 0xdd64e639, "strscpy" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x21dea64f, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9f3cca0f, "vb2_ops_wait_prepare" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x5e84dd46, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x6b1778df, "vb2_ioctl_streamon" },
	{ 0xc621e951, "v4l2_mc_create_media_graph" },
	{ 0x598df254, "vb2_fop_poll" },
	{ 0xc0b75b07, "cx2341x_handler_init" },
	{ 0xc283bfb7, "cx2341x_handler_set_50hz" },
	{ 0x99e79e99, "__media_device_usb_init" },
	{ 0x486e31d2, "v4l2_ctrl_handler_free" },
	{ 0xf558aa97, "i2c_transfer" },
	{ 0x97c2ef3e, "v4l2_device_unregister" },
	{ 0xe61deea7, "usb_reset_endpoint" },
	{ 0xd99b5a5a, "i2c_mux_del_adapters" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0xa248522f, "v4l2_subdev_call_wrappers" },
	{ 0x2410af44, "v4l2_ctrl_log_status" },
	{ 0xa3a30692, "kmalloc_trace" },
	{ 0x127b1029, "v4l2_i2c_new_subdev" },
	{ 0x65eafe86, "param_ops_int" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xa7ee7f54, "video_device_release_empty" },
	{ 0xbde27506, "i2c_mux_add_adapter" },
	{ 0x7caaec84, "_vb2_fop_release" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc90ba825, "v4l2_event_unsubscribe" },
	{ 0xc293701, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x7aa08be6, "vb2_ioctl_reqbufs" },
	{ 0xb92030a1, "vb2_queue_init" },
	{ 0xfc7c58bd, "usb_alloc_urb" },
	{ 0x2d4f8b5e, "v4l2_ctrl_poll" },
	{ 0x2e9e417c, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xead22fb, "media_device_unregister" },
	{ 0x6ebd66c5, "usb_free_urb" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0x1db9d641, "vb2_ioctl_streamoff" },
	{ 0x4d0e925b, "v4l2_ctrl_radio_filter" },
	{ 0xb19a5e0, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x523e455c, "v4l2_ctrl_add_handler" },
	{ 0x6f18a64c, "request_firmware" },
	{ 0x15d0a303, "vb2_ops_wait_finish" },
	{ 0x12b5f09d, "usb_register_driver" },
	{ 0xf44d69c1, "v4l2_ctrl_handler_init_class" },
	{ 0x39833619, "param_array_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfb1beca4, "__media_device_register" },
	{ 0xc7f2b47c, "vb2_ioctl_querybuf" },
	{ 0xe3ae69ac, "i2c_transfer_buffer_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0x564605aa, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5c7f79c4, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "usbcore,videodev,videobuf2-v4l2,cx2341x,mc,videobuf2-common,i2c-mux,videobuf2-vmalloc,rc-core,tveeprom");

MODULE_ALIAS("usb:v1D19p6109d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p5A3Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A4d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A5d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p589Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A0d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07CApC039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB111d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB120d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB123d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB124d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB151d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB150d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB130d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB131d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB138d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB139d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB140d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pC200d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p0259d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p025Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5010d400[0-1]dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5014d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE424d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE421d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0237d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FD9p0037d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CCDp00A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pD3B2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15F4p0135d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v199Ep8002d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "0830658BA95E1A247C60F4D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
