#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mtd_table_mutex, "_gpl", "");
KSYMTAB_FUNC(__mtd_next_device, "_gpl", "");
KSYMTAB_FUNC(mtd_check_expert_analysis_mode, "_gpl", "");
KSYMTAB_FUNC(mtd_wunit_to_pairing_info, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_info_to_wunit, "_gpl", "");
KSYMTAB_FUNC(mtd_pairing_groups, "_gpl", "");
KSYMTAB_FUNC(mtd_device_parse_register, "_gpl", "");
KSYMTAB_FUNC(mtd_device_unregister, "_gpl", "");
KSYMTAB_FUNC(register_mtd_user, "_gpl", "");
KSYMTAB_FUNC(unregister_mtd_user, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__get_mtd_device, "_gpl", "");
KSYMTAB_FUNC(of_get_mtd_device_by_node, "_gpl", "");
KSYMTAB_FUNC(get_mtd_device_nm, "_gpl", "");
KSYMTAB_FUNC(put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(__put_mtd_device, "_gpl", "");
KSYMTAB_FUNC(mtd_erase, "_gpl", "");
KSYMTAB_FUNC(mtd_point, "_gpl", "");
KSYMTAB_FUNC(mtd_unpoint, "_gpl", "");
KSYMTAB_FUNC(mtd_get_unmapped_area, "_gpl", "");
KSYMTAB_FUNC(mtd_read, "_gpl", "");
KSYMTAB_FUNC(mtd_write, "_gpl", "");
KSYMTAB_FUNC(mtd_panic_write, "_gpl", "");
KSYMTAB_FUNC(mtd_read_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_write_oob, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_ecc, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_free, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_find_eccregion, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_get_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_set_databytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_freebytes, "_gpl", "");
KSYMTAB_FUNC(mtd_ooblayout_count_eccbytes, "_gpl", "");
KSYMTAB_FUNC(mtd_get_fact_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_fact_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_get_user_prot_info, "_gpl", "");
KSYMTAB_FUNC(mtd_read_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_write_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_erase_user_prot_reg, "_gpl", "");
KSYMTAB_FUNC(mtd_lock, "_gpl", "");
KSYMTAB_FUNC(mtd_unlock, "_gpl", "");
KSYMTAB_FUNC(mtd_is_locked, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isreserved, "_gpl", "");
KSYMTAB_FUNC(mtd_block_isbad, "_gpl", "");
KSYMTAB_FUNC(mtd_block_markbad, "_gpl", "");
KSYMTAB_FUNC(mtd_writev, "_gpl", "");
KSYMTAB_FUNC(mtd_kmalloc_up_to, "_gpl", "");
KSYMTAB_FUNC(get_tree_mtd, "_gpl", "");
KSYMTAB_FUNC(kill_mtd_super, "_gpl", "");
KSYMTAB_FUNC(mtd_concat_create, "", "");
KSYMTAB_FUNC(mtd_concat_destroy, "", "");
KSYMTAB_FUNC(mtd_add_partition, "_gpl", "");
KSYMTAB_FUNC(mtd_del_partition, "_gpl", "");
KSYMTAB_FUNC(__register_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(deregister_mtd_parser, "_gpl", "");
KSYMTAB_FUNC(mtd_get_device_size, "_gpl", "");

SYMBOL_CRC(mtd_table_mutex, 0x50dabc2f, "_gpl");
SYMBOL_CRC(__mtd_next_device, 0x5c634908, "_gpl");
SYMBOL_CRC(mtd_check_expert_analysis_mode, 0xb7075882, "_gpl");
SYMBOL_CRC(mtd_wunit_to_pairing_info, 0xe06ef4c0, "_gpl");
SYMBOL_CRC(mtd_pairing_info_to_wunit, 0x332429a2, "_gpl");
SYMBOL_CRC(mtd_pairing_groups, 0x0de89434, "_gpl");
SYMBOL_CRC(mtd_device_parse_register, 0x70e15646, "_gpl");
SYMBOL_CRC(mtd_device_unregister, 0x4d3efba7, "_gpl");
SYMBOL_CRC(register_mtd_user, 0x0f60519a, "_gpl");
SYMBOL_CRC(unregister_mtd_user, 0xfa6804b8, "_gpl");
SYMBOL_CRC(get_mtd_device, 0x45a37a9e, "_gpl");
SYMBOL_CRC(__get_mtd_device, 0x558d6087, "_gpl");
SYMBOL_CRC(of_get_mtd_device_by_node, 0x42fac0f5, "_gpl");
SYMBOL_CRC(get_mtd_device_nm, 0xc7097fd4, "_gpl");
SYMBOL_CRC(put_mtd_device, 0x176a71cf, "_gpl");
SYMBOL_CRC(__put_mtd_device, 0x6cf453dc, "_gpl");
SYMBOL_CRC(mtd_erase, 0xca46c32d, "_gpl");
SYMBOL_CRC(mtd_point, 0x9a35117b, "_gpl");
SYMBOL_CRC(mtd_unpoint, 0x88e28a71, "_gpl");
SYMBOL_CRC(mtd_get_unmapped_area, 0x58570a8c, "_gpl");
SYMBOL_CRC(mtd_read, 0x5442329f, "_gpl");
SYMBOL_CRC(mtd_write, 0xc19694dd, "_gpl");
SYMBOL_CRC(mtd_panic_write, 0x56c71c6e, "_gpl");
SYMBOL_CRC(mtd_read_oob, 0x459656f9, "_gpl");
SYMBOL_CRC(mtd_write_oob, 0xc0dba6f2, "_gpl");
SYMBOL_CRC(mtd_ooblayout_ecc, 0x9ad28d60, "_gpl");
SYMBOL_CRC(mtd_ooblayout_free, 0xe69fd97a, "_gpl");
SYMBOL_CRC(mtd_ooblayout_find_eccregion, 0x4bd626d1, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_eccbytes, 0xb066bfe9, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_eccbytes, 0x1eca87e8, "_gpl");
SYMBOL_CRC(mtd_ooblayout_get_databytes, 0x500f0945, "_gpl");
SYMBOL_CRC(mtd_ooblayout_set_databytes, 0x013ffa6d, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_freebytes, 0xc933ef6a, "_gpl");
SYMBOL_CRC(mtd_ooblayout_count_eccbytes, 0x939f4a78, "_gpl");
SYMBOL_CRC(mtd_get_fact_prot_info, 0x4ae9118c, "_gpl");
SYMBOL_CRC(mtd_read_fact_prot_reg, 0x6cbfe23b, "_gpl");
SYMBOL_CRC(mtd_get_user_prot_info, 0xfac8c91c, "_gpl");
SYMBOL_CRC(mtd_read_user_prot_reg, 0x9dff5041, "_gpl");
SYMBOL_CRC(mtd_write_user_prot_reg, 0x7d5800b0, "_gpl");
SYMBOL_CRC(mtd_lock_user_prot_reg, 0x6fb73e53, "_gpl");
SYMBOL_CRC(mtd_erase_user_prot_reg, 0xe640774b, "_gpl");
SYMBOL_CRC(mtd_lock, 0x18cdd684, "_gpl");
SYMBOL_CRC(mtd_unlock, 0x111b67fe, "_gpl");
SYMBOL_CRC(mtd_is_locked, 0x7529d5fe, "_gpl");
SYMBOL_CRC(mtd_block_isreserved, 0x49bf073d, "_gpl");
SYMBOL_CRC(mtd_block_isbad, 0x75334902, "_gpl");
SYMBOL_CRC(mtd_block_markbad, 0x048a7e27, "_gpl");
SYMBOL_CRC(mtd_writev, 0xf92cbe54, "_gpl");
SYMBOL_CRC(mtd_kmalloc_up_to, 0x31c080ac, "_gpl");
SYMBOL_CRC(get_tree_mtd, 0xf3974d32, "_gpl");
SYMBOL_CRC(kill_mtd_super, 0x35005dc6, "_gpl");
SYMBOL_CRC(mtd_concat_create, 0x23ffd368, "");
SYMBOL_CRC(mtd_concat_destroy, 0xeb7a9051, "");
SYMBOL_CRC(mtd_add_partition, 0xaf9adf5e, "_gpl");
SYMBOL_CRC(mtd_del_partition, 0x3efd5779, "_gpl");
SYMBOL_CRC(__register_mtd_parser, 0xb6d94219, "_gpl");
SYMBOL_CRC(deregister_mtd_parser, 0x57c122b7, "_gpl");
SYMBOL_CRC(mtd_get_device_size, 0x0519a346, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb8f11603, "idr_alloc" },
	{ 0x7e0bf8ad, "device_create" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xaa3de9db, "debugfs_remove" },
	{ 0x984d296a, "fixed_size_llseek" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xb7066e5, "class_unregister" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc219998, "bdi_alloc" },
	{ 0xd6d3035d, "device_register" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x5d34d93a, "__register_chrdev" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xbe675421, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xfdc4f6ba, "remove_proc_entry" },
	{ 0x20f4d3ef, "sysfs_create_files" },
	{ 0x56470118, "__warn_printk" },
	{ 0x36fdccdb, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xef330b9c, "deactivate_locked_super" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x10c269d8, "seq_puts" },
	{ 0x567c0d52, "dev_err_probe" },
	{ 0x40118da7, "proc_create_single_data" },
	{ 0xd441fd79, "nvmem_register" },
	{ 0xa3a30692, "kmalloc_trace" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xfd7674cc, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x28f98545, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc293701, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x12b14d92, "generic_shutdown_super" },
	{ 0xfcdcf5e8, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x20978fb9, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x1879c069, "sget_dev" },
	{ 0xcf48fb81, "bdi_unregister" },
	{ 0x7cef701f, "dev_set_name" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x5ad4c1b0, "bdi_register" },
	{ 0x35b61713, "device_unregister" },
	{ 0xcc39c03e, "nvmem_unregister" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x21896536, "logfc" },
	{ 0xa58d9bfe, "sysfs_remove_files" },
	{ 0xd5017907, "__module_get" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x122c3a7e, "_printk" },
	{ 0xad4bd4ed, "bdi_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xbc4df392, "put_device" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xc6cbbc89, "capable" },
	{ 0xcca19224, "module_put" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x1741b605, "debugfs_create_bool" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F791D9842983DCB762A2866");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
