#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(m_can_check_mram_cfg, "_gpl", "");
KSYMTAB_FUNC(m_can_init_ram, "_gpl", "");
KSYMTAB_FUNC(m_can_class_get_clocks, "_gpl", "");
KSYMTAB_FUNC(m_can_class_allocate_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_free_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_register, "_gpl", "");
KSYMTAB_FUNC(m_can_class_unregister, "_gpl", "");
KSYMTAB_FUNC(m_can_class_suspend, "_gpl", "");
KSYMTAB_FUNC(m_can_class_resume, "_gpl", "");

SYMBOL_CRC(m_can_check_mram_cfg, 0xa566b76a, "_gpl");
SYMBOL_CRC(m_can_init_ram, 0x99d37647, "_gpl");
SYMBOL_CRC(m_can_class_get_clocks, 0x8e7b2bcc, "_gpl");
SYMBOL_CRC(m_can_class_allocate_dev, 0xd6dfa0d3, "_gpl");
SYMBOL_CRC(m_can_class_free_dev, 0x1d2a2840, "_gpl");
SYMBOL_CRC(m_can_class_register, 0x018b0ade, "_gpl");
SYMBOL_CRC(m_can_class_unregister, 0x16d3aa46, "_gpl");
SYMBOL_CRC(m_can_class_suspend, 0x9aa08188, "_gpl");
SYMBOL_CRC(m_can_class_resume, 0xe2650475, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9188c54d, "free_candev" },
	{ 0xdb3716f9, "can_rx_offload_get_echo_skb_queue_timestamp" },
	{ 0xbda53535, "can_get_echo_skb" },
	{ 0xf1c118bd, "can_free_echo_skb" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe2e1bae, "netdev_warn" },
	{ 0xda253f7b, "unregister_candev" },
	{ 0xab2b8e39, "can_rx_offload_del" },
	{ 0xe6b970d6, "devm_clk_get" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x952a13ed, "__pm_runtime_resume" },
	{ 0x525846b8, "__pm_runtime_idle" },
	{ 0x9d1c94d, "pinctrl_pm_select_default_state" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0xd4988691, "netif_device_attach" },
	{ 0x257934e2, "register_candev" },
	{ 0x6bc945a6, "_dev_info" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc4745a70, "can_rx_offload_add_manual" },
	{ 0x79fc083, "netif_napi_add_weight" },
	{ 0x64614a84, "phy_power_on" },
	{ 0x57d4a867, "open_candev" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xd952b95d, "close_candev" },
	{ 0xe63bf8b7, "phy_power_off" },
	{ 0xaf1ca703, "netdev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xbb61672c, "can_rx_offload_enable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf1791c2f, "napi_disable" },
	{ 0x1e67c3a1, "napi_enable" },
	{ 0x22cac4ec, "netif_tx_wake_queue" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xcc94ae79, "pinctrl_pm_select_sleep_state" },
	{ 0xdc2a4519, "netif_device_detach" },
	{ 0x558720c5, "alloc_can_err_skb" },
	{ 0x88d7a4db, "can_rx_offload_queue_timestamp" },
	{ 0xe02381df, "netif_receive_skb" },
	{ 0xa6dcba0a, "__dynamic_netdev_dbg" },
	{ 0xf8c6b8ac, "can_bus_off" },
	{ 0x6047ede6, "can_fd_len2dlc" },
	{ 0xc414fa4e, "can_put_echo_skb" },
	{ 0x572093f7, "kfree_skb_reason" },
	{ 0x86cd2ebc, "can_dropped_invalid_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4d198754, "netdev_printk" },
	{ 0xa0d3d40d, "alloc_canfd_skb" },
	{ 0xc6a25c6a, "alloc_can_skb" },
	{ 0xf12d9387, "can_fd_dlc2len" },
	{ 0x23978d28, "napi_complete_done" },
	{ 0xaf4c05ae, "napi_schedule_prep" },
	{ 0xe6f45e3c, "can_rx_offload_threaded_irq_finish" },
	{ 0x3286d9ad, "__napi_schedule" },
	{ 0xf07464e4, "hrtimer_forward" },
	{ 0x9ba78f18, "ethtool_op_get_ts_info" },
	{ 0x27e3acf3, "can_change_mtu" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x23969a38, "_dev_err" },
	{ 0x426ce456, "__dev_fwnode" },
	{ 0xc59ac4ed, "fwnode_property_read_u32_array" },
	{ 0xab77209b, "alloc_candev_mqs" },
	{ 0x5c7f79c4, "__dynamic_dev_dbg" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "can-dev");


MODULE_INFO(srcversion, "8FFD42E4065BCCC7BE7AAF5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
