#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ice_xdp_locking_key, "", "");
KSYMTAB_FUNC(ice_add_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_del_rdma_qset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_request_reset, "_gpl", "");
KSYMTAB_FUNC(ice_rdma_update_vsi_filter, "_gpl", "");
KSYMTAB_FUNC(ice_get_qos_params, "_gpl", "");

SYMBOL_CRC(ice_xdp_locking_key, 0x965ff908, "");
SYMBOL_CRC(ice_add_rdma_qset, 0xf29f81b4, "_gpl");
SYMBOL_CRC(ice_del_rdma_qset, 0xb94fa9c5, "_gpl");
SYMBOL_CRC(ice_rdma_request_reset, 0xdab65439, "_gpl");
SYMBOL_CRC(ice_rdma_update_vsi_filter, 0xa94e4b89, "_gpl");
SYMBOL_CRC(ice_get_qos_params, 0xc67e4ea5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x47df86ff, "netif_set_real_num_tx_queues" },
	{ 0x3b53ba1b, "__auxiliary_device_add" },
	{ 0x1506fe5e, "pldmfw_op_pci_match_record" },
	{ 0xc16be39d, "iter_div_u64_rem" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xe167d39, "netif_set_real_num_rx_queues" },
	{ 0xe739b6d0, "flow_indr_block_cb_alloc" },
	{ 0xdf12a539, "pci_wait_for_pending_transaction" },
	{ 0xfee4594c, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5d3eb4d7, "pci_device_is_present" },
	{ 0xe7053f91, "pci_read_config_word" },
	{ 0x44fccb62, "pcie_flr" },
	{ 0x1e67c3a1, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x374a6a4b, "xsk_clear_rx_need_wakeup" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x1f57c958, "dcbnl_ieee_notify" },
	{ 0x6195047d, "xsk_uses_need_wakeup" },
	{ 0xac1f727c, "register_netdev" },
	{ 0x58fb71d, "dev_mc_del" },
	{ 0x8466d15f, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x5cede0a7, "xdp_flush_frame_bulk" },
	{ 0x40d9bfab, "free_netdev" },
	{ 0x676c2caa, "xsk_get_pool_from_qid" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa00aca2a, "dql_completed" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x828bc7a6, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0x676ea487, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x1223f842, "__SCK__tp_func_xdp_exception" },
	{ 0x64127b67, "bitmap_find_next_zero_area_off" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xb577f450, "netif_tx_stop_all_queues" },
	{ 0x75b7d578, "pci_restore_state" },
	{ 0x3a9ac319, "bpf_trace_run1" },
	{ 0x22cac4ec, "netif_tx_wake_queue" },
	{ 0x79c58e9, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xbe539d6d, "dma_sync_single_for_cpu" },
	{ 0x34117799, "dcb_getapp" },
	{ 0x41061510, "dmam_free_coherent" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0x72eb7fac, "_dev_warn" },
	{ 0xcc9d6aec, "flow_rule_match_ports" },
	{ 0x878e910, "gnss_allocate_device" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xb135d9dd, "ptp_clock_event" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0xb2b1ff97, "netif_schedule_queue" },
	{ 0x7ffb3712, "__alloc_pages" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xf6e4fbc4, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xc2926c36, "flow_rule_match_ipv6_addrs" },
	{ 0x4946519e, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xf5099ece, "ptp_clock_unregister" },
	{ 0xe11dda33, "__pskb_pull_tail" },
	{ 0x4ec2efec, "xp_dma_unmap" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0xe83a99df, "switchdev_handle_port_obj_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xdafffca9, "devl_unlock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xa6dcba0a, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x166d9992, "dma_set_coherent_mask" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xe6bc02f8, "flow_rule_match_pppoe" },
	{ 0xb0ad341b, "pv_ops" },
	{ 0xe2dffdbb, "flow_rule_match_enc_control" },
	{ 0x6a7f7b0f, "bpf_trace_run3" },
	{ 0x48269b31, "__page_frag_cache_drain" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb3192165, "_dev_notice" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7023bc5a, "gnss_deregister_device" },
	{ 0xac67d510, "rps_may_expire_flow" },
	{ 0xfb3fa4cb, "metadata_dst_free" },
	{ 0xcfd12add, "xsk_set_tx_need_wakeup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x23346312, "netdev_reset_tc" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x3fd26c20, "devlink_params_register" },
	{ 0xfb66856d, "trace_event_buffer_reserve" },
	{ 0x1f04a8cf, "kthread_destroy_worker" },
	{ 0x7aa51143, "flow_rule_match_enc_ipv6_addrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xeb6899c, "flow_rule_match_enc_ports" },
	{ 0xb7b33f77, "xdp_return_frame_bulk" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xe5f3dde2, "call_netdevice_notifiers" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xfcbc278c, "pcie_print_link_status" },
	{ 0x3ad83d0e, "xp_set_rxq_info" },
	{ 0xa868c5cf, "flow_rule_match_vlan" },
	{ 0xdc14de80, "xdp_rxq_info_unreg" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x90b3525, "napi_build_skb" },
	{ 0xa752e509, "netdev_master_upper_dev_get_rcu" },
	{ 0x1c47f1f9, "__xdp_rxq_info_reg" },
	{ 0xdc4007f6, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x11ce47f9, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x8d3e1517, "gnss_register_device" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x9a1c6b85, "devlink_priv" },
	{ 0xb516a657, "__hw_addr_sync_dev" },
	{ 0xca9d594e, "devlink_port_register_with_ops" },
	{ 0x9fc67d2e, "pci_disable_sriov" },
	{ 0xc3ad6e68, "pldmfw_flash_image" },
	{ 0xf026a0f3, "kthread_queue_delayed_work" },
	{ 0x2211f755, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x7d6a2b3f, "dst_release" },
	{ 0x14438698, "netif_carrier_on" },
	{ 0xfb8ddaff, "netdev_set_num_tc" },
	{ 0x4ea25709, "dql_reset" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x5d7d758d, "dev_uc_add_excl" },
	{ 0x314e6480, "pci_disable_device" },
	{ 0x78d27962, "boot_cpu_data" },
	{ 0x5b08701, "xp_free" },
	{ 0x6e64f0f5, "dev_mc_add_excl" },
	{ 0xdfaf3347, "gnss_put_device" },
	{ 0xc03a5ae, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x7c78105f, "netif_set_tso_max_size" },
	{ 0x7b6f2b23, "__skb_flow_dissect" },
	{ 0x5137873e, "vlan_dev_vlan_id" },
	{ 0x8c560eed, "pci_msix_alloc_irq_at" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x85e58e52, "pcim_iomap_table" },
	{ 0xa3a30692, "kmalloc_trace" },
	{ 0x6b27667b, "xdp_master_redirect" },
	{ 0x3f9695a, "__devm_add_action" },
	{ 0xaf4c05ae, "napi_schedule_prep" },
	{ 0xaca49eed, "napi_consume_skb" },
	{ 0xeb83f98, "pci_read_config_byte" },
	{ 0xc50321d1, "xp_alloc_batch" },
	{ 0x754d539c, "strlen" },
	{ 0xf1791c2f, "napi_disable" },
	{ 0x30e64745, "dev_kfree_skb_any_reason" },
	{ 0x1964aa85, "dcb_ieee_delapp" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x65eafe86, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x24ab00e1, "pcim_enable_device" },
	{ 0x349cba85, "strchr" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7d465a72, "pci_free_irq_vectors" },
	{ 0x6c37d139, "flow_rule_match_control" },
	{ 0x275a45c7, "flow_rule_match_ip" },
	{ 0x64cec59, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x472ff1ff, "dcb_ieee_setapp" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x9ba78f18, "ethtool_op_get_ts_info" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc293701, "kmalloc_caches" },
	{ 0xbd1e2041, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0xe3973226, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xbf7eb6ce, "__tracepoint_xdp_exception" },
	{ 0xcee993e3, "xsk_tx_completed" },
	{ 0x524265a5, "alloc_etherdev_mqs" },
	{ 0xc6846e57, "netdev_lower_get_next" },
	{ 0x7529aeb6, "flow_block_cb_lookup" },
	{ 0x7f8a8426, "pci_save_state" },
	{ 0x53c56693, "xp_dma_sync_for_device_slow" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x8fff662, "devl_rate_leaf_create" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x33824d8f, "device_set_wakeup_enable" },
	{ 0xbc49629e, "__skb_pad" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x944d57ad, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xd02c2ebe, "pci_find_ext_capability" },
	{ 0x34337c9e, "kthread_create_worker" },
	{ 0xab85fbdc, "bpf_prog_put" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xfcef68b8, "xp_dma_map" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xc5163f47, "devlink_unregister" },
	{ 0x80ee88e7, "skb_copy_bits" },
	{ 0x20978fb9, "idr_find" },
	{ 0x5333de2e, "devm_request_threaded_irq" },
	{ 0x7ec1b60d, "kthread_cancel_delayed_work_sync" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0x302e0f16, "pci_wake_from_d3" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x6db1aefb, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xd8d0dd94, "call_switchdev_notifiers" },
	{ 0x36151618, "__napi_alloc_skb" },
	{ 0xe06a6cd2, "flow_indr_dev_register" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x66e90e65, "firmware_request_nowarn" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x392f9762, "auxiliary_device_init" },
	{ 0x1685bab7, "pci_enable_device_mem" },
	{ 0x6650111a, "consume_skb" },
	{ 0xf86f560, "kthread_delayed_work_timer_fn" },
	{ 0x90d68301, "flow_rule_match_enc_ip" },
	{ 0xb0e602eb, "memmove" },
	{ 0x2850b872, "pci_alloc_irq_vectors" },
	{ 0xeda844cc, "flow_rule_match_l2tpv3" },
	{ 0x79fc083, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb1ed9fb9, "xsk_tx_peek_release_desc_batch" },
	{ 0x17d6a646, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf6ee88fe, "dmam_alloc_attrs" },
	{ 0x9c2f19c5, "trace_raw_output_prep" },
	{ 0x9addbb3a, "devl_lock" },
	{ 0x87bb7283, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xf46059d, "ndo_dflt_bridge_getlink" },
	{ 0x1147efa1, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xf0a791dc, "xdp_features_set_redirect_target" },
	{ 0x44c512df, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x77eb9152, "pci_get_device" },
	{ 0xf8d07858, "bitmap_from_arr32" },
	{ 0x4bbaa0e0, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x6f18a64c, "request_firmware" },
	{ 0x8b8f4c16, "trace_event_printf" },
	{ 0x82a9eca6, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x9bb66a97, "flow_rule_match_cvlan" },
	{ 0xb7dd393e, "__pci_register_driver" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x4c00e0d0, "devlink_params_unregister" },
	{ 0x4f15427f, "dma_sync_single_for_device" },
	{ 0xf6844954, "gnss_insert_raw" },
	{ 0x7d8251f0, "pci_num_vf" },
	{ 0x4291aa8b, "flow_rule_match_eth_addrs" },
	{ 0x4cbea427, "skb_add_rx_frag" },
	{ 0xa668deda, "get_device_system_crosststamp" },
	{ 0x47550e46, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x5d535f88, "ptp_clock_index" },
	{ 0xcd235d0b, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xbb6dc1c8, "xp_can_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0xdf1e4640, "devlink_alloc_ns" },
	{ 0xb99a4557, "devl_rate_leaf_destroy" },
	{ 0xce16c606, "devlink_register" },
	{ 0x6efa9c3c, "pcpu_hot" },
	{ 0xea711af6, "xdp_do_redirect" },
	{ 0x47b4a614, "devlink_free" },
	{ 0xb5e9a9fb, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0x4b5acf74, "rhashtable_init" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc5799bdc, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x74e1bfdb, "devl_rate_node_create" },
	{ 0xe2e1bae, "netdev_warn" },
	{ 0x6e58912b, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xbb4d5627, "pci_set_power_state" },
	{ 0xf66d4b64, "devl_rate_nodes_destroy" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xb3e0954e, "pci_irq_vector" },
	{ 0x9d2066ea, "flow_rule_match_ipv4_addrs" },
	{ 0x74cdcb58, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x5c7f79c4, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x67ee74b4, "netdev_state_change" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x111ec07e, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xaf1ca703, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2cd72915, "pskb_expand_head" },
	{ 0xee979612, "switchdev_handle_port_attr_set" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x389b64a2, "static_key_count" },
	{ 0xf4524d27, "devlink_flash_update_status_notify" },
	{ 0x28304560, "dev_driver_string" },
	{ 0x379a682a, "pci_restore_msi_state" },
	{ 0x9e987a9e, "trace_event_buffer_commit" },
	{ 0x6c6fd6d3, "xdp_return_buff" },
	{ 0xe976ba08, "dev_addr_mod" },
	{ 0x6830a41a, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0x19552ed1, "convert_art_ns_to_tsc" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x24acd2ee, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xcb493caa, "dma_map_page_attrs" },
	{ 0x23978d28, "napi_complete_done" },
	{ 0xc1c94986, "switchdev_handle_port_obj_del" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x136a231f, "priv_to_devlink" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x94d49d92, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xbc4df392, "put_device" },
	{ 0xfbf7997f, "devm_free_irq" },
	{ 0x7f52071a, "net_dim" },
	{ 0x3286d9ad, "__napi_schedule" },
	{ 0xd3c9451, "ipv6_skip_exthdr" },
	{ 0xd819e3a2, "xsk_set_rx_need_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x9ead011, "flow_rule_match_enc_ipv4_addrs" },
	{ 0xdc2a4519, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0xf6975aef, "__free_pages" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x6876cdf, "__hw_addr_unsync_dev" },
	{ 0x6bc945a6, "_dev_info" },
	{ 0x32b5fb1b, "napi_gro_receive" },
	{ 0xd4988691, "netif_device_attach" },
	{ 0x287284b0, "xdp_features_clear_redirect_target" },
	{ 0x909e7afe, "netdev_pick_tx" },
	{ 0xe6f44eda, "flow_indr_dev_unregister" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xc19f7dfb, "xp_raw_get_dma" },
	{ 0x7aa4f600, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xe9b9b44e, "xdp_rxq_info_is_reg" },
	{ 0xfda18cb7, "flow_rule_match_enc_opts" },
	{ 0xc180b596, "flow_block_cb_setup_simple" },
	{ 0x8fb5ef60, "pci_msix_can_alloc_dyn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x36e4c379, "flow_rule_match_basic" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xfec219c8, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xa4a91f8, "pcim_iomap_regions" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9ad12328, "devlink_region_create" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x4bc1a913, "vlan_dev_real_dev" },
	{ 0x5d5eb58, "pci_clear_master" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x17975cd, "devm_kmemdup" },
	{ 0xca233120, "pci_msix_free_irq" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xd9f69ea4, "perf_trace_run_bpf_submit" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0xe64dfe7e, "devlink_port_unregister" },
	{ 0x395bed10, "devlink_flash_update_timeout_notify" },
	{ 0xae45ba72, "devm_kfree" },
	{ 0x23969a38, "_dev_err" },
	{ 0x579eb654, "init_net" },
	{ 0x328475ff, "softnet_data" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x498e9c5c, "xdp_return_frame" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xd811e2c0, "ptp_clock_register" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x6956ee98, "xp_dma_sync_for_cpu_slow" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "gnss");

MODULE_ALIAS("pci:v00008086d00001591sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001599sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000159Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000188Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001890sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001891sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001892sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001893sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001894sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001897sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001898sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001899sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000189Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000124Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000151Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00001888sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "B06B13DA6BAFE28EA4BC45A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
