#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(smsc_phy_config_intr, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_config_init, "_gpl", "");
KSYMTAB_FUNC(lan87xx_read_status, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_get_tunable, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_set_tunable, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_probe, "_gpl", "");

SYMBOL_CRC(smsc_phy_config_intr, 0x51c5d8f2, "_gpl");
SYMBOL_CRC(smsc_phy_handle_interrupt, 0x198de5d0, "_gpl");
SYMBOL_CRC(smsc_phy_config_init, 0xf2dbab97, "_gpl");
SYMBOL_CRC(lan87xx_read_status, 0xb877fb79, "_gpl");
SYMBOL_CRC(smsc_phy_get_tunable, 0x751353ae, "_gpl");
SYMBOL_CRC(smsc_phy_set_tunable, 0x68ae21d5, "_gpl");
SYMBOL_CRC(smsc_phy_probe, 0x8c2ea57f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xff2f0593, "genphy_read_status" },
	{ 0x3870380f, "mdiobus_write" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0x5b01b6eb, "device_property_present" },
	{ 0x899aa671, "devm_clk_get_optional_enabled" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x567c0d52, "dev_err_probe" },
	{ 0xeff3a0d4, "phy_drivers_register" },
	{ 0xd685b9c0, "phy_read_mmd" },
	{ 0x56fdaa80, "__genphy_config_aneg" },
	{ 0x25ab30a9, "phy_modify" },
	{ 0xf543e15, "genphy_soft_reset" },
	{ 0x8073a8c5, "phy_drivers_unregister" },
	{ 0xbd6841d4, "crc16" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x27eca1db, "phy_write_mmd" },
	{ 0x5c7f79c4, "__dynamic_dev_dbg" },
	{ 0x6bc945a6, "_dev_info" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7200fdfb, "genphy_suspend" },
	{ 0xb379b2d8, "genphy_resume" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1801d421, "mdiobus_read" },
	{ 0xda47551e, "phy_trigger_machine" },
	{ 0xd7f9a37, "phy_error" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("mdio:0000000000000111110000001010????");
MODULE_ALIAS("mdio:0000000000000111110000001011????");
MODULE_ALIAS("mdio:0000000000000111110000001100????");
MODULE_ALIAS("mdio:0000000000000111110000001101????");
MODULE_ALIAS("mdio:0000000000000111110000001111????");
MODULE_ALIAS("mdio:0000000000000111110000010001????");
MODULE_ALIAS("mdio:0000000000000111110000010011??0?");

MODULE_INFO(srcversion, "8BEA5824C57EDDBD06FCFE5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
