#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cdc_ncm_change_mtu, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_bind_common, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_unbind, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_select_altsetting, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_fill_tx_frame, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_tx_fixup, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_fixup, "_gpl", "");

SYMBOL_CRC(cdc_ncm_change_mtu, 0xe50cbb9e, "_gpl");
SYMBOL_CRC(cdc_ncm_bind_common, 0xe16e97ed, "_gpl");
SYMBOL_CRC(cdc_ncm_unbind, 0xe4b32168, "_gpl");
SYMBOL_CRC(cdc_ncm_select_altsetting, 0x3cb85129, "_gpl");
SYMBOL_CRC(cdc_ncm_fill_tx_frame, 0x7d8bd995, "_gpl");
SYMBOL_CRC(cdc_ncm_tx_fixup, 0x917cd4fe, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth16, 0xc48df17f, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth32, 0xf857351b, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp16, 0xa6d208ac, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp32, 0xc58f25e3, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_fixup, 0x3c7871ec, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdd7e8e0f, "usbnet_unlink_rx_urbs" },
	{ 0xe3af09f9, "usbnet_write_cmd" },
	{ 0x6efa9c3c, "pcpu_hot" },
	{ 0x4441582, "netif_tx_lock" },
	{ 0x707a6db7, "usbnet_start_xmit" },
	{ 0x421350a0, "netif_tx_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3c96fa2f, "hrtimer_active" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0xeb711a5b, "usbnet_read_cmd" },
	{ 0xb56582fc, "__netdev_alloc_skb" },
	{ 0x57b55d65, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1c0dd77d, "usbnet_skb_return" },
	{ 0xfb578fc5, "memset" },
	{ 0xc293701, "kmalloc_caches" },
	{ 0xa3a30692, "kmalloc_trace" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x7e66fce4, "cdc_parse_cdc_header" },
	{ 0xcb86dde6, "usb_ifnum_to_if" },
	{ 0xcac04ff0, "usb_driver_claim_interface" },
	{ 0x134d4ae4, "usb_set_interface" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x2b95a6c1, "usbnet_get_ethernet_addr" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x23969a38, "_dev_err" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xad30cd20, "__alloc_skb" },
	{ 0xa46bac2e, "usbnet_manage_power" },
	{ 0x21cb7d9d, "usbnet_cdc_update_filter" },
	{ 0x3a2bcf4e, "usbnet_open" },
	{ 0xf38c19d7, "usbnet_stop" },
	{ 0xe2dbc0db, "usbnet_set_rx_mode" },
	{ 0xd841a783, "eth_mac_addr" },
	{ 0xb5e9a9fb, "eth_validate_addr" },
	{ 0xe53bb81b, "usbnet_tx_timeout" },
	{ 0xef3cbd8c, "dev_get_tstats64" },
	{ 0xc067e5a2, "usbnet_get_drvinfo" },
	{ 0xbb3f4622, "usbnet_get_msglevel" },
	{ 0xa5b26412, "usbnet_set_msglevel" },
	{ 0xe8fc3b0e, "usbnet_nway_reset" },
	{ 0xa68dc4b2, "usbnet_get_link" },
	{ 0x9ba78f18, "ethtool_op_get_ts_info" },
	{ 0xdba6a06c, "usbnet_get_link_ksettings_internal" },
	{ 0xd2fc7651, "usbnet_probe" },
	{ 0x1bcef25a, "usbnet_disconnect" },
	{ 0x6756e42d, "usbnet_suspend" },
	{ 0x7ca0b21, "usbnet_resume" },
	{ 0x6e011942, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5c7f79c4, "__dynamic_dev_dbg" },
	{ 0x72eb7fac, "_dev_warn" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x30e64745, "dev_kfree_skb_any_reason" },
	{ 0x37a0cba, "kfree" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x6cd0b8ce, "usb_driver_release_interface" },
	{ 0xadca04f2, "usb_altnum_to_altsetting" },
	{ 0xa6dcba0a, "__dynamic_netdev_dbg" },
	{ 0x12b5f09d, "usb_register_driver" },
	{ 0x39a0279, "usb_deregister" },
	{ 0x19c0df16, "usbnet_link_change" },
	{ 0x6bc945a6, "_dev_info" },
	{ 0x6fe9b5b1, "usbnet_update_max_qlen" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "usbnet,usbcore,cdc_ether");

MODULE_ALIAS("usb:v0BDBp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1BC7p0036d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BBd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BCd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v0930p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1519p0443d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1546p1010d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v17E9p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc0Dip00in*");

MODULE_INFO(srcversion, "A65C089EA6CC70961D7B748");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
