#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ath6kl_printk, "", "");
KSYMTAB_FUNC(ath6kl_info, "", "");
KSYMTAB_FUNC(ath6kl_err, "", "");
KSYMTAB_FUNC(ath6kl_warn, "", "");
KSYMTAB_FUNC(ath6kl_read_tgt_stats, "", "");
KSYMTAB_FUNC(ath6kl_hif_rw_comp_handler, "", "");
KSYMTAB_FUNC(ath6kl_hif_intr_bh_handler, "", "");
KSYMTAB_FUNC(ath6kl_cfg80211_suspend, "", "");
KSYMTAB_FUNC(ath6kl_cfg80211_resume, "", "");
KSYMTAB_FUNC(ath6kl_stop_txrx, "", "");
KSYMTAB_FUNC(ath6kl_core_tx_complete, "", "");
KSYMTAB_FUNC(ath6kl_core_rx_complete, "", "");
KSYMTAB_FUNC(ath6kl_core_init, "", "");
KSYMTAB_FUNC(ath6kl_core_create, "", "");
KSYMTAB_FUNC(ath6kl_core_cleanup, "", "");
KSYMTAB_FUNC(ath6kl_core_destroy, "", "");

SYMBOL_CRC(ath6kl_printk, 0xb881b1a9, "");
SYMBOL_CRC(ath6kl_info, 0x3502feef, "");
SYMBOL_CRC(ath6kl_err, 0xb9a689dd, "");
SYMBOL_CRC(ath6kl_warn, 0x1354043d, "");
SYMBOL_CRC(ath6kl_read_tgt_stats, 0xf18401ec, "");
SYMBOL_CRC(ath6kl_hif_rw_comp_handler, 0x91cfb84a, "");
SYMBOL_CRC(ath6kl_hif_intr_bh_handler, 0x6472361a, "");
SYMBOL_CRC(ath6kl_cfg80211_suspend, 0xb9b0a4e0, "");
SYMBOL_CRC(ath6kl_cfg80211_resume, 0xc0e99e8e, "");
SYMBOL_CRC(ath6kl_stop_txrx, 0x8b0beb03, "");
SYMBOL_CRC(ath6kl_core_tx_complete, 0x2832ec13, "");
SYMBOL_CRC(ath6kl_core_rx_complete, 0x98f7568c, "");
SYMBOL_CRC(ath6kl_core_init, 0xec8dfc8d, "");
SYMBOL_CRC(ath6kl_core_create, 0x03be2898, "");
SYMBOL_CRC(ath6kl_core_cleanup, 0xffdc489b, "");
SYMBOL_CRC(ath6kl_core_destroy, 0xb59a4873, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x643bc488, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0xc31d32a4, "cfg80211_put_bss" },
	{ 0xc0e4b201, "cfg80211_roamed" },
	{ 0x808d445d, "cfg80211_ch_switch_notify" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6c073fa1, "skb_copy_expand" },
	{ 0x52c3e512, "skb_queue_tail" },
	{ 0x9c7a0976, "ieee80211_get_channel_khz" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x2fef0dec, "cfg80211_get_drvinfo" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x7e0049b2, "cfg80211_ibss_joined" },
	{ 0x7f6bab41, "skb_pull" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x15ea777a, "cfg80211_michael_mic_failure" },
	{ 0x572093f7, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb72639e8, "skb_push" },
	{ 0x726d359a, "cfg80211_del_sta_sinfo" },
	{ 0x18336308, "wiphy_unregister" },
	{ 0x40d9bfab, "free_netdev" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x828bc7a6, "ethtool_op_get_link" },
	{ 0xb5a9430f, "cfg80211_get_bss" },
	{ 0x22cac4ec, "netif_tx_wake_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0xd32ce32, "cfg80211_pmksa_candidate_notify" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa02b2033, "netif_rx" },
	{ 0xb56582fc, "__netdev_alloc_skb" },
	{ 0x238a2c26, "skb_trim" },
	{ 0x4929cd45, "cfg80211_check_station_change" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdd64e639, "strscpy" },
	{ 0x17f60ec8, "cfg80211_unregister_wdev" },
	{ 0x999e8297, "vfree" },
	{ 0xdf237f02, "cfg80211_rx_mgmt_ext" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x11ce47f9, "netif_carrier_off" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xef2227db, "skb_copy" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x14438698, "netif_carrier_on" },
	{ 0x6ca71fd, "cfg80211_chandef_create" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf4fe7fcb, "cfg80211_conn_failed" },
	{ 0x14b81a64, "cfg80211_inform_bss_data" },
	{ 0xa3a30692, "kmalloc_trace" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x2ce285d5, "cfg80211_connect_done" },
	{ 0x2c693aa2, "wiphy_free" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc293701, "kmalloc_caches" },
	{ 0xbc3a09d7, "cfg80211_sched_scan_results" },
	{ 0x4d7ad734, "cfg80211_cqm_txe_notify" },
	{ 0x1592d967, "cfg80211_mgmt_tx_status_ext" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1a73ff62, "param_ops_uint" },
	{ 0x57b55d65, "skb_put" },
	{ 0x3f3303d5, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x4683e886, "cfg80211_sched_scan_stopped" },
	{ 0x6650111a, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x86a42058, "cfg80211_remain_on_channel_expired" },
	{ 0x92d59ee2, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4b79c07e, "cfg80211_register_netdevice" },
	{ 0x6f18a64c, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0xcf2a6966, "up" },
	{ 0x69acdf38, "memcpy" },
	{ 0xaa12af1, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x6efa9c3c, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x23b0aa4b, "cfg80211_new_sta" },
	{ 0x7f42ad61, "netdev_set_default_ethtool_ops" },
	{ 0x9e92c37d, "cfg80211_disconnected" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xfd074549, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2cd72915, "pskb_expand_head" },
	{ 0x5b1181ae, "skb_queue_purge_reason" },
	{ 0xe976ba08, "dev_addr_mod" },
	{ 0x24acd2ee, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf5640690, "alloc_netdev_mqs" },
	{ 0xc369dbdf, "wiphy_new_nm" },
	{ 0x122c3a7e, "_printk" },
	{ 0xfec4baa5, "cfg80211_ready_on_channel" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "8BFE2B4C289B8AFD2D2F070");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
