#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(libipw_networks_age, "", "");
KSYMTAB_FUNC(alloc_libipw, "", "");
KSYMTAB_FUNC(free_libipw, "", "");
KSYMTAB_DATA(libipw_debug_level, "_gpl", "");
KSYMTAB_FUNC(libipw_xmit, "", "");
KSYMTAB_FUNC(libipw_txb_free, "", "");
KSYMTAB_FUNC(libipw_rx_any, "_gpl", "");
KSYMTAB_FUNC(libipw_rx_mgt, "", "");
KSYMTAB_FUNC(libipw_rx, "", "");
KSYMTAB_FUNC(libipw_wx_set_encodeext, "", "");
KSYMTAB_FUNC(libipw_wx_get_encodeext, "", "");
KSYMTAB_FUNC(libipw_wx_get_scan, "", "");
KSYMTAB_FUNC(libipw_wx_set_encode, "", "");
KSYMTAB_FUNC(libipw_wx_get_encode, "", "");
KSYMTAB_FUNC(libipw_get_channel, "", "");
KSYMTAB_FUNC(libipw_get_channel_flags, "", "");
KSYMTAB_FUNC(libipw_is_valid_channel, "", "");
KSYMTAB_FUNC(libipw_freq_to_channel, "", "");
KSYMTAB_FUNC(libipw_channel_to_freq, "", "");
KSYMTAB_FUNC(libipw_channel_to_index, "", "");
KSYMTAB_FUNC(libipw_set_geo, "", "");
KSYMTAB_FUNC(libipw_get_geo, "", "");

SYMBOL_CRC(libipw_networks_age, 0x9a17286d, "");
SYMBOL_CRC(alloc_libipw, 0x5cd5f025, "");
SYMBOL_CRC(free_libipw, 0xe18babe9, "");
SYMBOL_CRC(libipw_debug_level, 0x498e4f1a, "_gpl");
SYMBOL_CRC(libipw_xmit, 0x180e0407, "");
SYMBOL_CRC(libipw_txb_free, 0x871d4259, "");
SYMBOL_CRC(libipw_rx_any, 0x56f75925, "_gpl");
SYMBOL_CRC(libipw_rx_mgt, 0x9fa5f9d5, "");
SYMBOL_CRC(libipw_rx, 0x75427bfc, "");
SYMBOL_CRC(libipw_wx_set_encodeext, 0xf87cb423, "");
SYMBOL_CRC(libipw_wx_get_encodeext, 0x1b67e697, "");
SYMBOL_CRC(libipw_wx_get_scan, 0x3b3d3938, "");
SYMBOL_CRC(libipw_wx_set_encode, 0xdb8aca5e, "");
SYMBOL_CRC(libipw_wx_get_encode, 0x6a598c26, "");
SYMBOL_CRC(libipw_get_channel, 0xe3c05855, "");
SYMBOL_CRC(libipw_get_channel_flags, 0xef307056, "");
SYMBOL_CRC(libipw_is_valid_channel, 0xd161f504, "");
SYMBOL_CRC(libipw_freq_to_channel, 0xeb4169e7, "");
SYMBOL_CRC(libipw_channel_to_freq, 0xc4a32323, "");
SYMBOL_CRC(libipw_channel_to_index, 0x9b3176b5, "");
SYMBOL_CRC(libipw_set_geo, 0xcdd6fd90, "");
SYMBOL_CRC(libipw_get_geo, 0x5b3bd437, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x72f56a76, "seq_lseek" },
	{ 0xf39d19f, "dev_kfree_skb_irq_reason" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x24acd2ee, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc369dbdf, "wiphy_new_nm" },
	{ 0xbbd370ef, "lib80211_crypt_info_init" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0x8aea3ef0, "lib80211_get_crypto_ops" },
	{ 0x579eb654, "init_net" },
	{ 0x7f6bab41, "skb_pull" },
	{ 0xb72639e8, "skb_push" },
	{ 0x40d9bfab, "free_netdev" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xdbd5c97, "proc_mkdir" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0x6c55a012, "wireless_spy_update" },
	{ 0xa02b2033, "netif_rx" },
	{ 0xb56582fc, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x36a40d72, "seq_read" },
	{ 0x42078632, "lib80211_crypt_info_free" },
	{ 0xfdc4f6ba, "remove_proc_entry" },
	{ 0x56470118, "__warn_printk" },
	{ 0x36fdccdb, "seq_printf" },
	{ 0x2614644d, "lib80211_crypt_delayed_deinit" },
	{ 0x4b6b9976, "single_release" },
	{ 0xa3a30692, "kmalloc_trace" },
	{ 0x30e64745, "dev_kfree_skb_any_reason" },
	{ 0x65eafe86, "param_ops_int" },
	{ 0x86cb7f61, "single_open" },
	{ 0x2c693aa2, "wiphy_free" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc293701, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x524265a5, "alloc_etherdev_mqs" },
	{ 0xfcdcf5e8, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0x57b55d65, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x721327dc, "proc_create" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,lib80211");


MODULE_INFO(srcversion, "B04C794549E5CDFD244F82D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
