#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hostap_80211_rx, "", "");
KSYMTAB_FUNC(hostap_master_start_xmit, "", "");
KSYMTAB_FUNC(hostap_init_data, "", "");
KSYMTAB_FUNC(hostap_init_ap_proc, "", "");
KSYMTAB_FUNC(hostap_free_data, "", "");
KSYMTAB_FUNC(hostap_check_sta_fw_version, "", "");
KSYMTAB_FUNC(hostap_handle_sta_tx_exc, "", "");
KSYMTAB_FUNC(hostap_info_init, "", "");
KSYMTAB_FUNC(hostap_info_process, "", "");
KSYMTAB_DATA(hostap_80211_ops, "", "");
KSYMTAB_FUNC(hostap_set_word, "", "");
KSYMTAB_FUNC(hostap_set_string, "", "");
KSYMTAB_FUNC(hostap_get_porttype, "", "");
KSYMTAB_FUNC(hostap_set_encryption, "", "");
KSYMTAB_FUNC(hostap_set_antsel, "", "");
KSYMTAB_FUNC(hostap_set_roaming, "", "");
KSYMTAB_FUNC(hostap_set_auth_algs, "", "");
KSYMTAB_FUNC(hostap_dump_rx_header, "", "");
KSYMTAB_FUNC(hostap_dump_tx_header, "", "");
KSYMTAB_FUNC(hostap_80211_get_hdrlen, "", "");
KSYMTAB_FUNC(hostap_setup_dev, "", "");
KSYMTAB_FUNC(hostap_set_multicast_list_queue, "", "");
KSYMTAB_FUNC(hostap_set_hostapd, "", "");
KSYMTAB_FUNC(hostap_set_hostapd_sta, "", "");
KSYMTAB_FUNC(hostap_add_interface, "", "");
KSYMTAB_FUNC(hostap_remove_interface, "", "");
KSYMTAB_FUNC(prism2_update_comms_qual, "", "");
KSYMTAB_FUNC(hostap_init_proc, "", "");
KSYMTAB_FUNC(hostap_remove_proc, "", "");

SYMBOL_CRC(hostap_80211_rx, 0xbf242c4b, "");
SYMBOL_CRC(hostap_master_start_xmit, 0x8285b6aa, "");
SYMBOL_CRC(hostap_init_data, 0x6bc8587c, "");
SYMBOL_CRC(hostap_init_ap_proc, 0x251e9688, "");
SYMBOL_CRC(hostap_free_data, 0xe78c4a3d, "");
SYMBOL_CRC(hostap_check_sta_fw_version, 0x4f93648d, "");
SYMBOL_CRC(hostap_handle_sta_tx_exc, 0x998958b4, "");
SYMBOL_CRC(hostap_info_init, 0x2a1213dc, "");
SYMBOL_CRC(hostap_info_process, 0x007d2e52, "");
SYMBOL_CRC(hostap_80211_ops, 0xeee9fd5e, "");
SYMBOL_CRC(hostap_set_word, 0xa1ebcd08, "");
SYMBOL_CRC(hostap_set_string, 0x1ecbe29b, "");
SYMBOL_CRC(hostap_get_porttype, 0xbf044d3b, "");
SYMBOL_CRC(hostap_set_encryption, 0x193b5b51, "");
SYMBOL_CRC(hostap_set_antsel, 0x643d1d51, "");
SYMBOL_CRC(hostap_set_roaming, 0x81a6b4a0, "");
SYMBOL_CRC(hostap_set_auth_algs, 0xb7c3151c, "");
SYMBOL_CRC(hostap_dump_rx_header, 0x7fb75891, "");
SYMBOL_CRC(hostap_dump_tx_header, 0xf91c03e2, "");
SYMBOL_CRC(hostap_80211_get_hdrlen, 0xb4b77c8b, "");
SYMBOL_CRC(hostap_setup_dev, 0x9c78b8af, "");
SYMBOL_CRC(hostap_set_multicast_list_queue, 0x75934c58, "");
SYMBOL_CRC(hostap_set_hostapd, 0x242085bf, "");
SYMBOL_CRC(hostap_set_hostapd_sta, 0xdb79e06a, "");
SYMBOL_CRC(hostap_add_interface, 0x08dd5c5b, "");
SYMBOL_CRC(hostap_remove_interface, 0xdea7d33a, "");
SYMBOL_CRC(prism2_update_comms_qual, 0x600eece3, "");
SYMBOL_CRC(hostap_init_proc, 0xe7c7550d, "");
SYMBOL_CRC(hostap_remove_proc, 0x9afe2874, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xef9a5153, "default_llseek" },
	{ 0xdbd5c97, "proc_mkdir" },
	{ 0xfb578fc5, "memset" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6c55a012, "wireless_spy_update" },
	{ 0xa02b2033, "netif_rx" },
	{ 0xb56582fc, "__netdev_alloc_skb" },
	{ 0x37b7604b, "proc_remove" },
	{ 0xeb078aee, "_raw_write_unlock_irqrestore" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x238a2c26, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x774a4f4b, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x80cf0e0f, "__dev_queue_xmit" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xfdc4f6ba, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x11ce47f9, "netif_carrier_off" },
	{ 0x36fdccdb, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x2614644d, "lib80211_crypt_delayed_deinit" },
	{ 0xef2227db, "skb_copy" },
	{ 0x840a33c, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x14438698, "netif_carrier_on" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x10c269d8, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x40118da7, "proc_create_single_data" },
	{ 0xa3a30692, "kmalloc_trace" },
	{ 0x5021bd81, "_raw_write_lock_irqsave" },
	{ 0x754d539c, "strlen" },
	{ 0x30e64745, "dev_kfree_skb_any_reason" },
	{ 0x65eafe86, "param_ops_int" },
	{ 0x5775c207, "proc_create_seq_private" },
	{ 0x32c0a4d9, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc293701, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa0b2a485, "iw_handler_set_thrspy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6dc02d16, "register_netdevice" },
	{ 0x524265a5, "alloc_etherdev_mqs" },
	{ 0xfcdcf5e8, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x359666f3, "eth_header" },
	{ 0x4b401817, "iwe_stream_add_value" },
	{ 0x57b55d65, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x6650111a, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x1147efa1, "unregister_netdev" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x92d59ee2, "skb_dequeue" },
	{ 0x39833619, "param_array_ops" },
	{ 0xc621da12, "eth_header_cache" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x6efa9c3c, "pcpu_hot" },
	{ 0xb289c275, "iw_handler_set_spy" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xb5e9a9fb, "eth_validate_addr" },
	{ 0x328d4a7f, "proc_create_data" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe7a7ce7b, "unregister_netdevice_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xfd074549, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2cd72915, "pskb_expand_head" },
	{ 0x5b1181ae, "skb_queue_purge_reason" },
	{ 0xe976ba08, "dev_addr_mod" },
	{ 0x24acd2ee, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x89c42346, "iw_handler_get_thrspy" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x560191cf, "eth_header_cache_update" },
	{ 0xa916b694, "strnlen" },
	{ 0xdc2a4519, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd4988691, "netif_device_attach" },
	{ 0xc6cbbc89, "capable" },
	{ 0x52c3e512, "skb_queue_tail" },
	{ 0x8aea3ef0, "lib80211_get_crypto_ops" },
	{ 0xcca19224, "module_put" },
	{ 0xfec219c8, "dev_open" },
	{ 0x579eb654, "init_net" },
	{ 0x7f6bab41, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0x572093f7, "kfree_skb_reason" },
	{ 0xfee4594c, "dev_close" },
	{ 0xb72639e8, "skb_push" },
	{ 0x22df15e4, "wireless_send_event" },
	{ 0xe14f1f40, "seq_putc" },
	{ 0x40d9bfab, "free_netdev" },
	{ 0xf6911819, "iw_handler_get_spy" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "lib80211");


MODULE_INFO(srcversion, "B736C4DA17B3757FC8B81A6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
