#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76x02u_mcu_fw_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_mcu_fw_send_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_init_mcu, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02u_exit_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02u_mcu_fw_reset, 0xec9c8be4, "_gpl");
SYMBOL_CRC(mt76x02u_mcu_fw_send_data, 0x1e53d91c, "_gpl");
SYMBOL_CRC(mt76x02u_init_mcu, 0xc15d2663, "_gpl");
SYMBOL_CRC(mt76x02u_tx_complete_skb, 0xed3bd0a0, "_gpl");
SYMBOL_CRC(mt76x02u_mac_start, 0xc08d9a62, "_gpl");
SYMBOL_CRC(mt76x02u_tx_prepare_skb, 0xa8cf80c0, "_gpl");
SYMBOL_CRC(mt76x02u_init_beacon_config, 0xa5a722c4, "_gpl");
SYMBOL_CRC(mt76x02u_exit_beacon_config, 0x7f6a3702, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d63db4d, "mt76x02_mcu_parse_response" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2039bc85, "mt76_csa_check" },
	{ 0xc450ad74, "mt76_tx_status_skb_add" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa447fff8, "mt76u_single_wr" },
	{ 0xf1902850, "__mt76_tx_complete_skb" },
	{ 0x5361ef49, "mt76x02_mac_reset_counters" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xcc774db, "ieee80211_get_hdrlen_from_skb" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x5c7f79c4, "__dynamic_dev_dbg" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc32edf6c, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x43957550, "mt76_csa_finish" },
	{ 0xad30cd20, "__alloc_skb" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x23969a38, "_dev_err" },
	{ 0x7f6bab41, "skb_pull" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb72639e8, "skb_push" },
	{ 0xce1dda2d, "mt76x02_init_beacon_config" },
	{ 0x348326ce, "__mt76_mcu_msg_alloc" },
	{ 0x745b58f8, "mt76x02_mac_write_txwi" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd683a40a, "mt76u_vendor_request" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd5607200, "mt76_skb_adjust_pad" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x5fdbf8ff, "mt76x02_mac_set_beacon" },
	{ 0x3c96fa2f, "hrtimer_active" },
	{ 0xd15b1d36, "__mt76_poll" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x91bdbede, "mt76x02_update_beacon_iter" },
	{ 0x824eda3f, "ieee80211_iterate_interfaces" },
	{ 0x104ea942, "mt76x02_enqueue_buffered_bc" },
	{ 0x2dd6e772, "mt76x02_remove_hdr_pad" },
	{ 0x57b55d65, "skb_put" },
	{ 0x6650111a, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x441e91d6, "mt76x02_resync_beacon_timer" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-lib,mt76,mt76-usb,cfg80211,usbcore,mac80211");


MODULE_INFO(srcversion, "3D71E0BD790B9FC15D69657");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
