#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xff7a0fdf, "eeprom_93cx6_multiread" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xedcd8d17, "rt2800_mcu_request" },
	{ 0x4aef12e7, "rt2800mmio_toggle_irq" },
	{ 0x355cb747, "rt2800mmio_enable_radio" },
	{ 0xbc42cad9, "rt2x00pci_remove" },
	{ 0xa20e2e7, "rt2x00pci_pm_ops" },
	{ 0x8f8fe302, "rt2800mmio_queue_init" },
	{ 0x5fa4db64, "rt2800mmio_interrupt" },
	{ 0x9f3c8921, "rt2800mmio_txstatus_tasklet" },
	{ 0x3d741c87, "rt2800mmio_pretbtt_tasklet" },
	{ 0x5028bbb2, "rt2800mmio_tbtt_tasklet" },
	{ 0x32ac3645, "rt2800mmio_rxdone_tasklet" },
	{ 0x97e3c029, "rt2800mmio_autowake_tasklet" },
	{ 0x72bf071c, "rt2800mmio_probe_hw" },
	{ 0xd0087493, "rt2800_check_firmware" },
	{ 0xc6588a72, "rt2800_load_firmware" },
	{ 0x371ca201, "rt2x00mmio_initialize" },
	{ 0x263af4f6, "rt2x00mmio_uninitialize" },
	{ 0x4e831e1f, "rt2800mmio_get_entry_state" },
	{ 0xafbb248d, "rt2800mmio_clear_entry" },
	{ 0xf6901be, "rt2800_rfkill_poll" },
	{ 0x414112df, "rt2800_link_stats" },
	{ 0x3a93bfd5, "rt2800_reset_tuner" },
	{ 0xf3c90052, "rt2800_link_tuner" },
	{ 0x844dd677, "rt2800_gain_calibration" },
	{ 0x4911ca0b, "rt2800_vco_calibration" },
	{ 0xa0d4fcc7, "rt2800_watchdog" },
	{ 0x470a9cdc, "rt2800mmio_start_queue" },
	{ 0xedc210bb, "rt2800mmio_kick_queue" },
	{ 0x28ae629, "rt2800mmio_stop_queue" },
	{ 0x7cda5330, "rt2800mmio_flush_queue" },
	{ 0x768c3820, "rt2800mmio_write_tx_desc" },
	{ 0x2f531899, "rt2800_write_tx_data" },
	{ 0xab72423b, "rt2800_write_beacon" },
	{ 0x92a4838d, "rt2800_clear_beacon" },
	{ 0xddb4f4ab, "rt2800mmio_fill_rxdone" },
	{ 0xeba9e422, "rt2800_config_shared_key" },
	{ 0xb28714fb, "rt2800_config_pairwise_key" },
	{ 0x4cfb374b, "rt2800_config_filter" },
	{ 0xea68fde5, "rt2800_config_intf" },
	{ 0x48d820a, "rt2800_config_erp" },
	{ 0x3e526a7, "rt2800_config_ant" },
	{ 0xce5c1d7, "rt2800_config" },
	{ 0x2323743f, "rt2800_pre_reset_hw" },
	{ 0xad9e9913, "rt2x00mmio_regbusy_read" },
	{ 0x1596d691, "rt2800mmio_init_registers" },
	{ 0x9fba6e5f, "rt2800mmio_get_txwi" },
	{ 0x6e8c89d9, "rt2800mmio_get_dma_done" },
	{ 0xa025f08c, "rt2x00mac_tx" },
	{ 0x5f4a694c, "rt2x00mac_start" },
	{ 0xa2e9f829, "rt2x00mac_stop" },
	{ 0x1275d5f0, "rt2x00mac_add_interface" },
	{ 0x28fade28, "rt2x00mac_remove_interface" },
	{ 0x7e2ae418, "rt2x00mac_config" },
	{ 0x93709170, "rt2x00mac_bss_info_changed" },
	{ 0x32ea7941, "rt2x00mac_configure_filter" },
	{ 0xe1949ee4, "rt2x00mac_set_key" },
	{ 0xb6da9def, "rt2x00mac_sw_scan_start" },
	{ 0x7fc140b1, "rt2x00mac_sw_scan_complete" },
	{ 0x2a582a79, "rt2x00mac_get_stats" },
	{ 0xc7108852, "rt2800_get_key_seq" },
	{ 0xa8d16678, "rt2800_set_rts_threshold" },
	{ 0x435b1791, "rt2800_sta_add" },
	{ 0xf33ea8e, "rt2800_sta_remove" },
	{ 0xfdb4b26b, "rt2800_conf_tx" },
	{ 0xf021b40a, "rt2800_get_tsf" },
	{ 0x8ea368e5, "rt2800_ampdu_action" },
	{ 0xd62558ff, "rt2800_get_survey" },
	{ 0xf366f2c4, "rt2x00mac_rfkill_poll" },
	{ 0x52692b43, "rt2x00mac_flush" },
	{ 0x61202ecb, "rt2x00mac_get_ringparam" },
	{ 0xdac9e7eb, "rt2x00mac_tx_frames_pending" },
	{ 0x11563012, "rt2x00mac_reconfig_complete" },
	{ 0x1414bcf7, "ieee80211_handle_wake_tx_queue" },
	{ 0x6e011942, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb7dd393e, "__pci_register_driver" },
	{ 0x15af2f6e, "rt2x00pci_probe" },
	{ 0x9cf37c44, "__iowrite32_copy" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0x111ec07e, "pci_unregister_driver" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x23969a38, "_dev_err" },
	{ 0xeda4b6ae, "rt2800_efuse_detect" },
	{ 0xf010ee62, "rt2800_read_eeprom_efuse" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "eeprom_93cx6,rt2800lib,rt2800mmio,rt2x00pci,rt2x00mmio,rt2x00lib,mac80211");

MODULE_ALIAS("pci:v00001814d00000601sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000681sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000701sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00000781sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003090sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003091sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003092sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007708sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007727sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007728sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007738sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007748sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007758sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007768sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001462d0000891Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001A3Bd00001059sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003290sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007711sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001432d00007722sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003060sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003062sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003562sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003592sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00003593sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000359Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005360sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005362sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005390sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d00005392sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001814d0000539Fsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "E9BF56BB404C69688673417");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
