#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2e1bae, "netdev_warn" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2c80c753, "xenbus_switch_state" },
	{ 0xe2964344, "__wake_up" },
	{ 0xd5017907, "__module_get" },
	{ 0x74cdcb58, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xfd074549, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xaf1ca703, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x633ac09a, "wake_up_process" },
	{ 0xde9ab8c7, "xenbus_rm" },
	{ 0xe976ba08, "dev_addr_mod" },
	{ 0x24acd2ee, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x23978d28, "napi_complete_done" },
	{ 0xf5640690, "alloc_netdev_mqs" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3286d9ad, "__napi_schedule" },
	{ 0xad30cd20, "__alloc_skb" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x909e7afe, "netdev_pick_tx" },
	{ 0xcca19224, "module_put" },
	{ 0xd0458ccb, "xenbus_strstate" },
	{ 0xcac17166, "skb_checksum_setup" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x643166c2, "napi_pp_put_page" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xdc0390d, "kthread_stop_put" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x47df86ff, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xe167d39, "netif_set_real_num_rx_queues" },
	{ 0x572093f7, "kfree_skb_reason" },
	{ 0x7444e1a3, "gnttab_batch_copy" },
	{ 0x732852fe, "xenbus_transaction_end" },
	{ 0xaa3de9db, "debugfs_remove" },
	{ 0x1e67c3a1, "napi_enable" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xea5cbce, "xen_irq_lateeoi" },
	{ 0xe02381df, "netif_receive_skb" },
	{ 0xac1f727c, "register_netdev" },
	{ 0xf0516475, "xenbus_unregister_driver" },
	{ 0x40d9bfab, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x367e918b, "xenbus_watch_pathfmt" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x256d228, "kthread_stop" },
	{ 0x828bc7a6, "ethtool_op_get_link" },
	{ 0xface5fa9, "bind_interdomain_evtchn_to_irqhandler_lateeoi" },
	{ 0x3ce871e1, "__xenbus_register_backend" },
	{ 0x4d2c61c3, "gnttab_free_pages" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xb577f450, "netif_tx_stop_all_queues" },
	{ 0x22cac4ec, "netif_tx_wake_queue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x86623fd7, "notify_remote_via_irq" },
	{ 0xa6dcba0a, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x92a042f4, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x36a40d72, "seq_read" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb7094cee, "xenbus_unmap_ring_vfree" },
	{ 0x3a7d80f9, "xen_max_p2m_pfn" },
	{ 0x7dfb3e5e, "debugfs_create_file" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x999e8297, "vfree" },
	{ 0x6502d9c2, "xenbus_scanf" },
	{ 0x52431348, "xenbus_transaction_start" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6e011942, "param_ops_bool" },
	{ 0x1b05e42c, "alloc_pages" },
	{ 0x44d35a3, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x11ce47f9, "netif_carrier_off" },
	{ 0x36fdccdb, "seq_printf" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x14438698, "netif_carrier_on" },
	{ 0x9282ff7c, "kobject_uevent" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4b931968, "xen_features" },
	{ 0xa9c33f0e, "gnttab_unmap_refs" },
	{ 0x10c269d8, "seq_puts" },
	{ 0x4b6b9976, "single_release" },
	{ 0x465c19fc, "gnttab_alloc_pages" },
	{ 0xfe727411, "get_phys_to_machine" },
	{ 0x803fa081, "xenbus_dev_is_online" },
	{ 0x7b6f2b23, "__skb_flow_dissect" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa3a30692, "kmalloc_trace" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0xaf4c05ae, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0xf1791c2f, "napi_disable" },
	{ 0x30e64745, "dev_kfree_skb_any_reason" },
	{ 0xbb0b25d2, "register_xenbus_watch" },
	{ 0x86cb7f61, "single_open" },
	{ 0xcd24d9c6, "gnttab_map_refs" },
	{ 0xfd7674cc, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x88269c71, "xenbus_map_ring_valloc" },
	{ 0x5cab9945, "unregister_xenbus_watch" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc293701, "kmalloc_caches" },
	{ 0xbd1e2041, "netdev_info" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x25f02c87, "xen_p2m_addr" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x7712771a, "unbind_from_irqhandler" },
	{ 0xf4afa7c4, "dev_set_mtu" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9028bab6, "bind_interdomain_evtchn_to_irq_lateeoi" },
	{ 0x1cb9a1c8, "xenbus_gather" },
	{ 0x80ee88e7, "skb_copy_bits" },
	{ 0x1a73ff62, "param_ops_uint" },
	{ 0xd841a783, "eth_mac_addr" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x17619047, "netdev_update_features" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0x79fc083, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1147efa1, "unregister_netdev" },
	{ 0x35b61713, "device_unregister" },
	{ 0x3362b03c, "xen_p2m_size" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xb47314cb, "xenbus_dev_fatal" },
	{ 0xc6572a90, "xenbus_read_unsigned" },
	{ 0x731dba7a, "xen_domain_type" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xecd8f23d, "xenbus_read" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x6efa9c3c, "pcpu_hot" },
	{ 0x72f56a76, "seq_lseek" },
	{ 0xc08f0229, "__put_devmap_managed_page_refs" },
	{ 0xb5e9a9fb, "eth_validate_addr" },
	{ 0x6aa2a877, "xenbus_printf" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7720D868BDDAC1BF9295E8B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
