#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fcoe_ctlr_init, "", "");
KSYMTAB_FUNC(fcoe_ctlr_destroy, "", "");
KSYMTAB_FUNC(fcoe_ctlr_link_up, "", "");
KSYMTAB_FUNC(fcoe_ctlr_link_down, "", "");
KSYMTAB_FUNC(fcoe_ctlr_els_send, "", "");
KSYMTAB_FUNC(fcoe_ctlr_recv, "", "");
KSYMTAB_FUNC(fcoe_ctlr_recv_flogi, "", "");
KSYMTAB_FUNC(fcoe_wwn_from_mac, "_gpl", "");
KSYMTAB_FUNC(fcoe_libfc_config, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_get_selected, "", "");
KSYMTAB_FUNC(fcoe_ctlr_set_fip_mode, "", "");
KSYMTAB_FUNC(fcoe_link_speed_update, "_gpl", "");
KSYMTAB_FUNC(__fcoe_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_ctlr_get_lesb, "_gpl", "");
KSYMTAB_FUNC(fcoe_wwn_to_str, "_gpl", "");
KSYMTAB_FUNC(fcoe_validate_vport_create, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_wwn, "_gpl", "");
KSYMTAB_FUNC(fcoe_fc_crc, "_gpl", "");
KSYMTAB_FUNC(fcoe_start_io, "_gpl", "");
KSYMTAB_FUNC(fcoe_clean_pending_queue, "_gpl", "");
KSYMTAB_FUNC(fcoe_check_wait_queue, "_gpl", "");
KSYMTAB_FUNC(fcoe_queue_timer, "_gpl", "");
KSYMTAB_FUNC(fcoe_get_paged_crc_eof, "_gpl", "");
KSYMTAB_FUNC(fcoe_transport_attach, "", "");
KSYMTAB_FUNC(fcoe_transport_detach, "", "");
KSYMTAB_FUNC(fcoe_ctlr_device_add, "_gpl", "");
KSYMTAB_FUNC(fcoe_ctlr_device_delete, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_device_delete, "_gpl", "");
KSYMTAB_FUNC(fcoe_fcf_device_add, "_gpl", "");

SYMBOL_CRC(fcoe_ctlr_init, 0xd0203720, "");
SYMBOL_CRC(fcoe_ctlr_destroy, 0x1e8a6baa, "");
SYMBOL_CRC(fcoe_ctlr_link_up, 0x6a4b8318, "");
SYMBOL_CRC(fcoe_ctlr_link_down, 0xb97cb4f9, "");
SYMBOL_CRC(fcoe_ctlr_els_send, 0x927ca9c9, "");
SYMBOL_CRC(fcoe_ctlr_recv, 0xa32cb242, "");
SYMBOL_CRC(fcoe_ctlr_recv_flogi, 0xc1075e10, "");
SYMBOL_CRC(fcoe_wwn_from_mac, 0xc3f30cc0, "_gpl");
SYMBOL_CRC(fcoe_libfc_config, 0xe0f58d58, "_gpl");
SYMBOL_CRC(fcoe_fcf_get_selected, 0x736f5d1e, "");
SYMBOL_CRC(fcoe_ctlr_set_fip_mode, 0xecca31ae, "");
SYMBOL_CRC(fcoe_link_speed_update, 0x178d952a, "_gpl");
SYMBOL_CRC(__fcoe_get_lesb, 0x75c828e8, "_gpl");
SYMBOL_CRC(fcoe_get_lesb, 0x70cf34a0, "_gpl");
SYMBOL_CRC(fcoe_ctlr_get_lesb, 0xbda2eaab, "_gpl");
SYMBOL_CRC(fcoe_wwn_to_str, 0xf167cb7a, "_gpl");
SYMBOL_CRC(fcoe_validate_vport_create, 0x5198288d, "_gpl");
SYMBOL_CRC(fcoe_get_wwn, 0xe40a1def, "_gpl");
SYMBOL_CRC(fcoe_fc_crc, 0xab1684a8, "_gpl");
SYMBOL_CRC(fcoe_start_io, 0x8282bcc1, "_gpl");
SYMBOL_CRC(fcoe_clean_pending_queue, 0xa9525907, "_gpl");
SYMBOL_CRC(fcoe_check_wait_queue, 0x4ec56ec0, "_gpl");
SYMBOL_CRC(fcoe_queue_timer, 0xbac58840, "_gpl");
SYMBOL_CRC(fcoe_get_paged_crc_eof, 0x11f6be62, "_gpl");
SYMBOL_CRC(fcoe_transport_attach, 0x7739363b, "");
SYMBOL_CRC(fcoe_transport_detach, 0x626ff5a2, "");
SYMBOL_CRC(fcoe_ctlr_device_add, 0x5898161a, "_gpl");
SYMBOL_CRC(fcoe_ctlr_device_delete, 0xaf2ba8cc, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_delete, 0x4acb0cbb, "_gpl");
SYMBOL_CRC(fcoe_fcf_device_add, 0x9ec6fc83, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb72639e8, "skb_push" },
	{ 0x9166fada, "strncpy" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xab05563, "fc_lport_set_local_id" },
	{ 0x38a487bd, "fc_exch_recv" },
	{ 0x1a9a433c, "prandom_u32_state" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x6b212f9f, "__ethtool_get_link_ksettings" },
	{ 0xd6d3035d, "device_register" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xbd876dfc, "fc_vport_id_lookup" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfad99369, "fc_elsct_init" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xe5cd868c, "fc_disc_config" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xe11dda33, "__pskb_pull_tail" },
	{ 0xc4295f81, "fc_fcp_init" },
	{ 0xb56582fc, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x238a2c26, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x80cf0e0f, "__dev_queue_xmit" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1b05e42c, "alloc_pages" },
	{ 0x44d35a3, "__folio_put" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3b028a7d, "dev_get_by_name" },
	{ 0x840a33c, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xf74c31c7, "fc_seq_els_rsp_send" },
	{ 0xb0ddd5a1, "fc_rport_flush_queue" },
	{ 0xa3a30692, "kmalloc_trace" },
	{ 0x65eafe86, "param_ops_int" },
	{ 0x2c75be5f, "fc_rport_create" },
	{ 0xcc998ff4, "_dev_printk" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc293701, "kmalloc_caches" },
	{ 0x15911a38, "fc_exch_init" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x38ee4522, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9b2edd, "fc_linkup" },
	{ 0x2790fb55, "fc_rport_lookup" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x67faea1e, "dev_get_stats" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x1a73ff62, "param_ops_uint" },
	{ 0x57b55d65, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x7cef701f, "dev_set_name" },
	{ 0x6650111a, "consume_skb" },
	{ 0xa9e788e, "fc_lport_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d50ed7e, "fc_rport_destroy" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x35b61713, "device_unregister" },
	{ 0x92d59ee2, "skb_dequeue" },
	{ 0x37a0cba, "kfree" },
	{ 0xc4a4fcd3, "fc_rport_logoff" },
	{ 0x6efa9c3c, "pcpu_hot" },
	{ 0xc08f0229, "__put_devmap_managed_page_refs" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x49a12d1a, "fc_disc_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd49dce6f, "fc_rport_login" },
	{ 0x5b1181ae, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0x384e9407, "fc_linkdown" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xbc4df392, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x52c3e512, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x2272ae0e, "fc_lport_reset" },
	{ 0xc19bcfc2, "bus_unregister" },
	{ 0x579eb654, "init_net" },
	{ 0x7f6bab41, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x572093f7, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "libfc");


MODULE_INFO(srcversion, "A483AEBD89FF2F24E96890B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
