#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(sdw_intel_cnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_DATA(sdw_intel_lnl_hw_ops, "", "SOUNDWIRE_INTEL");
KSYMTAB_FUNC(sdw_intel_thread, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_probe, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_startup, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_exit, "", "SOUNDWIRE_INTEL_INIT");
KSYMTAB_FUNC(sdw_intel_process_wakeen_event, "", "SOUNDWIRE_INTEL_INIT");

SYMBOL_CRC(sdw_intel_cnl_hw_ops, 0xcea056c4, "");
SYMBOL_CRC(sdw_intel_lnl_hw_ops, 0x5d58a202, "");
SYMBOL_CRC(sdw_intel_thread, 0xaa52eba1, "");
SYMBOL_CRC(sdw_intel_probe, 0x7c3ed73d, "");
SYMBOL_CRC(sdw_intel_startup, 0x87cb2bb9, "");
SYMBOL_CRC(sdw_intel_exit, 0xca8bf5ba, "");
SYMBOL_CRC(sdw_intel_process_wakeen_event, 0x607fabdc, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaa3de9db, "debugfs_remove" },
	{ 0xc817841c, "cdns_xfer_msg_defer" },
	{ 0xda8399a4, "cdns_xfer_msg" },
	{ 0xffb7c514, "ida_free" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x79c58e9, "device_del" },
	{ 0x86ca76ca, "hdac_bus_eml_sdw_check_cmdsync_unlocked" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x41ac879f, "devm_kasprintf" },
	{ 0x3419243f, "hdac_bus_eml_sdw_sync_arm_unlocked" },
	{ 0x36a40d72, "seq_read" },
	{ 0x7dfb3e5e, "debugfs_create_file" },
	{ 0xb7f155c8, "sdw_stream_add_master" },
	{ 0x952a13ed, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa9157654, "cdns_read_ping_status" },
	{ 0xa1727bfc, "acpi_fetch_acpi_dev" },
	{ 0x4ce56c02, "device_get_named_child_node" },
	{ 0x7c5d8d8a, "sdw_cdns_probe" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x1a012bf4, "sdw_cdns_config_update" },
	{ 0x36fdccdb, "seq_printf" },
	{ 0x1f412f03, "sdw_bus_master_delete" },
	{ 0x4b6b9976, "single_release" },
	{ 0x9c872c08, "__auxiliary_driver_register" },
	{ 0xad17d6f5, "sdw_cdns_check_self_clearing_bits" },
	{ 0xa3a30692, "kmalloc_trace" },
	{ 0xf8e44dc4, "__pm_runtime_use_autosuspend" },
	{ 0x98c36d89, "hdac_bus_eml_sdw_wait_syncpu_unlocked" },
	{ 0x65eafe86, "param_ops_int" },
	{ 0x34712074, "sdw_cdns_irq" },
	{ 0x86cb7f61, "single_open" },
	{ 0x1ef73104, "hdac_bus_eml_sdw_sync_go_unlocked" },
	{ 0x2d96cf1f, "__pm_runtime_disable" },
	{ 0xfd7674cc, "debugfs_create_dir" },
	{ 0x78bcb575, "sdw_master_read_prop" },
	{ 0xc36263b9, "sdw_compute_params" },
	{ 0x525846b8, "__pm_runtime_idle" },
	{ 0x50877b9, "dmi_first_match" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc293701, "kmalloc_caches" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x7c8e039b, "sdw_cdns_pdi_init" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xd2a7a45, "simple_attr_open" },
	{ 0xdbd9fdd4, "debugfs_attr_write" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0x392f9762, "auxiliary_device_init" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x3488b1ee, "sdw_cdns_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x22560a20, "sdw_cdns_clock_restart" },
	{ 0x58fef63f, "sdw_cdns_debugfs_init" },
	{ 0x11ae6c20, "hdac_bus_eml_sdw_set_syncprd_unlocked" },
	{ 0xeb3b7c5a, "pm_runtime_set_autosuspend_delay" },
	{ 0x63a6f0a0, "sdw_bus_master_add" },
	{ 0x7166a962, "sdw_cdns_enable_interrupt" },
	{ 0x96848186, "scnprintf" },
	{ 0xd38f6bbf, "hdac_bus_eml_sdw_power_down_unlocked" },
	{ 0x37a0cba, "kfree" },
	{ 0xa7b00748, "sdw_cdns_is_clock_stop" },
	{ 0x72f56a76, "seq_lseek" },
	{ 0x23c1e8f8, "sdw_cdns_config_update_set_wait" },
	{ 0x4009cef2, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5c7f79c4, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6a8e5700, "sdw_cdns_config_stream" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x98583477, "__pm_runtime_set_status" },
	{ 0x52b14470, "auxiliary_driver_unregister" },
	{ 0x2d652c30, "devm_snd_soc_register_component" },
	{ 0xa5065ec2, "cdns_bus_conf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbc4df392, "put_device" },
	{ 0xe0d68e9f, "cdns_set_sdw_stream" },
	{ 0x2b92d5db, "pm_runtime_enable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc59ac4ed, "fwnode_property_read_u32_array" },
	{ 0x6bc945a6, "_dev_info" },
	{ 0xeb6eb87, "add_taint" },
	{ 0x8ff95c1b, "sdw_clear_slave_status" },
	{ 0xc18a451, "debugfs_attr_read" },
	{ 0x3b0ac422, "sdw_stream_remove_master" },
	{ 0x9afa6985, "hdac_bus_eml_sdw_set_lsdiid" },
	{ 0xa739f3b5, "sdw_cdns_exit_reset" },
	{ 0x23969a38, "_dev_err" },
	{ 0xe17324af, "simple_attr_release" },
	{ 0x3b53ba1b, "__auxiliary_device_add" },
	{ 0x7a75fb33, "sdw_cdns_alloc_pdi" },
	{ 0x675bb3af, "sdw_cdns_clock_stop" },
	{ 0x7cde098d, "hdac_bus_eml_sdw_power_up_unlocked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "soundwire-cadence,snd-sof-intel-hda-mlink,soundwire-bus,soundwire-generic-allocation,snd-pcm,snd-soc-core");

MODULE_ALIAS("auxiliary:soundwire_intel.link");

MODULE_INFO(srcversion, "25EBA2C3B69DC5C5F969F69");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
