#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(spmi_device_add, "_gpl", "");
KSYMTAB_FUNC(spmi_device_remove, "_gpl", "");
KSYMTAB_FUNC(spmi_register_read, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_read, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_readl, "_gpl", "");
KSYMTAB_FUNC(spmi_register_write, "_gpl", "");
KSYMTAB_FUNC(spmi_register_zero_write, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_write, "_gpl", "");
KSYMTAB_FUNC(spmi_ext_register_writel, "_gpl", "");
KSYMTAB_FUNC(spmi_command_reset, "_gpl", "");
KSYMTAB_FUNC(spmi_command_sleep, "_gpl", "");
KSYMTAB_FUNC(spmi_command_wakeup, "_gpl", "");
KSYMTAB_FUNC(spmi_command_shutdown, "_gpl", "");
KSYMTAB_FUNC(spmi_device_from_of, "_gpl", "");
KSYMTAB_FUNC(spmi_device_alloc, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_alloc, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_add, "_gpl", "");
KSYMTAB_FUNC(spmi_controller_remove, "_gpl", "");
KSYMTAB_FUNC(__spmi_driver_register, "_gpl", "");

SYMBOL_CRC(spmi_device_add, 0x849f9851, "_gpl");
SYMBOL_CRC(spmi_device_remove, 0x5cb5c3f5, "_gpl");
SYMBOL_CRC(spmi_register_read, 0x4d42b659, "_gpl");
SYMBOL_CRC(spmi_ext_register_read, 0xad9bbb30, "_gpl");
SYMBOL_CRC(spmi_ext_register_readl, 0x53cca183, "_gpl");
SYMBOL_CRC(spmi_register_write, 0x4db98d16, "_gpl");
SYMBOL_CRC(spmi_register_zero_write, 0x11aeaa66, "_gpl");
SYMBOL_CRC(spmi_ext_register_write, 0x61cdc745, "_gpl");
SYMBOL_CRC(spmi_ext_register_writel, 0x4997c4ed, "_gpl");
SYMBOL_CRC(spmi_command_reset, 0xc14e576e, "_gpl");
SYMBOL_CRC(spmi_command_sleep, 0xf4948007, "_gpl");
SYMBOL_CRC(spmi_command_wakeup, 0xe37902a8, "_gpl");
SYMBOL_CRC(spmi_command_shutdown, 0xab26b019, "_gpl");
SYMBOL_CRC(spmi_device_from_of, 0x46bd2602, "_gpl");
SYMBOL_CRC(spmi_device_alloc, 0x160618d8, "_gpl");
SYMBOL_CRC(spmi_controller_alloc, 0x3426c95d, "_gpl");
SYMBOL_CRC(spmi_controller_add, 0xcd7bedf0, "_gpl");
SYMBOL_CRC(spmi_controller_remove, 0x532daadb, "_gpl");
SYMBOL_CRC(__spmi_driver_register, 0xc5780941, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xd9f69ea4, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfb66856d, "trace_event_buffer_reserve" },
	{ 0x9e987a9e, "trace_event_buffer_commit" },
	{ 0x44c512df, "__trace_trigger_soft_disabled" },
	{ 0x9c2f19c5, "trace_raw_output_prep" },
	{ 0x8b8f4c16, "trace_event_printf" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x47291c2b, "bpf_trace_run5" },
	{ 0x5df9c208, "bpf_trace_run4" },
	{ 0x6a7f7b0f, "bpf_trace_run3" },
	{ 0xcd0f85c1, "bpf_trace_run6" },
	{ 0x7cef701f, "dev_set_name" },
	{ 0xba0cd106, "device_add" },
	{ 0x5c7f79c4, "__dynamic_dev_dbg" },
	{ 0x23969a38, "_dev_err" },
	{ 0x35b61713, "device_unregister" },
	{ 0xffb7c514, "ida_free" },
	{ 0x37a0cba, "kfree" },
	{ 0x98583477, "__pm_runtime_set_status" },
	{ 0x2b92d5db, "pm_runtime_enable" },
	{ 0x2d96cf1f, "__pm_runtime_disable" },
	{ 0x5a921311, "strncmp" },
	{ 0xeaef5910, "device_match_of_node" },
	{ 0x9eb4b1c5, "bus_find_device" },
	{ 0x4ff1a014, "driver_register" },
	{ 0xc19bcfc2, "bus_unregister" },
	{ 0x38ee4522, "bus_register" },
	{ 0x4009cef2, "device_for_each_child" },
	{ 0x79c58e9, "device_del" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x91d2cf10, "device_initialize" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xbc4df392, "put_device" },
	{ 0xc293701, "kmalloc_caches" },
	{ 0xa3a30692, "kmalloc_trace" },
	{ 0x6efa9c3c, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x952a13ed, "__pm_runtime_resume" },
	{ 0x8466d15f, "trace_event_reg" },
	{ 0xcd235d0b, "trace_event_raw_init" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "287B1CB5A19569B0EC9AE97");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
