#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x78806d7e, "xhci_find_slot_id_by_port" },
	{ 0x1cdd0605, "xhci_port_state_to_neutral" },
	{ 0x23969a38, "_dev_err" },
	{ 0x5c7f79c4, "__dynamic_dev_dbg" },
	{ 0x377bbcbc, "pm_suspend_target_state" },
	{ 0x4415c3f, "xhci_suspend" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x2031c951, "pci_d3cold_disable" },
	{ 0x5dae5fda, "xhci_update_hub_device" },
	{ 0x268c3ef5, "usb_acpi_port_lpm_incapable" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x2850b872, "pci_alloc_irq_vectors" },
	{ 0x88fac4e8, "xhci_msi_irq" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x91f295bc, "xhci_dbg_trace" },
	{ 0x380f2ae3, "xhci_run" },
	{ 0xa916b694, "strnlen" },
	{ 0x70cf032f, "usb_hcd_irq" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf650c96, "pci_match_id" },
	{ 0xaf4014ff, "usb_amd_quirk_pll_check" },
	{ 0x111ec07e, "pci_unregister_driver" },
	{ 0xcbd0a66d, "__tracepoint_xhci_dbg_quirks" },
	{ 0x6efa9c3c, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xabf03fc3, "__SCT__tp_func_xhci_dbg_quirks" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x94b99189, "xhci_gen_setup" },
	{ 0xe546afe, "pci_set_mwi" },
	{ 0xeb83f98, "pci_read_config_byte" },
	{ 0x2f2c695d, "is_acpi_device_node" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x37a0cba, "kfree" },
	{ 0x1b37e564, "__tracepoint_xhci_dbg_init" },
	{ 0x8a5c1029, "__SCT__tp_func_xhci_dbg_init" },
	{ 0x24f39c39, "reset_control_reset" },
	{ 0x573b219b, "xhci_resume" },
	{ 0xf2617686, "usb_enable_intel_xhci_ports" },
	{ 0xe13dbd3e, "__devm_reset_control_get" },
	{ 0xa48c9728, "usb_hcd_pci_probe" },
	{ 0xa5c53fba, "usb_create_shared_hcd" },
	{ 0x993fd46, "xhci_ext_cap_init" },
	{ 0x7aa52036, "renesas_xhci_check_request_fw" },
	{ 0x415fed3d, "usb_add_hcd" },
	{ 0x5026f453, "pci_choose_state" },
	{ 0xd85e2dbe, "pm_runtime_allow" },
	{ 0x4d134955, "usb_hcd_pci_shutdown" },
	{ 0xe95b2d7, "usb_hcd_pci_pm_ops" },
	{ 0xb50969b2, "__SCK__tp_func_xhci_dbg_init" },
	{ 0xf8bca5c1, "__SCK__tp_func_xhci_dbg_quirks" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9058f3f5, "xhci_init_driver" },
	{ 0xb7dd393e, "__pci_register_driver" },
	{ 0x308b63f3, "usb_hcd_is_primary_hcd" },
	{ 0x62f10bb5, "usb_remove_hcd" },
	{ 0x28f1c8ac, "usb_put_hcd" },
	{ 0xba83bd2f, "usb_hcd_pci_remove" },
	{ 0x1d075e27, "pm_runtime_forbid" },
	{ 0xbb4d5627, "pci_set_power_state" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb3e0954e, "pci_irq_vector" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x7d465a72, "pci_free_irq_vectors" },
	{ 0x446e44a6, "xhci_stop" },
	{ 0x295698bf, "xhci_shutdown" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "xhci-hcd,usbcore,xhci-pci-renesas");

MODULE_ALIAS("pci:v00001912d00000014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001912d00000015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v*d*sv*sd*bc0Csc03i30*");

MODULE_INFO(srcversion, "7AFEB3BCED599D2068A4B22");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
