#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tcpm_pd_transmit_complete, "_gpl", "");
KSYMTAB_FUNC(tcpm_pd_receive, "_gpl", "");
KSYMTAB_FUNC(tcpm_cc_change, "_gpl", "");
KSYMTAB_FUNC(tcpm_vbus_change, "_gpl", "");
KSYMTAB_FUNC(tcpm_pd_hard_reset, "_gpl", "");
KSYMTAB_FUNC(tcpm_sink_frs, "_gpl", "");
KSYMTAB_FUNC(tcpm_sourcing_vbus, "_gpl", "");
KSYMTAB_FUNC(tcpm_port_clean, "_gpl", "");
KSYMTAB_FUNC(tcpm_port_is_toggling, "_gpl", "");
KSYMTAB_FUNC(tcpm_tcpc_reset, "_gpl", "");
KSYMTAB_FUNC(tcpm_register_port, "_gpl", "");
KSYMTAB_FUNC(tcpm_unregister_port, "_gpl", "");

SYMBOL_CRC(tcpm_pd_transmit_complete, 0x3b84657b, "_gpl");
SYMBOL_CRC(tcpm_pd_receive, 0xb655342c, "_gpl");
SYMBOL_CRC(tcpm_cc_change, 0xc37b9769, "_gpl");
SYMBOL_CRC(tcpm_vbus_change, 0xceb50012, "_gpl");
SYMBOL_CRC(tcpm_pd_hard_reset, 0x9e0bd753, "_gpl");
SYMBOL_CRC(tcpm_sink_frs, 0x10ec6d2d, "_gpl");
SYMBOL_CRC(tcpm_sourcing_vbus, 0xeb779665, "_gpl");
SYMBOL_CRC(tcpm_port_clean, 0xd680581d, "_gpl");
SYMBOL_CRC(tcpm_port_is_toggling, 0xda86a83d, "_gpl");
SYMBOL_CRC(tcpm_tcpc_reset, 0xea220941, "_gpl");
SYMBOL_CRC(tcpm_register_port, 0xf4f7e41b, "_gpl");
SYMBOL_CRC(tcpm_unregister_port, 0x76eeda4b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x63e2cffd, "usb_power_delivery_unregister_capabilities" },
	{ 0xbad1b7e9, "usb_power_delivery_unregister" },
	{ 0x1f04a8cf, "kthread_destroy_worker" },
	{ 0x9a5b19d2, "typec_unregister_port" },
	{ 0xc9fd634a, "usb_role_switch_put" },
	{ 0x37a0cba, "kfree" },
	{ 0xaa3de9db, "debugfs_remove" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x70339284, "typec_match_altmode" },
	{ 0x576bad8e, "typec_altmode_vdm" },
	{ 0xa34277c1, "usb_power_delivery_register_capabilities" },
	{ 0x71b4c444, "typec_partner_set_identity" },
	{ 0xf3c1c59c, "usb_power_delivery_register" },
	{ 0x5013dd61, "typec_altmode_attention" },
	{ 0x20b8399, "typec_altmode_notify" },
	{ 0x28fd6acd, "typec_partner_register_altmode" },
	{ 0x9d0a903d, "typec_partner_set_svdm_version" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0x34337c9e, "kthread_create_worker" },
	{ 0x8e5cb9f5, "sched_set_fifo" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xa5e70e11, "fw_devlink_purge_absent_suppliers" },
	{ 0x7dc2d13c, "typec_get_fw_cap" },
	{ 0xaef1b0bc, "fwnode_property_present" },
	{ 0xc59ac4ed, "fwnode_property_read_u32_array" },
	{ 0xc9bffa80, "usb_role_switch_get" },
	{ 0x754d539c, "strlen" },
	{ 0x426ce456, "__dev_fwnode" },
	{ 0xc2b1780c, "devm_power_supply_register" },
	{ 0x36d7d535, "typec_register_port" },
	{ 0xd4a472c0, "typec_port_register_altmodes" },
	{ 0xfb02c056, "fwnode_property_read_string" },
	{ 0xf1234a8b, "typec_find_pwr_opmode" },
	{ 0x86315071, "fwnode_usb_role_switch_get" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x90e21d78, "typec_set_pwr_opmode" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x72f56a76, "seq_lseek" },
	{ 0x36a40d72, "seq_read" },
	{ 0x4b6b9976, "single_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xfe7cd547, "kthread_queue_work" },
	{ 0x41e6cca1, "typec_unregister_altmode" },
	{ 0x5f056fe9, "typec_get_drvdata" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x52643e9, "typec_register_partner" },
	{ 0xc4bcc2f2, "typec_partner_set_usb_power_delivery" },
	{ 0x23969a38, "_dev_err" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x39c96d9d, "usb_debug_root" },
	{ 0xfd7674cc, "debugfs_create_dir" },
	{ 0x7dfb3e5e, "debugfs_create_file" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x86cb7f61, "single_open" },
	{ 0x36fdccdb, "seq_printf" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x148653, "vsnprintf" },
	{ 0x96848186, "scnprintf" },
	{ 0xc293701, "kmalloc_caches" },
	{ 0xa3a30692, "kmalloc_trace" },
	{ 0x72eb7fac, "_dev_warn" },
	{ 0x2dd3a4e9, "power_supply_get_drvdata" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf6bc1f5c, "typec_get_negotiated_svdm_version" },
	{ 0xa6257a2f, "complete" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe11f96ba, "typec_set_orientation" },
	{ 0xd5474690, "usb_role_switch_set_role" },
	{ 0x1f70d48d, "typec_set_mode" },
	{ 0x3fbda01e, "typec_set_data_role" },
	{ 0xeb81d583, "typec_set_pwr_role" },
	{ 0x25620ef2, "typec_set_vconn_role" },
	{ 0x9f265fa9, "power_supply_changed" },
	{ 0xdf2cb9e3, "typec_unregister_partner" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "typec,roles");


MODULE_INFO(srcversion, "D1E7DED7CC27AD1BBD59FE4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
