#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xeb2e3ff4, "crypto_destroy_tfm" },
	{ 0x8478b481, "__vfs_removexattr" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa4878421, "inode_newsize_ok" },
	{ 0x19a00c74, "d_drop" },
	{ 0xaedb8819, "unlock_new_inode" },
	{ 0x122c3a7e, "_printk" },
	{ 0xb486eeea, "block_invalidate_folio" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4353a449, "crypto_skcipher_decrypt" },
	{ 0x256dc941, "truncate_inode_pages_final" },
	{ 0xd2bde858, "fs_kobj" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xeeae3e8, "key_type_encrypted" },
	{ 0xc18b5f9a, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xf6975aef, "__free_pages" },
	{ 0x59facc7a, "kmem_cache_alloc" },
	{ 0xcfc9deaf, "atomic_dec_and_mutex_lock" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x89e669b6, "inode_init_once" },
	{ 0x5a2ce572, "file_write_and_wait_range" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x5c316c59, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xce0e2d0a, "vfs_get_link" },
	{ 0xd3c8dbad, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xce807a25, "up_write" },
	{ 0x6c0c6d8c, "generic_file_read_iter" },
	{ 0x1210437e, "unlock_page" },
	{ 0x4f6abd47, "noop_llseek" },
	{ 0xddbe0ed3, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x9849b39b, "lock_rename" },
	{ 0x6aca5465, "kmem_cache_free" },
	{ 0x715a5ed0, "vprintk" },
	{ 0xe8e961c5, "__vfs_setxattr_locked" },
	{ 0x5a921311, "strncmp" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x9166fada, "strncpy" },
	{ 0xac6df65b, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x71cdecff, "__vfs_setxattr" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd349546a, "sget" },
	{ 0x1a1505bf, "sysfs_create_group" },
	{ 0x256d228, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x8942e383, "block_dirty_folio" },
	{ 0x547bb9a7, "from_kuid" },
	{ 0xfb578fc5, "memset" },
	{ 0xdc6832ad, "kern_path" },
	{ 0x75a1e728, "vfs_set_acl" },
	{ 0x25bfc4e1, "misc_register" },
	{ 0xd97098ad, "kernel_read" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x6d86af09, "key_validate" },
	{ 0x6ade89c5, "unlock_rename" },
	{ 0x97021f8f, "vfs_rmdir" },
	{ 0xa44c4f27, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x62b1afc2, "truncate_setsize" },
	{ 0x92a042f4, "kthread_create_on_node" },
	{ 0x6b8792f4, "sysfs_remove_group" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xd870090f, "vfs_symlink" },
	{ 0x16553555, "super_setup_bdi" },
	{ 0xfe3d6e42, "igrab" },
	{ 0x1fe6b52b, "generic_read_dir" },
	{ 0x87595783, "d_instantiate_new" },
	{ 0xe9623484, "d_add" },
	{ 0x188d2f71, "vfs_fsync" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0x1f9f53af, "vfs_mknod" },
	{ 0xebbf7697, "init_user_ns" },
	{ 0xc5e3a76c, "dentry_open" },
	{ 0xf96fe7dd, "request_key_tag" },
	{ 0x1b05e42c, "alloc_pages" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x44e9a829, "match_token" },
	{ 0x44d35a3, "__folio_put" },
	{ 0x56dd5843, "vfs_fileattr_set" },
	{ 0x56470118, "__warn_printk" },
	{ 0x36fdccdb, "seq_printf" },
	{ 0xf2f82465, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xef330b9c, "deactivate_locked_super" },
	{ 0x47f7e91, "touch_atime" },
	{ 0xd20760c4, "lookup_one_len_unlocked" },
	{ 0x3f8e83bd, "vfs_llseek" },
	{ 0x2a0683cc, "__folio_lock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x9ca0b62e, "filemap_splice_read" },
	{ 0x85d26f1d, "vfs_link" },
	{ 0xb8b043f2, "kfree_link" },
	{ 0x5dadd0a0, "key_type_user" },
	{ 0x8283c49e, "kill_anon_super" },
	{ 0x1b194ab0, "vfs_getattr_nosec" },
	{ 0xa3a30692, "kmalloc_trace" },
	{ 0x35961604, "iget5_locked" },
	{ 0x8d293a90, "filemap_write_and_wait_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x9c765589, "bmap" },
	{ 0x754d539c, "strlen" },
	{ 0x65eafe86, "param_ops_int" },
	{ 0xca19f5c, "inode_permission" },
	{ 0x74a64bb1, "mntget" },
	{ 0xd852c49b, "kmem_cache_alloc_lru" },
	{ 0xa5c0ef29, "crypto_alloc_shash" },
	{ 0x86a29732, "__mark_inode_dirty" },
	{ 0x32c0a4d9, "generic_file_llseek" },
	{ 0xf55f2913, "make_bad_inode" },
	{ 0x450084e3, "vfs_get_acl" },
	{ 0xf37bd9a1, "set_anon_super" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x7d585fe5, "fsstack_copy_inode_size" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc293701, "kmalloc_caches" },
	{ 0xaca0c66a, "iget_failed" },
	{ 0xb8cf4236, "kernel_write" },
	{ 0xad304d30, "kmem_cache_destroy" },
	{ 0xa3452115, "kobject_put" },
	{ 0x5a223300, "vfs_create" },
	{ 0x46e98e3d, "crypto_alloc_skcipher" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x727dfbe, "crypto_skcipher_encrypt" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xebfc4201, "generic_fillattr" },
	{ 0x4ff8aa63, "setattr_prepare" },
	{ 0x2d086c8, "clear_nlink" },
	{ 0x342d4eaf, "vfs_fileattr_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x9f9d8340, "d_instantiate" },
	{ 0x7a9b7417, "misc_deregister" },
	{ 0xda5e375d, "clear_inode" },
	{ 0xb59aeccb, "notify_change" },
	{ 0x1a73ff62, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xf04e0baf, "grab_cache_page_write_begin" },
	{ 0xb7de1608, "vfs_getattr" },
	{ 0x846a068, "vfs_rename" },
	{ 0x5664bc6b, "crypto_shash_tfm_digest" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0xb0559062, "init_special_inode" },
	{ 0x725ecd4f, "unregister_filesystem" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe7570ae8, "iterate_dir" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x78f61537, "d_make_root" },
	{ 0x57cc5a92, "d_splice_alias" },
	{ 0x330714df, "param_ops_long" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc07cd9a2, "read_cache_page" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0xd61eb3b1, "iput" },
	{ 0x6efa9c3c, "pcpu_hot" },
	{ 0x194eaa25, "__vfs_getxattr" },
	{ 0xc08f0229, "__put_devmap_managed_page_refs" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x987ad002, "generic_file_write_iter" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x897824b2, "crypto_skcipher_setkey" },
	{ 0x80360a88, "fsstack_copy_attr_all" },
	{ 0x29d6b67b, "register_filesystem" },
	{ 0xbaa040d5, "kmem_cache_create" },
	{ 0x17463a0e, "vfs_unlink" },
	{ 0x1c556bc0, "path_put" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x633ac09a, "wake_up_process" },
	{ 0xab6ea314, "vfs_mkdir" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "BE465C5B045BFB9B1D46A42");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
