#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wpan_phy_find, "", "");
KSYMTAB_FUNC(wpan_phy_for_each, "", "");
KSYMTAB_FUNC(wpan_phy_new, "", "");
KSYMTAB_FUNC(wpan_phy_register, "", "");
KSYMTAB_FUNC(wpan_phy_unregister, "", "");
KSYMTAB_FUNC(wpan_phy_free, "", "");
KSYMTAB_FUNC(ieee802154_hdr_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_beacon_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_pl_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek_addrs, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek, "_gpl", "");
KSYMTAB_FUNC(ieee802154_max_payload, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_event, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_started, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_done, "_gpl", "");
KSYMTAB_FUNC(nl802154_beaconing_done, "_gpl", "");

SYMBOL_CRC(wpan_phy_find, 0xadee2c63, "");
SYMBOL_CRC(wpan_phy_for_each, 0x819a5542, "");
SYMBOL_CRC(wpan_phy_new, 0x3e722606, "");
SYMBOL_CRC(wpan_phy_register, 0xa657479f, "");
SYMBOL_CRC(wpan_phy_unregister, 0xf49711f7, "");
SYMBOL_CRC(wpan_phy_free, 0x47423661, "");
SYMBOL_CRC(ieee802154_hdr_push, 0x886b690f, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_push, 0x991a62fa, "_gpl");
SYMBOL_CRC(ieee802154_beacon_push, 0xeb5db19e, "_gpl");
SYMBOL_CRC(ieee802154_hdr_pull, 0x606caa9f, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_pl_pull, 0x8e5bf288, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek_addrs, 0xf75936bb, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek, 0x681aa14f, "_gpl");
SYMBOL_CRC(ieee802154_max_payload, 0x87e2553b, "_gpl");
SYMBOL_CRC(nl802154_scan_event, 0x63d686b5, "_gpl");
SYMBOL_CRC(nl802154_scan_started, 0xcc90462a, "_gpl");
SYMBOL_CRC(nl802154_scan_done, 0x31d61b9b, "_gpl");
SYMBOL_CRC(nl802154_beaconing_done, 0x7aa7ecc3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x53129410, "dev_get_by_index" },
	{ 0x572093f7, "kfree_skb_reason" },
	{ 0xb72639e8, "skb_push" },
	{ 0xd5a43273, "nla_put" },
	{ 0x8466d15f, "trace_event_reg" },
	{ 0xb7066e5, "class_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xb2ef8df6, "unregister_pernet_device" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3a9ac319, "bpf_trace_run1" },
	{ 0x79c58e9, "device_del" },
	{ 0x48ac763a, "dev_set_mac_address" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe11dda33, "__pskb_pull_tail" },
	{ 0x238a2c26, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x6a7f7b0f, "bpf_trace_run3" },
	{ 0x5207e1f3, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd80efaf, "get_net_ns_by_pid" },
	{ 0xdd64e639, "strscpy" },
	{ 0xfb66856d, "trace_event_buffer_reserve" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xdc817c72, "device_match_name" },
	{ 0x3b028a7d, "dev_get_by_name" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x21dcabb9, "genl_unregister_family" },
	{ 0xa3a30692, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x36e12614, "genl_register_family" },
	{ 0x552a85ff, "__dev_change_net_namespace" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xc49772e9, "register_pernet_device" },
	{ 0xb4644efb, "get_net_ns_by_fd" },
	{ 0x28f98545, "class_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc293701, "kmalloc_caches" },
	{ 0x4f7bfed7, "class_find_device" },
	{ 0xe914e41e, "strcpy" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x5df9c208, "bpf_trace_run4" },
	{ 0x57b55d65, "skb_put" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x7cef701f, "dev_set_name" },
	{ 0xbb1932e3, "trace_output_call" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x9c2f19c5, "trace_raw_output_prep" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0x44c512df, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8b8f4c16, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x91d2cf10, "device_initialize" },
	{ 0x513822f0, "genlmsg_put" },
	{ 0xcd235d0b, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6efa9c3c, "pcpu_hot" },
	{ 0xc5799bdc, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x77f9fe8f, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x58fc0966, "device_rename" },
	{ 0x9e987a9e, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xbc4df392, "put_device" },
	{ 0x5ec6281b, "netlink_broadcast" },
	{ 0xa916b694, "strnlen" },
	{ 0xad30cd20, "__alloc_skb" },
	{ 0x8bd5de51, "class_for_each_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xa8c0a7ae, "__dev_get_by_index" },
	{ 0xd9f69ea4, "perf_trace_run_bpf_submit" },
	{ 0x579eb654, "init_net" },
	{ 0x7f6bab41, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xba0cd106, "device_add" },
	{ 0xb6721693, "netlink_unicast" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "09D61B79C7F666EA2474C47");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
