#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(l2tp_sk_to_tunnel, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_inc_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_dec_refcount, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_session, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_nth, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_by_ifname, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_recv_common, "_gpl", "");
KSYMTAB_FUNC(l2tp_udp_encap_recv, "_gpl", "");
KSYMTAB_FUNC(l2tp_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_create, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_set_header_len, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_create, "_gpl", "");

SYMBOL_CRC(l2tp_sk_to_tunnel, 0x3dd26d6c, "_gpl");
SYMBOL_CRC(l2tp_tunnel_inc_refcount, 0x5fc0678d, "_gpl");
SYMBOL_CRC(l2tp_tunnel_dec_refcount, 0xab74b0ca, "_gpl");
SYMBOL_CRC(l2tp_session_inc_refcount, 0xb7aa6517, "_gpl");
SYMBOL_CRC(l2tp_session_dec_refcount, 0x5f5756b8, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0x8f9b1e0a, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_nth, 0x60e500c5, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_session, 0x89b0d9ef, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0xdba0516a, "_gpl");
SYMBOL_CRC(l2tp_session_get_nth, 0x8af2896a, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0x652235f1, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0x8b03c713, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0x607dc1a5, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0x8309ae81, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0xb52a56d7, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0x7a20be6c, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0x569aa34d, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0xf395f1b9, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0x2cce5749, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0x53e4ed83, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0x0f62af03, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xd9f69ea4, "perf_trace_run_bpf_submit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfb66856d, "trace_event_buffer_reserve" },
	{ 0x9e987a9e, "trace_event_buffer_commit" },
	{ 0x44c512df, "__trace_trigger_soft_disabled" },
	{ 0x9c2f19c5, "trace_raw_output_prep" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x8b8f4c16, "trace_event_printf" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x3a9ac319, "bpf_trace_run1" },
	{ 0xc5799bdc, "bpf_trace_run2" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc49772e9, "register_pernet_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x122c3a7e, "_printk" },
	{ 0xb2ef8df6, "unregister_pernet_device" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5a841656, "sock_create_kern" },
	{ 0xd2e2120c, "kernel_bind" },
	{ 0x99c6b4fc, "kernel_connect" },
	{ 0xb63c6918, "udp_sock_create6" },
	{ 0xdf8408ca, "kernel_sock_shutdown" },
	{ 0xc86ee48e, "sock_release" },
	{ 0x30b325b4, "udp_sock_create4" },
	{ 0xc293701, "kmalloc_caches" },
	{ 0xa3a30692, "kmalloc_trace" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x6efa9c3c, "pcpu_hot" },
	{ 0x20978fb9, "idr_find" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcc1b882a, "idr_get_next_ul" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x325d0945, "sk_free" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x572093f7, "kfree_skb_reason" },
	{ 0x92d59ee2, "skb_dequeue" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x69acdf38, "memcpy" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xaad69e, "udp_set_csum" },
	{ 0x14355d5b, "ip_queue_xmit" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2cd72915, "pskb_expand_head" },
	{ 0x2fde7c1f, "udp6_set_csum" },
	{ 0x632699d7, "inet6_csk_xmit" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x7d6a2b3f, "dst_release" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xd9916c3a, "idr_alloc_u32" },
	{ 0xfb062f3c, "sockfd_lookup" },
	{ 0x8b2472bd, "lock_sock_nested" },
	{ 0x35104f1f, "release_sock" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0xd3c8dbad, "fput" },
	{ 0x47d0c201, "setup_udp_tunnel_sock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x52c3e512, "skb_queue_tail" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe11dda33, "__pskb_pull_tail" },
	{ 0x8466d15f, "trace_event_reg" },
	{ 0xcd235d0b, "trace_event_raw_init" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel");


MODULE_INFO(srcversion, "AF0C00F0A96C0B873252120");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
