#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_nat_sip_hooks, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_request, "_gpl", "");
KSYMTAB_FUNC(ct_sip_get_header, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_header_uri, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_address_param, "_gpl", "");
KSYMTAB_FUNC(ct_sip_parse_numerical_param, "_gpl", "");
KSYMTAB_FUNC(ct_sip_get_sdp_header, "_gpl", "");

SYMBOL_CRC(nf_nat_sip_hooks, 0x7585173a, "_gpl");
SYMBOL_CRC(ct_sip_parse_request, 0x91f622d7, "_gpl");
SYMBOL_CRC(ct_sip_get_header, 0x2992f66e, "_gpl");
SYMBOL_CRC(ct_sip_parse_header_uri, 0x6fb79e2b, "_gpl");
SYMBOL_CRC(ct_sip_parse_address_param, 0xf8901ccc, "_gpl");
SYMBOL_CRC(ct_sip_parse_numerical_param, 0xa8a031ef, "_gpl");
SYMBOL_CRC(ct_sip_get_sdp_header, 0x8d502831, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x237bc898, "nf_ct_remove_expect" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x2e0cec84, "__nf_ct_expect_find" },
	{ 0xb6b9a3ce, "nf_ct_expect_alloc" },
	{ 0x8f43f46f, "nf_ct_expect_init" },
	{ 0x315a916c, "nf_ct_expect_related_report" },
	{ 0xfcd2f498, "nf_ct_expect_put" },
	{ 0xcc1d5ae6, "__nf_ip6_route" },
	{ 0x7d6a2b3f, "dst_release" },
	{ 0x96f7edd0, "nf_ip_route" },
	{ 0x25b1cd88, "nf_ct_unexpect_related" },
	{ 0xc7452f92, "nf_ct_helper_log" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x58097618, "__nf_ct_refresh_acct" },
	{ 0xe11dda33, "__pskb_pull_tail" },
	{ 0x80ee88e7, "skb_copy_bits" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0x65eafe86, "param_ops_int" },
	{ 0x1a73ff62, "param_ops_uint" },
	{ 0x39833619, "param_array_ops" },
	{ 0x8e008c03, "param_ops_ushort" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x11089ac7, "_ctype" },
	{ 0x96b29254, "strncasecmp" },
	{ 0x609bcd98, "in6_pton" },
	{ 0xac5fcec0, "in4_pton" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x27a75dfc, "nf_ct_helper_init" },
	{ 0xef29b6cd, "nf_conntrack_helpers_register" },
	{ 0x122c3a7e, "_printk" },
	{ 0x9400f906, "nf_conntrack_helpers_unregister" },
	{ 0x9adb7399, "nf_conntrack_expect_lock" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "D2B1285AD1A9242A13705C6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
