#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nf_ct_nat_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_nat_setup_info, "", "");
KSYMTAB_FUNC(nf_nat_alloc_null_binding, "_gpl", "");
KSYMTAB_FUNC(nf_nat_packet, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmp_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmpv6_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(__nf_nat_mangle_tcp_packet, "", "");
KSYMTAB_FUNC(nf_nat_mangle_udp_packet, "", "");
KSYMTAB_FUNC(nf_nat_follow_master, "", "");
KSYMTAB_FUNC(nf_nat_exp_find_port, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_register_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_unregister_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_ct_nat, "_gpl", "");

SYMBOL_CRC(nf_ct_nat_ext_add, 0xf13ac430, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0xbb0a5cc0, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0x4a7759f2, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0x69c689d6, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0xb34d6103, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0xfcb9993c, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0x37b90f29, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0x453cac15, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0x2ae00ed8, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0x46c089d6, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0xd2c3060b, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0x90599558, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0x63c23918, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0xbebe3f93, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0x56f5c691, "");
SYMBOL_CRC(nf_nat_follow_master, 0x70996b48, "");
SYMBOL_CRC(nf_nat_exp_find_port, 0xb8e657c6, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0x3e302714, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0x9c65e054, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0x60a884a4, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0x6f637b04, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");
SYMBOL_CRC(nf_ct_nat, 0x69c85f01, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2cd72915, "pskb_expand_head" },
	{ 0x18ad5c97, "register_pernet_subsys" },
	{ 0xea019a53, "nf_conntrack_tuple_taken" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xca669131, "nf_ct_iterate_cleanup_net" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xd3c9451, "ipv6_skip_exthdr" },
	{ 0xdc4d4803, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xcca19224, "module_put" },
	{ 0xc69e6c3f, "ipv6_dev_get_saddr" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0x315a916c, "nf_ct_expect_related_report" },
	{ 0x20d5edaa, "nf_conntrack_alter_reply" },
	{ 0xa4689d1e, "ip_route_me_harder" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc766bc73, "nf_hook_entries_delete_raw" },
	{ 0x19f430c3, "skb_ensure_writable" },
	{ 0x8e5e9734, "nf_unregister_net_hooks" },
	{ 0xd627ecc8, "inet_select_addr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x6ed5a388, "unregister_pernet_subsys" },
	{ 0xb8b979d6, "skb_checksum" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x4c3ad602, "nf_ct_delete" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x48c23cd2, "nf_ip_checksum" },
	{ 0xea59fc2b, "register_btf_kfunc_id_set" },
	{ 0x51f58ed0, "nf_ct_iterate_destroy" },
	{ 0xe4262c6, "__siphash_unaligned" },
	{ 0x4f7e1924, "inet_proto_csum_replace16" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x5207e1f3, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x75e324ca, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd8e95d6a, "inet_proto_csum_replace4" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x7d6a2b3f, "dst_release" },
	{ 0xe9467826, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0xe6e01f2, "nf_nat_hook" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xa3a30692, "kmalloc_trace" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0xc293701, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xcada62b, "nf_ct_ext_add" },
	{ 0x8ae3fb17, "__do_once_done" },
	{ 0x483c92d5, "nf_conntrack_find_get" },
	{ 0xfcdcf5e8, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x83f67fab, "nf_ip6_checksum" },
	{ 0x80ee88e7, "skb_copy_bits" },
	{ 0xc57a91f0, "nf_hook_entries_insert_raw" },
	{ 0x43585fdb, "xfrm_lookup" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x977655fa, "nf_ct_seqadj_set" },
	{ 0x57b55d65, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x596ed71d, "nf_ct_helper_expectfn_unregister" },
	{ 0xe0abac91, "__xfrm_decode_session" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xa6ab0f97, "nf_ct_helper_expectfn_register" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x1b87890e, "ip6_route_me_harder" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c");


MODULE_INFO(srcversion, "3E7950F6EFA976EB1BDDD2B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
