#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nci_get_conn_info_by_dest_type_params, "", "");
KSYMTAB_FUNC(nci_req_complete, "", "");
KSYMTAB_FUNC(nci_prop_cmd, "", "");
KSYMTAB_FUNC(nci_core_cmd, "", "");
KSYMTAB_FUNC(nci_core_reset, "", "");
KSYMTAB_FUNC(nci_core_init, "", "");
KSYMTAB_FUNC(nci_nfcc_loopback, "", "");
KSYMTAB_FUNC(nci_set_config, "", "");
KSYMTAB_FUNC(nci_nfcee_discover, "", "");
KSYMTAB_FUNC(nci_nfcee_mode_set, "", "");
KSYMTAB_FUNC(nci_core_conn_create, "", "");
KSYMTAB_FUNC(nci_core_conn_close, "", "");
KSYMTAB_FUNC(nci_allocate_device, "", "");
KSYMTAB_FUNC(nci_free_device, "", "");
KSYMTAB_FUNC(nci_register_device, "", "");
KSYMTAB_FUNC(nci_unregister_device, "", "");
KSYMTAB_FUNC(nci_recv_frame, "", "");
KSYMTAB_FUNC(nci_send_frame, "", "");
KSYMTAB_FUNC(nci_send_cmd, "", "");
KSYMTAB_FUNC(nci_conn_max_data_pkt_payload_size, "", "");
KSYMTAB_FUNC(nci_send_data, "", "");
KSYMTAB_FUNC(nci_to_errno, "", "");
KSYMTAB_FUNC(nci_hci_send_event, "", "");
KSYMTAB_FUNC(nci_hci_send_cmd, "", "");
KSYMTAB_FUNC(nci_hci_clear_all_pipes, "", "");
KSYMTAB_FUNC(nci_hci_open_pipe, "", "");
KSYMTAB_FUNC(nci_hci_set_param, "", "");
KSYMTAB_FUNC(nci_hci_get_param, "", "");
KSYMTAB_FUNC(nci_hci_connect_gate, "", "");
KSYMTAB_FUNC(nci_hci_dev_session_init, "", "");

SYMBOL_CRC(nci_get_conn_info_by_dest_type_params, 0x9f2df3c3, "");
SYMBOL_CRC(nci_req_complete, 0x0c385e81, "");
SYMBOL_CRC(nci_prop_cmd, 0xe8b35b82, "");
SYMBOL_CRC(nci_core_cmd, 0x3baf24b0, "");
SYMBOL_CRC(nci_core_reset, 0x4f26eb1b, "");
SYMBOL_CRC(nci_core_init, 0x0a5b46c8, "");
SYMBOL_CRC(nci_nfcc_loopback, 0x177b9690, "");
SYMBOL_CRC(nci_set_config, 0x26930587, "");
SYMBOL_CRC(nci_nfcee_discover, 0xbbe35afb, "");
SYMBOL_CRC(nci_nfcee_mode_set, 0x63f95339, "");
SYMBOL_CRC(nci_core_conn_create, 0x770b0983, "");
SYMBOL_CRC(nci_core_conn_close, 0xb8561652, "");
SYMBOL_CRC(nci_allocate_device, 0x512e73c8, "");
SYMBOL_CRC(nci_free_device, 0x2632abcd, "");
SYMBOL_CRC(nci_register_device, 0x57a4816d, "");
SYMBOL_CRC(nci_unregister_device, 0x77eb31ce, "");
SYMBOL_CRC(nci_recv_frame, 0xf69f0ea7, "");
SYMBOL_CRC(nci_send_frame, 0xada7758b, "");
SYMBOL_CRC(nci_send_cmd, 0x0d468adf, "");
SYMBOL_CRC(nci_conn_max_data_pkt_payload_size, 0x576bbb65, "");
SYMBOL_CRC(nci_send_data, 0x3b17eb80, "");
SYMBOL_CRC(nci_to_errno, 0xba490602, "");
SYMBOL_CRC(nci_hci_send_event, 0xb4401ab2, "");
SYMBOL_CRC(nci_hci_send_cmd, 0x48507f36, "");
SYMBOL_CRC(nci_hci_clear_all_pipes, 0x1c591919, "");
SYMBOL_CRC(nci_hci_open_pipe, 0x24ce43b9, "");
SYMBOL_CRC(nci_hci_set_param, 0xa677a78a, "");
SYMBOL_CRC(nci_hci_get_param, 0xfe290801, "");
SYMBOL_CRC(nci_hci_connect_gate, 0x1b6ca826, "");
SYMBOL_CRC(nci_hci_dev_session_init, 0x81b783f4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1c5caee4, "nfc_get_local_general_bytes" },
	{ 0x89e86ce8, "nfc_set_remote_general_bytes" },
	{ 0xae45ba72, "devm_kfree" },
	{ 0x7f6bab41, "skb_pull" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x572093f7, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb72639e8, "skb_push" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x466a3437, "nfc_tm_activated" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x238a2c26, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x56470118, "__warn_printk" },
	{ 0x90f83448, "nfc_targets_found" },
	{ 0xd77269c5, "nfc_dep_link_is_up" },
	{ 0xa3a30692, "kmalloc_trace" },
	{ 0x9098cb71, "nfc_send_to_raw_sock" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc293701, "kmalloc_caches" },
	{ 0xfe21c215, "nfc_register_device" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0x57b55d65, "skb_put" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x92d59ee2, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x362334b7, "nfc_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf5d582d0, "nfc_allocate_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x30362d63, "nfc_tm_data_received" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2cd72915, "pskb_expand_head" },
	{ 0x5b1181ae, "skb_queue_purge_reason" },
	{ 0x1ac164a1, "nfc_tm_deactivated" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1114aa02, "nfc_alloc_recv_skb" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbc4df392, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xad30cd20, "__alloc_skb" },
	{ 0x52c3e512, "skb_queue_tail" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "nfc");


MODULE_INFO(srcversion, "47C6DFF792351ADE6015734");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
