#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0xd7dbceb5, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0xb0954f08, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0x816b795e, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1fa1663e, "sk_error_report" },
	{ 0x5b1181ae, "skb_queue_purge_reason" },
	{ 0x6dc35b25, "radix_tree_iter_delete" },
	{ 0x9e987a9e, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xaae35616, "proto_unregister" },
	{ 0x87310de7, "sock_register" },
	{ 0xdc609f7a, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xad30cd20, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc20e2459, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0xcca19224, "module_put" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xb29b82ad, "sock_no_shutdown" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xd9f69ea4, "perf_trace_run_bpf_submit" },
	{ 0x579eb654, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2c541e7b, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x6ad4e7f1, "__SCK__tp_func_sk_data_ready" },
	{ 0x1cef7215, "kernel_getsockname" },
	{ 0x5102a30b, "do_wait_intr_irq" },
	{ 0x325d0945, "sk_free" },
	{ 0x572093f7, "kfree_skb_reason" },
	{ 0x8a8d1d81, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb72639e8, "skb_push" },
	{ 0x796416e6, "sock_no_listen" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x8466d15f, "trace_event_reg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8b2472bd, "lock_sock_nested" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x6b8d3004, "skb_copy_datagram_iter" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8cca6651, "sk_alloc" },
	{ 0x3e098622, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf4d5f61c, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb56582fc, "__netdev_alloc_skb" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x6a7f7b0f, "bpf_trace_run3" },
	{ 0x7b501e1d, "skb_set_owner_w" },
	{ 0xfb66856d, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x5a841656, "sock_create_kern" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x1861a6a0, "skb_recv_datagram" },
	{ 0x70fd39f9, "sock_alloc_send_pskb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x5b3e282f, "xa_store" },
	{ 0x840a33c, "skb_clone" },
	{ 0x7ca9bd58, "_copy_from_iter" },
	{ 0xc86ee48e, "sock_release" },
	{ 0x45369d00, "sock_gettstamp" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xa3a30692, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0xb3c329e8, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf2a00bc4, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xcec4cf83, "sock_init_data" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x87809aeb, "put_user_ifreq" },
	{ 0xc293701, "kmalloc_caches" },
	{ 0x35104f1f, "release_sock" },
	{ 0x8a0f0cc5, "skb_free_datagram" },
	{ 0xe914e41e, "strcpy" },
	{ 0xc1da86e3, "sock_queue_rcv_skb_reason" },
	{ 0xbc49629e, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5df9c208, "bpf_trace_run4" },
	{ 0x80ee88e7, "skb_copy_bits" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x57b55d65, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6650111a, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9c2f19c5, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x80816f26, "get_user_ifreq" },
	{ 0x44c512df, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x8b8f4c16, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd2e2120c, "kernel_bind" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xcd235d0b, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6efa9c3c, "pcpu_hot" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x4ca52fde, "__tracepoint_sk_data_ready" },
	{ 0xe2964344, "__wake_up" },
	{ 0xd5017907, "__module_get" },
	{ 0xdc727306, "kernel_recvmsg" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "397EFC3C41FD84762A14389");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
