#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(xfrm_msg_min, "_gpl", "");
KSYMTAB_DATA(xfrma_policy, "_gpl", "");

SYMBOL_CRC(xfrm_msg_min, 0x4a0c7516, "_gpl");
SYMBOL_CRC(xfrma_policy, 0xa294bed8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9166fada, "strncpy" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0xad30cd20, "__alloc_skb" },
	{ 0xfcff8f54, "__nlmsg_put" },
	{ 0xb6721693, "netlink_unicast" },
	{ 0x2d03fac8, "xfrm_sad_getinfo" },
	{ 0x238a2c26, "skb_trim" },
	{ 0x6e892660, "xfrm_spd_getinfo" },
	{ 0x6401ce5a, "xfrm_state_alloc" },
	{ 0x49ca83, "xfrm_aead_get_byname" },
	{ 0x754d539c, "strlen" },
	{ 0x37a02412, "xfrm_aalg_get_byname" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd6f50cf7, "xfrm_ealg_get_byname" },
	{ 0xaab23340, "xfrm_calg_get_byname" },
	{ 0x44152f3c, "__xfrm_init_state" },
	{ 0x27866435, "security_xfrm_state_alloc" },
	{ 0x966553d, "xfrm_init_replay" },
	{ 0xd4dc4026, "xfrm_dev_state_add" },
	{ 0xe8b8e5a8, "xfrm_state_update" },
	{ 0x2881ac8e, "xfrm_audit_state_add" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8657ec02, "__xfrm_state_destroy" },
	{ 0xcb8d82bd, "xfrm_state_add" },
	{ 0xb2506f15, "xfrm_dev_state_delete" },
	{ 0x5ec6281b, "netlink_broadcast" },
	{ 0x579eb654, "init_net" },
	{ 0xb01bebf9, "xfrm_get_acqseq" },
	{ 0xd23a0079, "__fib6_flush_trees" },
	{ 0x6ab39f96, "xfrm_state_lookup_byaddr" },
	{ 0x909cf43a, "xfrm_state_lookup" },
	{ 0xc599a772, "security_xfrm_state_delete" },
	{ 0x7048b90e, "xfrm_state_delete" },
	{ 0x4964e623, "xfrm_audit_state_delete" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xc4ed09d1, "km_state_expired" },
	{ 0x6a2a6c32, "__xfrm_state_delete" },
	{ 0xc65304b3, "security_xfrm_policy_alloc" },
	{ 0xd6a5b491, "xfrm_policy_bysel_ctx" },
	{ 0xa9c63b69, "security_xfrm_policy_free" },
	{ 0xa3907eff, "km_policy_expired" },
	{ 0x13667274, "xfrm_policy_byid" },
	{ 0x38d7e871, "xfrm_policy_destroy" },
	{ 0xb9acbb0a, "xfrm_policy_delete" },
	{ 0x78ce1c19, "xfrm_audit_policy_delete" },
	{ 0x312ed932, "verify_spi_info" },
	{ 0xdb34e330, "xfrm_find_acq_byseq" },
	{ 0x3936984, "xfrm_find_acq" },
	{ 0xc942782, "xfrm_alloc_spi" },
	{ 0x1ccc9702, "xfrm_dev_policy_add" },
	{ 0x9ba0007e, "xfrm_policy_insert" },
	{ 0x6808993d, "xfrm_audit_policy_add" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xfee25d6d, "xfrm_state_free" },
	{ 0x992e188, "km_query" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x122c3a7e, "_printk" },
	{ 0x18ad5c97, "register_pernet_subsys" },
	{ 0x9a7a71d0, "xfrm_register_km" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe623dd30, "netlink_has_listeners" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd5a43273, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x69acdf38, "memcpy" },
	{ 0xca9e776c, "nla_reserve" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x219bc3d7, "netlink_kernel_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x50f073da, "netlink_rcv_skb" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x261e60cd, "xfrm_policy_hash_rebuild" },
	{ 0x4490d651, "xfrm_state_flush" },
	{ 0xc5e43aaa, "km_state_notify" },
	{ 0xf0807ec6, "xfrm_policy_walk_done" },
	{ 0xe7c89efe, "xfrm_policy_walk" },
	{ 0xc9df055a, "xfrm_policy_walk_init" },
	{ 0xe26388d8, "xfrm_state_walk_done" },
	{ 0x236fcfa2, "__netlink_kernel_create" },
	{ 0xea101a5a, "xfrm_unregister_km" },
	{ 0x6ed5a388, "unregister_pernet_subsys" },
	{ 0x1ef1758c, "netlink_net_capable" },
	{ 0x6efa9c3c, "pcpu_hot" },
	{ 0x1d4614fa, "__netlink_dump_start" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xbfc293e2, "xfrm_get_translator" },
	{ 0x667109db, "xfrm_put_translator" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x572093f7, "kfree_skb_reason" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2782b393, "xfrm_state_walk_init" },
	{ 0x29e0b417, "xfrm_state_walk" },
	{ 0x37a0cba, "kfree" },
	{ 0x1fdf961f, "xfrm_policy_alloc" },
	{ 0x117a3a6a, "xfrm_policy_flush" },
	{ 0xca860de6, "km_policy_notify" },
	{ 0x56470118, "__warn_printk" },
	{ 0x3caa5c8f, "xfrm_migrate" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x127d83ea, "security_locked_down" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0xfb578fc5, "memset" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "xfrm_algo");


MODULE_INFO(srcversion, "5AB4CCC2ABEBD8AA8011D62");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
