#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaafec344, "snd_hda_pick_fixup" },
	{ 0xa461c0f7, "snd_hda_apply_fixup" },
	{ 0xd843b862, "snd_hda_add_verbs" },
	{ 0x7c577816, "snd_hda_gen_parse_auto_config" },
	{ 0x31e58e4c, "snd_hda_enum_helper_info" },
	{ 0xa3a30692, "kmalloc_trace" },
	{ 0x8cc372fe, "snd_hdac_codec_read" },
	{ 0x476e9ce0, "snd_hda_mixer_amp_volume_put" },
	{ 0x2284e379, "snd_hda_gen_free" },
	{ 0xf9a482f9, "msleep" },
	{ 0xa586a31, "snd_hdac_regmap_sync" },
	{ 0xc293701, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x506e441c, "snd_hda_shutup_pins" },
	{ 0x364a1af1, "snd_hda_get_connections" },
	{ 0x29ab9f05, "snd_hda_gen_build_controls" },
	{ 0xc00a30c4, "snd_hda_mixer_amp_volume_info" },
	{ 0x6bf15741, "snd_hdac_regmap_read_raw" },
	{ 0x3833f1ce, "snd_hda_gen_spec_init" },
	{ 0x51d3b49a, "snd_hda_mixer_amp_switch_info" },
	{ 0x944b955, "hda_codec_driver_unregister" },
	{ 0xdd4c2662, "snd_hda_codec_get_pincfg" },
	{ 0x16e6258d, "snd_hdac_codec_write" },
	{ 0xbddfb9d2, "snd_hda_mixer_amp_switch_get_beep" },
	{ 0x37af0f1e, "snd_hda_gen_add_kctl" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x85fbfe79, "snd_hda_mixer_amp_switch_put_beep" },
	{ 0xd45c777d, "_snd_hdac_read_parm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe4824e5b, "snd_hda_get_bool_hint" },
	{ 0x8754e9d8, "snd_ctl_boolean_mono_info" },
	{ 0xd022b5f1, "snd_hda_override_amp_caps" },
	{ 0x9e8ca984, "__hda_codec_driver_register" },
	{ 0x7a148052, "snd_hda_parse_pin_defcfg" },
	{ 0xe7acb658, "snd_hda_gen_init" },
	{ 0xfd4168d7, "snd_hda_mixer_amp_switch_get" },
	{ 0x791f3d8e, "snd_hda_codec_set_name" },
	{ 0x6c98ec89, "snd_hda_mixer_amp_volume_get" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd6b718be, "snd_hda_mixer_amp_switch_put" },
	{ 0xbb49d48, "snd_hda_codec_set_pincfg" },
	{ 0x6410a59b, "snd_hda_jack_unsol_event" },
	{ 0xb8761c9e, "snd_hda_override_conn_list" },
	{ 0x5d314c4e, "snd_hda_check_amp_list_power" },
	{ 0xb17bbd40, "snd_hda_gen_build_pcms" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd83e5805, "snd_hda_mixer_amp_tlv" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-codec-generic,snd-hda-core,snd");

MODULE_ALIAS("hdaudio:v11061708r*a01*");
MODULE_ALIAS("hdaudio:v11061709r*a01*");
MODULE_ALIAS("hdaudio:v1106170Ar*a01*");
MODULE_ALIAS("hdaudio:v1106170Br*a01*");
MODULE_ALIAS("hdaudio:v1106E710r*a01*");
MODULE_ALIAS("hdaudio:v1106E711r*a01*");
MODULE_ALIAS("hdaudio:v1106E712r*a01*");
MODULE_ALIAS("hdaudio:v1106E713r*a01*");
MODULE_ALIAS("hdaudio:v1106E714r*a01*");
MODULE_ALIAS("hdaudio:v1106E715r*a01*");
MODULE_ALIAS("hdaudio:v1106E716r*a01*");
MODULE_ALIAS("hdaudio:v1106E717r*a01*");
MODULE_ALIAS("hdaudio:v1106E720r*a01*");
MODULE_ALIAS("hdaudio:v1106E721r*a01*");
MODULE_ALIAS("hdaudio:v1106E722r*a01*");
MODULE_ALIAS("hdaudio:v1106E723r*a01*");
MODULE_ALIAS("hdaudio:v1106E724r*a01*");
MODULE_ALIAS("hdaudio:v1106E725r*a01*");
MODULE_ALIAS("hdaudio:v1106E726r*a01*");
MODULE_ALIAS("hdaudio:v1106E727r*a01*");
MODULE_ALIAS("hdaudio:v11060397r*a01*");
MODULE_ALIAS("hdaudio:v11061397r*a01*");
MODULE_ALIAS("hdaudio:v11062397r*a01*");
MODULE_ALIAS("hdaudio:v11063397r*a01*");
MODULE_ALIAS("hdaudio:v11064397r*a01*");
MODULE_ALIAS("hdaudio:v11065397r*a01*");
MODULE_ALIAS("hdaudio:v11066397r*a01*");
MODULE_ALIAS("hdaudio:v11067397r*a01*");
MODULE_ALIAS("hdaudio:v11060398r*a01*");
MODULE_ALIAS("hdaudio:v11061398r*a01*");
MODULE_ALIAS("hdaudio:v11062398r*a01*");
MODULE_ALIAS("hdaudio:v11063398r*a01*");
MODULE_ALIAS("hdaudio:v11064398r*a01*");
MODULE_ALIAS("hdaudio:v11065398r*a01*");
MODULE_ALIAS("hdaudio:v11066398r*a01*");
MODULE_ALIAS("hdaudio:v11067398r*a01*");
MODULE_ALIAS("hdaudio:v11060428r*a01*");
MODULE_ALIAS("hdaudio:v11064428r*a01*");
MODULE_ALIAS("hdaudio:v11060441r*a01*");
MODULE_ALIAS("hdaudio:v11064441r*a01*");
MODULE_ALIAS("hdaudio:v11060433r*a01*");
MODULE_ALIAS("hdaudio:v1106A721r*a01*");
MODULE_ALIAS("hdaudio:v11060438r*a01*");
MODULE_ALIAS("hdaudio:v11064438r*a01*");
MODULE_ALIAS("hdaudio:v11060448r*a01*");
MODULE_ALIAS("hdaudio:v11060440r*a01*");
MODULE_ALIAS("hdaudio:v11060446r*a01*");
MODULE_ALIAS("hdaudio:v11068446r*a01*");
MODULE_ALIAS("hdaudio:v11064760r*a01*");
MODULE_ALIAS("hdaudio:v11064761r*a01*");
MODULE_ALIAS("hdaudio:v11064762r*a01*");

MODULE_INFO(srcversion, "8ECDA1585F8D890B5948542");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
