#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l56_hda_common_probe, "_gpl", "SND_HDA_SCODEC_CS35L56");
KSYMTAB_FUNC(cs35l56_hda_remove, "_gpl", "SND_HDA_SCODEC_CS35L56");
KSYMTAB_DATA(cs35l56_hda_pm_ops, "_gpl", "SND_HDA_SCODEC_CS35L56");

SYMBOL_CRC(cs35l56_hda_common_probe, 0x56727dcd, "_gpl");
SYMBOL_CRC(cs35l56_hda_remove, 0x58a5874e, "_gpl");
SYMBOL_CRC(cs35l56_hda_pm_ops, 0xd6231ab9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5c7f79c4, "__dynamic_dev_dbg" },
	{ 0x15e7a628, "snd_ctl_remove" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x98583477, "__pm_runtime_set_status" },
	{ 0x87fe3fee, "snd_ctl_new1" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b92d5db, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0xe636a73f, "device_property_read_u32_array" },
	{ 0x6bc945a6, "_dev_info" },
	{ 0xfd1847fa, "cs35l56_init_cs_dsp" },
	{ 0x23969a38, "_dev_err" },
	{ 0x5c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x36319cf, "cs_dsp_halo_init" },
	{ 0x34b2e24d, "cs_dsp_power_down" },
	{ 0xaa3de9db, "debugfs_remove" },
	{ 0x9bef7204, "hda_cs_dsp_add_controls" },
	{ 0xa4f9df1c, "cs35l56_runtime_suspend_common" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9b07d8b5, "cs_dsp_remove" },
	{ 0x11089ac7, "_ctype" },
	{ 0xd011cc21, "cs35l56_mbox_send" },
	{ 0x7ca629b8, "cs35l56_hw_init" },
	{ 0x72eb7fac, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x454ea2ae, "cs_dsp_power_up" },
	{ 0x217982aa, "cs35l56_system_reset" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xa9e3fd57, "cs35l56_wait_for_firmware_boot" },
	{ 0x41ac879f, "devm_kasprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb36b07da, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0xbb3dbdd0, "cs35l56_is_fw_reload_needed" },
	{ 0x9262a177, "regmap_read" },
	{ 0x8ad0e833, "cs_dsp_run" },
	{ 0x952a13ed, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa5556d2a, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xd7dbd212, "cs35l56_runtime_resume_common" },
	{ 0xefa6f6f7, "regmap_update_bits_base" },
	{ 0x567c0d52, "dev_err_probe" },
	{ 0xacff5889, "regmap_multi_reg_write" },
	{ 0x962540c3, "__pm_runtime_suspend" },
	{ 0x2e25fb62, "component_add" },
	{ 0xa8e1657e, "set_primary_fwnode" },
	{ 0xf8e44dc4, "__pm_runtime_use_autosuspend" },
	{ 0x8d2a5838, "devm_gpiod_get_index_optional" },
	{ 0x2d96cf1f, "__pm_runtime_disable" },
	{ 0xfd7674cc, "debugfs_create_dir" },
	{ 0x9d040816, "cs35l56_firmware_shutdown" },
	{ 0x59bdb111, "pm_runtime_force_suspend" },
	{ 0x525846b8, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xbc4445ad, "acpi_dev_get_first_match_dev" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x9decddae, "regcache_cache_only" },
	{ 0x2f2c695d, "is_acpi_device_node" },
	{ 0x9fac1084, "regcache_sync" },
	{ 0x5b8dcaa7, "regmap_write" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0x66e90e65, "firmware_request_nowarn" },
	{ 0xbd764b13, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xfd4ebef, "cs_dsp_cleanup_debugfs" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xeb8c87ed, "cs_dsp_stop" },
	{ 0xeb3b7c5a, "pm_runtime_set_autosuspend_delay" },
	{ 0x2bbc54a6, "gpiod_set_value_cansleep" },
	{ 0xa6aba0df, "hda_cs_dsp_control_remove" },
	{ 0xa696ce31, "component_del" },
	{ 0x7fdc4801, "cs35l56_force_sync_asp1_registers_from_cache" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x6195d650, "sound_debugfs_root" },
	{ 0x3e83f797, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe32f0ae7, "cs_dsp_init_debugfs" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "snd,snd-soc-cs35l56-shared,cs_dsp,snd-hda-cs-dsp-ctls");


MODULE_INFO(srcversion, "12385EEC7E7D18E053D5171");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
