#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hda_bus_ml_init, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_free, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_get_count, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_interrupt, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_check_interrupt, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_set_syncprd_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_set_syncprd_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_wait_syncpu_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_wait_syncpu_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sync_arm_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_sync_arm_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sync_go_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_sync_go_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_check_cmdsync_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_check_cmdsync_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_up, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_up_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_down, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_power_down_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_power_up_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_power_down_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_get_lsdiid_unlocked, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_set_lsdiid, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_map_stream_ch, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_put_all, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_reset_losidv, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_resume, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hda_bus_ml_suspend, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_get_mutex, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_ssp_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_dmic_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_sdw_get_hlink, "", "SND_SOC_SOF_HDA_MLINK");
KSYMTAB_FUNC(hdac_bus_eml_enable_offload, "", "SND_SOC_SOF_HDA_MLINK");

SYMBOL_CRC(hda_bus_ml_init, 0x21ae9fdf, "");
SYMBOL_CRC(hda_bus_ml_free, 0x33666204, "");
SYMBOL_CRC(hdac_bus_eml_get_count, 0x66f76499, "");
SYMBOL_CRC(hdac_bus_eml_enable_interrupt, 0x810a87e9, "");
SYMBOL_CRC(hdac_bus_eml_check_interrupt, 0xe05e42cc, "");
SYMBOL_CRC(hdac_bus_eml_set_syncprd_unlocked, 0xc9a52b59, "");
SYMBOL_CRC(hdac_bus_eml_sdw_set_syncprd_unlocked, 0x11ae6c20, "");
SYMBOL_CRC(hdac_bus_eml_wait_syncpu_unlocked, 0x2582aaf5, "");
SYMBOL_CRC(hdac_bus_eml_sdw_wait_syncpu_unlocked, 0x98c36d89, "");
SYMBOL_CRC(hdac_bus_eml_sync_arm_unlocked, 0x82c91d71, "");
SYMBOL_CRC(hdac_bus_eml_sdw_sync_arm_unlocked, 0x3419243f, "");
SYMBOL_CRC(hdac_bus_eml_sync_go_unlocked, 0x4496bb60, "");
SYMBOL_CRC(hdac_bus_eml_sdw_sync_go_unlocked, 0x1ef73104, "");
SYMBOL_CRC(hdac_bus_eml_check_cmdsync_unlocked, 0x0455897c, "");
SYMBOL_CRC(hdac_bus_eml_sdw_check_cmdsync_unlocked, 0x86ca76ca, "");
SYMBOL_CRC(hdac_bus_eml_power_up, 0xa082d156, "");
SYMBOL_CRC(hdac_bus_eml_power_up_unlocked, 0xe3e5e4bc, "");
SYMBOL_CRC(hdac_bus_eml_power_down, 0x522509f0, "");
SYMBOL_CRC(hdac_bus_eml_power_down_unlocked, 0x7bf52781, "");
SYMBOL_CRC(hdac_bus_eml_sdw_power_up_unlocked, 0x7cde098d, "");
SYMBOL_CRC(hdac_bus_eml_sdw_power_down_unlocked, 0xd38f6bbf, "");
SYMBOL_CRC(hdac_bus_eml_sdw_get_lsdiid_unlocked, 0x22a1e80b, "");
SYMBOL_CRC(hdac_bus_eml_sdw_set_lsdiid, 0x9afa6985, "");
SYMBOL_CRC(hdac_bus_eml_sdw_map_stream_ch, 0xe0d20348, "");
SYMBOL_CRC(hda_bus_ml_put_all, 0x81013109, "");
SYMBOL_CRC(hda_bus_ml_reset_losidv, 0xcd480140, "");
SYMBOL_CRC(hda_bus_ml_resume, 0x6ae524cb, "");
SYMBOL_CRC(hda_bus_ml_suspend, 0xcf6b2a0e, "");
SYMBOL_CRC(hdac_bus_eml_get_mutex, 0xbc8b00ac, "");
SYMBOL_CRC(hdac_bus_eml_ssp_get_hlink, 0xd3abe130, "");
SYMBOL_CRC(hdac_bus_eml_dmic_get_hlink, 0x3fab8e25, "");
SYMBOL_CRC(hdac_bus_eml_sdw_get_hlink, 0x60977f42, "");
SYMBOL_CRC(hdac_bus_eml_enable_offload, 0x232a6536, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1db0bdfc, "snd_hdac_ext_bus_link_power_up" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x5c7f79c4, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcd68e09a, "snd_hdac_ext_bus_link_power_down" },
	{ 0x23969a38, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4be589c0, "snd_hdac_ext_bus_link_put" },
	{ 0xa3a30692, "kmalloc_trace" },
	{ 0xc293701, "kmalloc_caches" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-ext-core");


MODULE_INFO(srcversion, "CCD9D213FCABB93A5DA79AE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
