#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(simd_skcipher_create_compat, "_gpl", "");
KSYMTAB_FUNC(simd_skcipher_create, "_gpl", "");
KSYMTAB_FUNC(simd_skcipher_free, "_gpl", "");
KSYMTAB_FUNC(simd_register_skciphers_compat, "_gpl", "");
KSYMTAB_FUNC(simd_unregister_skciphers, "_gpl", "");
KSYMTAB_FUNC(simd_aead_create_compat, "_gpl", "");
KSYMTAB_FUNC(simd_aead_create, "_gpl", "");
KSYMTAB_FUNC(simd_aead_free, "_gpl", "");
KSYMTAB_FUNC(simd_register_aeads_compat, "_gpl", "");
KSYMTAB_FUNC(simd_unregister_aeads, "_gpl", "");

SYMBOL_CRC(simd_skcipher_create_compat, 0x88638552, "_gpl");
SYMBOL_CRC(simd_skcipher_create, 0x66983e96, "_gpl");
SYMBOL_CRC(simd_skcipher_free, 0xefe73979, "_gpl");
SYMBOL_CRC(simd_register_skciphers_compat, 0x44cec571, "_gpl");
SYMBOL_CRC(simd_unregister_skciphers, 0x9e736968, "_gpl");
SYMBOL_CRC(simd_aead_create_compat, 0x504cb053, "_gpl");
SYMBOL_CRC(simd_aead_create, 0x851c747c, "_gpl");
SYMBOL_CRC(simd_aead_free, 0xbfd26f15, "_gpl");
SYMBOL_CRC(simd_register_aeads_compat, 0xb903e5f5, "_gpl");
SYMBOL_CRC(simd_unregister_aeads, 0xe302a166, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9bff6343, "crypto_aead_setauthsize" },
	{ 0x4b30186a, "crypto_aead_decrypt" },
	{ 0x897824b2, "crypto_skcipher_setkey" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x66a11d6e, "crypto_unregister_aeads" },
	{ 0xeb2e3ff4, "crypto_destroy_tfm" },
	{ 0xbc1d8dcc, "cryptd_skcipher_child" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4353a449, "crypto_skcipher_decrypt" },
	{ 0xd6862e94, "cryptd_alloc_skcipher" },
	{ 0x21f403f3, "crypto_aead_setkey" },
	{ 0x452d978c, "crypto_register_skcipher" },
	{ 0x30f09e82, "crypto_aead_encrypt" },
	{ 0x75ce6447, "cryptd_aead_queued" },
	{ 0x388c35ce, "crypto_unregister_skcipher" },
	{ 0x47172eaf, "crypto_register_skciphers" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbba29bbd, "cryptd_skcipher_queued" },
	{ 0x64af133f, "cryptd_free_aead" },
	{ 0x1445347d, "crypto_unregister_skciphers" },
	{ 0xae757247, "cryptd_free_skcipher" },
	{ 0xa3a30692, "kmalloc_trace" },
	{ 0xc293701, "kmalloc_caches" },
	{ 0x46e98e3d, "crypto_alloc_skcipher" },
	{ 0x727dfbe, "crypto_skcipher_encrypt" },
	{ 0x300da0d8, "cryptd_alloc_aead" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x46baacaa, "cryptd_aead_child" },
	{ 0x73dd54eb, "irq_fpu_usable" },
	{ 0xd197fc9, "crypto_register_aead" },
	{ 0x32b5bdb8, "crypto_unregister_aead" },
	{ 0x37a0cba, "kfree" },
	{ 0x6d01e32e, "crypto_register_aeads" },
	{ 0x6efa9c3c, "pcpu_hot" },
	{ 0xde69668c, "crypto_alloc_aead" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "cryptd");


MODULE_INFO(srcversion, "5BECD76A995C1C49F0B5701");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
