#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(ssd130x_variants, "_gpl", "DRM_SSD130X");
KSYMTAB_FUNC(ssd130x_probe, "_gpl", "");
KSYMTAB_FUNC(ssd130x_remove, "_gpl", "");
KSYMTAB_FUNC(ssd130x_shutdown, "_gpl", "");

SYMBOL_CRC(ssd130x_variants, 0x944ae112, "_gpl");
SYMBOL_CRC(ssd130x_probe, 0x2f7e11f0, "_gpl");
SYMBOL_CRC(ssd130x_remove, 0xf22fc498, "_gpl");
SYMBOL_CRC(ssd130x_shutdown, 0x58a502be, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd27acabc, "devm_regulator_get" },
	{ 0xdadf8b62, "devm_backlight_device_register" },
	{ 0x1064995a, "drmm_mode_config_init" },
	{ 0xdba2e154, "drm_universal_plane_init" },
	{ 0x9e105a00, "drm_plane_enable_fb_damage_clips" },
	{ 0xe4882d18, "drm_crtc_init_with_planes" },
	{ 0xe901d734, "drm_encoder_init" },
	{ 0xb91c4cd9, "drm_connector_init" },
	{ 0x3d3bf5cc, "drm_connector_attach_encoder" },
	{ 0xd174fdb4, "drm_mode_config_reset" },
	{ 0x6dcb50e4, "drm_dev_register" },
	{ 0x1d5200c, "drm_fbdev_generic_setup" },
	{ 0x23969a38, "_dev_err" },
	{ 0x567c0d52, "dev_err_probe" },
	{ 0x977c24b8, "drm_mode_duplicate" },
	{ 0xbefcbecf, "drm_mode_probed_add" },
	{ 0x58b19f52, "drm_set_preferred_mode" },
	{ 0x67c2136e, "pwm_put" },
	{ 0x67146bad, "regulator_disable" },
	{ 0xf6cecdcf, "pwm_apply_might_sleep" },
	{ 0x37a0cba, "kfree" },
	{ 0x556e4c8b, "__drm_gem_destroy_shadow_plane_state" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x7ee4853, "__drm_gem_duplicate_shadow_plane_state" },
	{ 0x638aba1a, "drm_dev_unplug" },
	{ 0xdeba04ff, "drm_atomic_helper_shutdown" },
	{ 0xc293701, "kmalloc_caches" },
	{ 0xa3a30692, "kmalloc_trace" },
	{ 0x6cfb108d, "__drm_gem_reset_shadow_plane" },
	{ 0x2eb689d1, "drm_dev_enter" },
	{ 0x27e8b4e1, "drm_atomic_helper_damage_iter_init" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x871ab41a, "drm_rect_intersect" },
	{ 0x1dfd9a09, "drm_gem_fb_begin_cpu_access" },
	{ 0x510bccc6, "drm_fb_xrgb8888_to_mono" },
	{ 0x34ce95c2, "drm_gem_fb_end_cpu_access" },
	{ 0x7e077a43, "regmap_bulk_write" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x28304560, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2bbc54a6, "gpiod_set_value_cansleep" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb575625b, "regulator_enable" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2fc3814a, "pwm_get" },
	{ 0x5c7f79c4, "__dynamic_dev_dbg" },
	{ 0x72eb7fac, "_dev_warn" },
	{ 0xfb578fc5, "memset" },
	{ 0x8e419563, "drm_plane_helper_atomic_check" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x81b6a69e, "drm_gem_shmem_prime_import_sg_table" },
	{ 0xf6c6a86b, "drm_gem_shmem_dumb_create" },
	{ 0x4f6abd47, "noop_llseek" },
	{ 0x777ce171, "drm_read" },
	{ 0xd5c27397, "drm_poll" },
	{ 0xeb5a90e3, "drm_ioctl" },
	{ 0x4670abfb, "drm_compat_ioctl" },
	{ 0xd27da410, "drm_gem_mmap" },
	{ 0x33abe86e, "drm_open" },
	{ 0x5bb8417b, "drm_release" },
	{ 0xb453343c, "drm_gem_fb_create_with_dirty" },
	{ 0x38bdfefd, "drm_atomic_helper_check" },
	{ 0x7ba34cb, "drm_atomic_helper_commit" },
	{ 0x26652656, "drm_atomic_helper_connector_reset" },
	{ 0x1178f002, "drm_helper_probe_single_connector_modes" },
	{ 0xa95ba6f7, "drm_connector_cleanup" },
	{ 0x10a826f, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x8901792a, "drm_atomic_helper_connector_destroy_state" },
	{ 0xc1e444e6, "drm_encoder_cleanup" },
	{ 0x1db65a67, "drm_atomic_helper_crtc_reset" },
	{ 0x6b7df7e4, "drm_crtc_cleanup" },
	{ 0x3fee8a0c, "drm_atomic_helper_set_config" },
	{ 0x2c2f5ada, "drm_atomic_helper_page_flip" },
	{ 0x1eb1eba2, "drm_atomic_helper_crtc_duplicate_state" },
	{ 0x7416476b, "drm_atomic_helper_crtc_destroy_state" },
	{ 0xd8f3fec1, "drm_crtc_helper_atomic_check" },
	{ 0xa2fff301, "drm_atomic_helper_update_plane" },
	{ 0x4c0f386b, "drm_atomic_helper_disable_plane" },
	{ 0xd750b4e4, "drm_plane_cleanup" },
	{ 0x2c86d8a9, "drm_gem_begin_shadow_fb_access" },
	{ 0x4ea6d982, "drm_gem_end_shadow_fb_access" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5b8dcaa7, "regmap_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7da3cdfe, "__devm_drm_dev_alloc" },
	{ 0x72376fc6, "device_get_match_data" },
	{ 0xe636a73f, "device_property_read_u32_array" },
	{ 0x1d2cb8ed, "device_property_read_u8_array" },
	{ 0x5b01b6eb, "device_property_present" },
	{ 0x1300e139, "devm_gpiod_get_optional" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "26BADB5A472EE8E6390BC46");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
