#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa751bb65, "drm_aperture_remove_conflicting_pci_framebuffers" },
	{ 0x24ab00e1, "pcim_enable_device" },
	{ 0x33ce8cd7, "pci_request_regions" },
	{ 0x7da3cdfe, "__devm_drm_dev_alloc" },
	{ 0x5dfbbd2a, "devm_ioremap" },
	{ 0x1064995a, "drmm_mode_config_init" },
	{ 0xdba2e154, "drm_universal_plane_init" },
	{ 0xd174fdb4, "drm_mode_config_reset" },
	{ 0x6dcb50e4, "drm_dev_register" },
	{ 0x1d5200c, "drm_fbdev_generic_setup" },
	{ 0x9e105a00, "drm_plane_enable_fb_damage_clips" },
	{ 0xe4882d18, "drm_crtc_init_with_planes" },
	{ 0xe901d734, "drm_encoder_init" },
	{ 0xb91c4cd9, "drm_connector_init" },
	{ 0x3d3bf5cc, "drm_connector_attach_encoder" },
	{ 0xd642f3f6, "video_firmware_drivers_only" },
	{ 0xb7dd393e, "__pci_register_driver" },
	{ 0xc293701, "kmalloc_caches" },
	{ 0xa3a30692, "kmalloc_trace" },
	{ 0x7ee4853, "__drm_gem_duplicate_shadow_plane_state" },
	{ 0x6cfb108d, "__drm_gem_reset_shadow_plane" },
	{ 0x395ac2c5, "drm_atomic_helper_check_plane_state" },
	{ 0x2eb689d1, "drm_dev_enter" },
	{ 0x848d372e, "iowrite8" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb19b445, "ioread8" },
	{ 0x27e8b4e1, "drm_atomic_helper_damage_iter_init" },
	{ 0xb6a6b711, "drm_fb_clip_offset" },
	{ 0xb55e80ef, "drm_fb_blit" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x81b6a69e, "drm_gem_shmem_prime_import_sg_table" },
	{ 0xf6c6a86b, "drm_gem_shmem_dumb_create" },
	{ 0x4f6abd47, "noop_llseek" },
	{ 0x777ce171, "drm_read" },
	{ 0xd5c27397, "drm_poll" },
	{ 0xeb5a90e3, "drm_ioctl" },
	{ 0x4670abfb, "drm_compat_ioctl" },
	{ 0xd27da410, "drm_gem_mmap" },
	{ 0x33abe86e, "drm_open" },
	{ 0x5bb8417b, "drm_release" },
	{ 0xb453343c, "drm_gem_fb_create_with_dirty" },
	{ 0x38bdfefd, "drm_atomic_helper_check" },
	{ 0x7ba34cb, "drm_atomic_helper_commit" },
	{ 0x26652656, "drm_atomic_helper_connector_reset" },
	{ 0x1178f002, "drm_helper_probe_single_connector_modes" },
	{ 0xa95ba6f7, "drm_connector_cleanup" },
	{ 0x10a826f, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x8901792a, "drm_atomic_helper_connector_destroy_state" },
	{ 0xc1e444e6, "drm_encoder_cleanup" },
	{ 0x1db65a67, "drm_atomic_helper_crtc_reset" },
	{ 0x6b7df7e4, "drm_crtc_cleanup" },
	{ 0x3fee8a0c, "drm_atomic_helper_set_config" },
	{ 0x2c2f5ada, "drm_atomic_helper_page_flip" },
	{ 0x1eb1eba2, "drm_atomic_helper_crtc_duplicate_state" },
	{ 0x7416476b, "drm_atomic_helper_crtc_destroy_state" },
	{ 0xa2fff301, "drm_atomic_helper_update_plane" },
	{ 0x4c0f386b, "drm_atomic_helper_disable_plane" },
	{ 0xd750b4e4, "drm_plane_cleanup" },
	{ 0x2c86d8a9, "drm_gem_begin_shadow_fb_access" },
	{ 0x4ea6d982, "drm_gem_end_shadow_fb_access" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x638aba1a, "drm_dev_unplug" },
	{ 0xdeba04ff, "drm_atomic_helper_shutdown" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x44e3244c, "drm_add_modes_noedid" },
	{ 0x58b19f52, "drm_set_preferred_mode" },
	{ 0x9f884e8e, "drm_atomic_helper_check_crtc_primary_plane" },
	{ 0x556e4c8b, "__drm_gem_destroy_shadow_plane_state" },
	{ 0x37a0cba, "kfree" },
	{ 0x111ec07e, "pci_unregister_driver" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001013d000000B8sv00001AF4sd00001100bc*sc*i*");
MODULE_ALIAS("pci:v00001013d000000B8sv00005853sd00000001bc*sc*i*");

MODULE_INFO(srcversion, "D39B139ECA962D920759377");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
