#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x67146bad, "regulator_disable" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0xeb98e2, "irq_domain_remove" },
	{ 0xd99b5a5a, "i2c_mux_del_adapters" },
	{ 0xa91b7adc, "device_remove_file" },
	{ 0x4fbb566d, "i2c_client_get_device_id" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x426947e2, "i2c_mux_alloc" },
	{ 0xd27acabc, "devm_regulator_get" },
	{ 0xb575625b, "regulator_enable" },
	{ 0x1300e139, "devm_gpiod_get_optional" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2bbc54a6, "gpiod_set_value_cansleep" },
	{ 0x72376fc6, "device_get_match_data" },
	{ 0x713ed022, "i2c_get_device_id" },
	{ 0xe636a73f, "device_property_read_u32_array" },
	{ 0xc0d6e083, "i2c_smbus_write_byte" },
	{ 0x82748971, "irq_domain_simple_ops" },
	{ 0x47502fc5, "__irq_domain_add" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0xf1a7a464, "handle_simple_irq" },
	{ 0xeef50b08, "irq_set_chip_and_handler_name" },
	{ 0xac4583d4, "irq_create_mapping_affinity" },
	{ 0x23969a38, "_dev_err" },
	{ 0x567c0d52, "dev_err_probe" },
	{ 0x5b01b6eb, "device_property_present" },
	{ 0x72eb7fac, "_dev_warn" },
	{ 0xbde27506, "i2c_mux_add_adapter" },
	{ 0x5333de2e, "devm_request_threaded_irq" },
	{ 0xa0ef5700, "device_create_file" },
	{ 0x6bc945a6, "_dev_info" },
	{ 0x232c9d76, "__i2c_smbus_xfer" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x133137dd, "i2c_register_driver" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xf6457354, "i2c_smbus_read_byte" },
	{ 0xe7f8434e, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b116a51, "i2c_del_driver" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "i2c-mux");

MODULE_ALIAS("of:N*T*Cmaxim,max7356");
MODULE_ALIAS("of:N*T*Cmaxim,max7356C*");
MODULE_ALIAS("of:N*T*Cmaxim,max7357");
MODULE_ALIAS("of:N*T*Cmaxim,max7357C*");
MODULE_ALIAS("of:N*T*Cmaxim,max7358");
MODULE_ALIAS("of:N*T*Cmaxim,max7358C*");
MODULE_ALIAS("of:N*T*Cmaxim,max7367");
MODULE_ALIAS("of:N*T*Cmaxim,max7367C*");
MODULE_ALIAS("of:N*T*Cmaxim,max7368");
MODULE_ALIAS("of:N*T*Cmaxim,max7368C*");
MODULE_ALIAS("of:N*T*Cmaxim,max7369");
MODULE_ALIAS("of:N*T*Cmaxim,max7369C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9540");
MODULE_ALIAS("of:N*T*Cnxp,pca9540C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9542");
MODULE_ALIAS("of:N*T*Cnxp,pca9542C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9543");
MODULE_ALIAS("of:N*T*Cnxp,pca9543C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9544");
MODULE_ALIAS("of:N*T*Cnxp,pca9544C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9545");
MODULE_ALIAS("of:N*T*Cnxp,pca9545C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9546");
MODULE_ALIAS("of:N*T*Cnxp,pca9546C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9547");
MODULE_ALIAS("of:N*T*Cnxp,pca9547C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9548");
MODULE_ALIAS("of:N*T*Cnxp,pca9548C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9846");
MODULE_ALIAS("of:N*T*Cnxp,pca9846C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9847");
MODULE_ALIAS("of:N*T*Cnxp,pca9847C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9848");
MODULE_ALIAS("of:N*T*Cnxp,pca9848C*");
MODULE_ALIAS("of:N*T*Cnxp,pca9849");
MODULE_ALIAS("of:N*T*Cnxp,pca9849C*");
MODULE_ALIAS("i2c:max7356");
MODULE_ALIAS("i2c:max7357");
MODULE_ALIAS("i2c:max7358");
MODULE_ALIAS("i2c:max7367");
MODULE_ALIAS("i2c:max7368");
MODULE_ALIAS("i2c:max7369");
MODULE_ALIAS("i2c:pca9540");
MODULE_ALIAS("i2c:pca9542");
MODULE_ALIAS("i2c:pca9543");
MODULE_ALIAS("i2c:pca9544");
MODULE_ALIAS("i2c:pca9545");
MODULE_ALIAS("i2c:pca9546");
MODULE_ALIAS("i2c:pca9547");
MODULE_ALIAS("i2c:pca9548");
MODULE_ALIAS("i2c:pca9846");
MODULE_ALIAS("i2c:pca9847");
MODULE_ALIAS("i2c:pca9848");
MODULE_ALIAS("i2c:pca9849");

MODULE_INFO(srcversion, "4D1A2E53D650C8792C01D1D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
