#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(bmc150_regmap_conf, "_gpl", "IIO_BMC150");
KSYMTAB_FUNC(bmc150_accel_core_probe, "_gpl", "IIO_BMC150");
KSYMTAB_FUNC(bmc150_accel_core_remove, "_gpl", "IIO_BMC150");
KSYMTAB_DATA(bmc150_accel_pm_ops, "_gpl", "IIO_BMC150");

SYMBOL_CRC(bmc150_regmap_conf, 0x97cb5390, "_gpl");
SYMBOL_CRC(bmc150_accel_core_probe, 0x023c27de, "_gpl");
SYMBOL_CRC(bmc150_accel_core_remove, 0x475e5d69, "_gpl");
SYMBOL_CRC(bmc150_accel_pm_ops, 0x84b7806e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2d96cf1f, "__pm_runtime_disable" },
	{ 0x98583477, "__pm_runtime_set_status" },
	{ 0xe3c745e4, "iio_trigger_unregister" },
	{ 0x349c6e24, "iio_triggered_buffer_cleanup" },
	{ 0x2c9929d2, "regulator_bulk_disable" },
	{ 0xe3755e8d, "devm_iio_device_alloc" },
	{ 0x2f2c695d, "is_acpi_device_node" },
	{ 0xaf5b40b2, "iio_read_mount_matrix" },
	{ 0xa3a7018d, "devm_regulator_bulk_get" },
	{ 0xd013b32e, "regulator_bulk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd535d342, "acpi_dev_hid_uid_match" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x567c0d52, "dev_err_probe" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0x5f59a8c3, "iio_triggered_buffer_setup_ext" },
	{ 0x5333de2e, "devm_request_threaded_irq" },
	{ 0x1738333c, "iio_device_id" },
	{ 0xe29c62a0, "__devm_iio_trigger_alloc" },
	{ 0x2b4918f4, "iio_trigger_register" },
	{ 0x2b92d5db, "pm_runtime_enable" },
	{ 0xeb3b7c5a, "pm_runtime_set_autosuspend_delay" },
	{ 0xf8e44dc4, "__pm_runtime_use_autosuspend" },
	{ 0x5d9cd27e, "__iio_device_register" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x37a0cba, "kfree" },
	{ 0x72eb7fac, "_dev_warn" },
	{ 0x11ea96ac, "iio_read_const_attr" },
	{ 0xdb5f33a4, "iio_show_mount_matrix" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5b8dcaa7, "regmap_write" },
	{ 0xd43f9a4f, "regmap_get_device" },
	{ 0x23969a38, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x18c3fe70, "iio_get_time_ns" },
	{ 0xa909368b, "iio_trigger_poll" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xefa6f6f7, "regmap_update_bits_base" },
	{ 0x5c7f79c4, "__dynamic_dev_dbg" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x952a13ed, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x962540c3, "__pm_runtime_suspend" },
	{ 0x9262a177, "regmap_read" },
	{ 0xfba892f6, "iio_buffer_enabled" },
	{ 0x42c9816d, "regmap_bulk_read" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd8615145, "iio_device_get_current_mode" },
	{ 0x96c07095, "regmap_raw_read" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x1cb299f7, "iio_push_to_buffers" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6c5fa4a8, "iio_push_event" },
	{ 0xa9e78d8b, "iio_trigger_notify_done" },
	{ 0xcba8f80d, "iio_device_unregister" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer");


MODULE_INFO(srcversion, "CB5BF596FEB1B26CB0E974F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
