#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rmi_dbg, "_gpl", "");
KSYMTAB_FUNC(rmi_register_transport_device, "_gpl", "");
KSYMTAB_FUNC(rmi_unregister_transport_device, "", "");
KSYMTAB_FUNC(__rmi_register_function_handler, "_gpl", "");
KSYMTAB_FUNC(rmi_unregister_function_handler, "_gpl", "");
KSYMTAB_FUNC(rmi_of_property_read_u32, "_gpl", "");
KSYMTAB_FUNC(rmi_set_attn_data, "_gpl", "");
KSYMTAB_FUNC(rmi_driver_suspend, "_gpl", "");
KSYMTAB_FUNC(rmi_driver_resume, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_abs_process, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_abs_report, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_rel_report, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_configure_input, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_of_probe, "_gpl", "");

SYMBOL_CRC(rmi_dbg, 0x00d6fb2a, "_gpl");
SYMBOL_CRC(rmi_register_transport_device, 0xf69a2c58, "_gpl");
SYMBOL_CRC(rmi_unregister_transport_device, 0x7171568b, "");
SYMBOL_CRC(__rmi_register_function_handler, 0xcf4272d5, "_gpl");
SYMBOL_CRC(rmi_unregister_function_handler, 0xf4ffb207, "_gpl");
SYMBOL_CRC(rmi_of_property_read_u32, 0x7b77bab5, "_gpl");
SYMBOL_CRC(rmi_set_attn_data, 0xac5e2b89, "_gpl");
SYMBOL_CRC(rmi_driver_suspend, 0xe5fd78b7, "_gpl");
SYMBOL_CRC(rmi_driver_resume, 0xe2d8972b, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_abs_process, 0xfcae2332, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_abs_report, 0xb861114a, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_rel_report, 0xe9c43ee5, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_configure_input, 0x25936381, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_of_probe, 0x65fa6263, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf1a7a464, "handle_simple_irq" },
	{ 0x6bc945a6, "_dev_info" },
	{ 0x7127003b, "vb2_ioctl_dqbuf" },
	{ 0xc19bcfc2, "bus_unregister" },
	{ 0xae45ba72, "devm_kfree" },
	{ 0x23969a38, "_dev_err" },
	{ 0x66b9adf9, "vb2_ioctl_create_bufs" },
	{ 0xba0cd106, "device_add" },
	{ 0x61a8102a, "input_mt_init_slots" },
	{ 0xf2362305, "irq_get_irq_data" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7fddba7f, "input_set_capability" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x9166fada, "strncpy" },
	{ 0x4aae080, "vb2_buffer_done" },
	{ 0xb03f4b43, "driver_unregister" },
	{ 0x3651303b, "vb2_plane_vaddr" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe02b9fe9, "video_unregister_device" },
	{ 0x1a1505bf, "sysfs_create_group" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xbdaf1dcc, "vb2_ioctl_qbuf" },
	{ 0x631589dc, "vb2_fop_mmap" },
	{ 0x79c58e9, "device_del" },
	{ 0xe7f8434e, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0x7846b181, "vb2_vmalloc_memops" },
	{ 0x72eb7fac, "_dev_warn" },
	{ 0x47502fc5, "__irq_domain_add" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x797a3065, "serio_unregister_port" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x36b4dfa6, "input_event" },
	{ 0x593f0945, "vb2_fop_read" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0xbddfcdbb, "v4l2_device_register" },
	{ 0x5b616879, "input_set_abs_params" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x41ac879f, "devm_kasprintf" },
	{ 0x6b8792f4, "sysfs_remove_group" },
	{ 0xdd64e639, "strscpy" },
	{ 0x69c6a31f, "serio_interrupt" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x21dea64f, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9f3cca0f, "vb2_ops_wait_prepare" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xac4583d4, "irq_create_mapping_affinity" },
	{ 0x6b1778df, "vb2_ioctl_streamon" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc57d7e7a, "input_alloc_absinfo" },
	{ 0x598df254, "vb2_fop_poll" },
	{ 0x97c2ef3e, "v4l2_device_unregister" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0xa3a30692, "kmalloc_trace" },
	{ 0x65eafe86, "param_ops_int" },
	{ 0xcc998ff4, "_dev_printk" },
	{ 0xa7ee7f54, "video_device_release_empty" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x4ff1a014, "driver_register" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc293701, "kmalloc_caches" },
	{ 0x38ee4522, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x7aa08be6, "vb2_ioctl_reqbufs" },
	{ 0xb92030a1, "vb2_queue_init" },
	{ 0x6f5e247b, "input_mt_assign_slots" },
	{ 0x2e9e417c, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x5333de2e, "devm_request_threaded_irq" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x1db9d641, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x7cef701f, "dev_set_name" },
	{ 0x77283e1f, "vb2_ioctl_expbuf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x54319e58, "input_mt_sync_frame" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xeb98e2, "irq_domain_remove" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x15d0a303, "vb2_ops_wait_finish" },
	{ 0x6f18a64c, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x376c40ca, "input_mt_report_slot_state" },
	{ 0x91d2cf10, "device_initialize" },
	{ 0xb3be421e, "devm_input_allocate_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xc7f2b47c, "vb2_ioctl_querybuf" },
	{ 0xcbb74bcc, "__serio_register_port" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x564605aa, "v4l2_fh_open" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x28304560, "dev_driver_string" },
	{ 0x82748971, "irq_domain_simple_ops" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0x72da9e44, "input_register_device" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x928faa67, "video_devdata" },
	{ 0xeef50b08, "irq_set_chip_and_handler_name" },
	{ 0xbc4df392, "put_device" },
	{ 0x218c467b, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videobuf2-common,videodev,videobuf2-vmalloc");


MODULE_INFO(srcversion, "2C66390F3CF074EA08DFE7A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
