#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mantis_get_mac, "_gpl", "");
KSYMTAB_FUNC(mantis_gpio_set_bits, "_gpl", "");
KSYMTAB_FUNC(mantis_stream_control, "_gpl", "");
KSYMTAB_FUNC(mantis_uart_init, "_gpl", "");
KSYMTAB_FUNC(mantis_uart_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_dma_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_dma_init, "_gpl", "");
KSYMTAB_FUNC(mantis_pci_init, "_gpl", "");
KSYMTAB_FUNC(mantis_pci_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_i2c_init, "_gpl", "");
KSYMTAB_FUNC(mantis_i2c_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_frontend_power, "_gpl", "");
KSYMTAB_FUNC(mantis_frontend_soft_reset, "_gpl", "");
KSYMTAB_FUNC(mantis_dvb_init, "_gpl", "");
KSYMTAB_FUNC(mantis_dvb_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_ca_init, "_gpl", "");
KSYMTAB_FUNC(mantis_ca_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_input_init, "_gpl", "");
KSYMTAB_FUNC(mantis_input_exit, "_gpl", "");

SYMBOL_CRC(mantis_get_mac, 0x642f4fa5, "_gpl");
SYMBOL_CRC(mantis_gpio_set_bits, 0x0f74e341, "_gpl");
SYMBOL_CRC(mantis_stream_control, 0x8b316381, "_gpl");
SYMBOL_CRC(mantis_uart_init, 0xcb65c9e7, "_gpl");
SYMBOL_CRC(mantis_uart_exit, 0x6a099132, "_gpl");
SYMBOL_CRC(mantis_dma_exit, 0xa3acec0d, "_gpl");
SYMBOL_CRC(mantis_dma_init, 0x9ce0e865, "_gpl");
SYMBOL_CRC(mantis_pci_init, 0x7084b0da, "_gpl");
SYMBOL_CRC(mantis_pci_exit, 0x0b01aab5, "_gpl");
SYMBOL_CRC(mantis_i2c_init, 0xe7256acb, "_gpl");
SYMBOL_CRC(mantis_i2c_exit, 0xd8696ea3, "_gpl");
SYMBOL_CRC(mantis_frontend_power, 0xed415cba, "_gpl");
SYMBOL_CRC(mantis_frontend_soft_reset, 0x7b08ea2a, "_gpl");
SYMBOL_CRC(mantis_dvb_init, 0xdf34bbd8, "_gpl");
SYMBOL_CRC(mantis_dvb_exit, 0xe078bfb0, "_gpl");
SYMBOL_CRC(mantis_ca_init, 0xbb28084b, "_gpl");
SYMBOL_CRC(mantis_ca_exit, 0x4957784f, "_gpl");
SYMBOL_CRC(mantis_input_init, 0x0b2ffe1c, "_gpl");
SYMBOL_CRC(mantis_input_exit, 0x30af734f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc36ad8b4, "dvb_register_adapter" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x63b52db3, "i2c_del_adapter" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x6a9f708a, "dvb_dmx_swfilter_204" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9263a063, "dvb_dmx_release" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x7ee59b11, "dvb_ca_en50221_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5ede9c84, "rc_register_device" },
	{ 0xe8450376, "dma_alloc_attrs" },
	{ 0xfa2ce992, "rc_keydown" },
	{ 0xfd5faeca, "dvb_net_init" },
	{ 0xde80cd09, "ioremap" },
	{ 0x8c54b0f8, "dvb_dmx_swfilter" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xbf045810, "dvb_dmxdev_release" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc315f5e4, "param_ops_short" },
	{ 0x1d087e91, "rc_free_device" },
	{ 0xf6e4fbc4, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x70c76c51, "dvb_frontend_detach" },
	{ 0xdb6f36fe, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x166d9992, "dma_set_coherent_mask" },
	{ 0x8d0d0225, "dvb_net_release" },
	{ 0xffb19ee3, "dvb_ca_en50221_camready_irq" },
	{ 0xd53e1311, "rc_allocate_device" },
	{ 0x164a4cec, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4b588d6e, "dvb_unregister_frontend" },
	{ 0x8d9bca75, "dvb_ca_en50221_camchange_irq" },
	{ 0xf558aa97, "i2c_transfer" },
	{ 0x314e6480, "pci_disable_device" },
	{ 0xa39f14df, "dvb_register_frontend" },
	{ 0xa3a30692, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xeb83f98, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x56bb903e, "dvb_unregister_adapter" },
	{ 0x54abe4ff, "dvb_dmx_init" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xf9a482f9, "msleep" },
	{ 0xab8b521b, "rc_unregister_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc293701, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x77052472, "dvb_dmxdev_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x70b46a6a, "pci_enable_device" },
	{ 0xa07ddfad, "dvb_ca_en50221_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xedc03953, "iounmap" },
	{ 0x39833619, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,rc-core");


MODULE_INFO(srcversion, "59E19B7E1F9F26E6B5CED32");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
