#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(go7007_read_interrupt, "", "");
KSYMTAB_FUNC(go7007_read_addr, "", "");
KSYMTAB_FUNC(go7007_boot_encoder, "", "");
KSYMTAB_FUNC(go7007_register_encoder, "", "");
KSYMTAB_FUNC(go7007_parse_video_stream, "", "");
KSYMTAB_FUNC(go7007_alloc, "", "");
KSYMTAB_FUNC(go7007_update_board, "", "");
KSYMTAB_FUNC(go7007_snd_init, "", "");
KSYMTAB_FUNC(go7007_snd_remove, "", "");

SYMBOL_CRC(go7007_read_interrupt, 0x0c4501c9, "");
SYMBOL_CRC(go7007_read_addr, 0xb06fc3ea, "");
SYMBOL_CRC(go7007_boot_encoder, 0x23072069, "");
SYMBOL_CRC(go7007_register_encoder, 0x58c84e9c, "");
SYMBOL_CRC(go7007_parse_video_stream, 0x30f3dadb, "");
SYMBOL_CRC(go7007_alloc, 0xa1fa1193, "");
SYMBOL_CRC(go7007_update_board, 0xa7b617c0, "");
SYMBOL_CRC(go7007_snd_init, 0x67027b43, "");
SYMBOL_CRC(go7007_snd_remove, 0x160f9fcc, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x44704548, "param_ops_charp" },
	{ 0x5adfe8b8, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x593f0945, "vb2_fop_read" },
	{ 0xbddfcdbb, "v4l2_device_register" },
	{ 0xdb6f36fe, "i2c_add_adapter" },
	{ 0x637a206d, "snd_card_disconnect" },
	{ 0xdd64e639, "strscpy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6e011942, "param_ops_bool" },
	{ 0x21dea64f, "__video_register_device" },
	{ 0x9f3cca0f, "vb2_ops_wait_prepare" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6b1778df, "vb2_ioctl_streamon" },
	{ 0x598df254, "vb2_fop_poll" },
	{ 0xdc27b599, "v4l2_ctrl_new_std" },
	{ 0x91d187a0, "v4l2_ctrl_g_ctrl" },
	{ 0x486e31d2, "v4l2_ctrl_handler_free" },
	{ 0x97c2ef3e, "v4l2_device_unregister" },
	{ 0xa248522f, "v4l2_subdev_call_wrappers" },
	{ 0x171558be, "snd_pcm_period_elapsed" },
	{ 0x2410af44, "v4l2_ctrl_log_status" },
	{ 0xa3a30692, "kmalloc_trace" },
	{ 0xb4e3c230, "v4l2_event_queue" },
	{ 0x65eafe86, "param_ops_int" },
	{ 0xa7ee7f54, "video_device_release_empty" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc90ba825, "v4l2_event_unsubscribe" },
	{ 0xc293701, "kmalloc_caches" },
	{ 0x7aa08be6, "vb2_ioctl_reqbufs" },
	{ 0xb92030a1, "vb2_queue_init" },
	{ 0x2e9e417c, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x4921a5c8, "v4l2_device_put" },
	{ 0x1db9d641, "vb2_ioctl_streamoff" },
	{ 0xb0e602eb, "memmove" },
	{ 0xe7918d0c, "snd_pcm_new" },
	{ 0x9c0e1b3f, "snd_card_register" },
	{ 0x453234b0, "v4l2_i2c_new_subdev_board" },
	{ 0xfbe72835, "snd_card_free" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6f18a64c, "request_firmware" },
	{ 0x15d0a303, "vb2_ops_wait_finish" },
	{ 0xf44d69c1, "v4l2_ctrl_handler_init_class" },
	{ 0x39833619, "param_array_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc7f2b47c, "vb2_ioctl_querybuf" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x564605aa, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x928faa67, "video_devdata" },
	{ 0x218c467b, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6bc945a6, "_dev_info" },
	{ 0x63b52db3, "i2c_del_adapter" },
	{ 0xa9c55ba6, "snd_card_new" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x48cc2c05, "__v4l2_ctrl_grab" },
	{ 0x7127003b, "vb2_ioctl_dqbuf" },
	{ 0x23969a38, "_dev_err" },
	{ 0x3780d9f5, "v4l2_ctrl_new_custom" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc5e4baa9, "snd_card_free_when_closed" },
	{ 0x4aae080, "vb2_buffer_done" },
	{ 0x3651303b, "vb2_plane_vaddr" },
	{ 0x413836dc, "v4l2_ctrl_subscribe_event" },
	{ 0x2fa62299, "snd_pcm_set_ops" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xdc2f6712, "v4l2_event_subscribe" },
	{ 0xbdaf1dcc, "vb2_ioctl_qbuf" },
	{ 0x631589dc, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xcdc8eb98, "snd_device_new" },
	{ 0x7846b181, "vb2_vmalloc_memops" },
	{ 0x8660e529, "snd_pcm_set_managed_buffer_all" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "videodev,videobuf2-v4l2,snd,snd-pcm,videobuf2-common,videobuf2-vmalloc");


MODULE_INFO(srcversion, "5401F8E2FDFB2DC1E3EDFAA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
