#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x449a028d, "usb_submit_urb" },
	{ 0x63b52db3, "i2c_del_adapter" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x23969a38, "_dev_err" },
	{ 0x8b923cf2, "usb_free_coherent" },
	{ 0xd18d312d, "v4l2_fh_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x891570a5, "usb_control_msg" },
	{ 0x413836dc, "v4l2_ctrl_subscribe_event" },
	{ 0x61d12e0f, "v4l2_fh_init" },
	{ 0xe02b9fe9, "video_unregister_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe9a482d, "i2c_new_client_device" },
	{ 0x39a0279, "usb_deregister" },
	{ 0x23f117be, "v4l2_device_disconnect" },
	{ 0x5adfe8b8, "v4l2_ctrl_new_std_menu" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xd034392d, "v4l2_match_dv_timings" },
	{ 0xbddfcdbb, "v4l2_device_register" },
	{ 0xdb6f36fe, "i2c_add_adapter" },
	{ 0xdd64e639, "strscpy" },
	{ 0xf25d8f3b, "v4l2_ctrl_activate" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6e011942, "param_ops_bool" },
	{ 0x21dea64f, "__video_register_device" },
	{ 0x5e84dd46, "usb_kill_urb" },
	{ 0xdc27b599, "v4l2_ctrl_new_std" },
	{ 0x486e31d2, "v4l2_ctrl_handler_free" },
	{ 0x97c2ef3e, "v4l2_device_unregister" },
	{ 0x2410af44, "v4l2_ctrl_log_status" },
	{ 0xa3a30692, "kmalloc_trace" },
	{ 0x65eafe86, "param_ops_int" },
	{ 0x9cecdc54, "v4l2_ctrl_cluster" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc90ba825, "v4l2_event_unsubscribe" },
	{ 0xc293701, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xfc7c58bd, "usb_alloc_urb" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x2d4f8b5e, "v4l2_ctrl_poll" },
	{ 0x2e9e417c, "video_ioctl2" },
	{ 0x6ebd66c5, "usb_free_urb" },
	{ 0x1a73ff62, "param_ops_uint" },
	{ 0xb19a5e0, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x94dd9399, "v4l2_fh_add" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x12b5f09d, "usb_register_driver" },
	{ 0xf44d69c1, "v4l2_ctrl_handler_init_class" },
	{ 0x39833619, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x7be48b09, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf4e3a4d5, "usb_put_dev" },
	{ 0xc32edf6c, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x928faa67, "video_devdata" },
	{ 0xa916b694, "strnlen" },
	{ 0xa464c636, "usb_get_dev" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "usbcore,videodev,v4l2-dv-timings");

MODULE_ALIAS("usb:v2040p4900d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040p4901d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040p4902d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040p4982d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040p4903d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "D86FD15374FD8D382AA54B6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
