#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(video_device_alloc, "", "");
KSYMTAB_FUNC(video_device_release, "", "");
KSYMTAB_FUNC(video_device_release_empty, "", "");
KSYMTAB_FUNC(video_devdata, "", "");
KSYMTAB_FUNC(v4l2_prio_init, "", "");
KSYMTAB_FUNC(v4l2_prio_change, "", "");
KSYMTAB_FUNC(v4l2_prio_open, "", "");
KSYMTAB_FUNC(v4l2_prio_close, "", "");
KSYMTAB_FUNC(v4l2_prio_max, "", "");
KSYMTAB_FUNC(v4l2_prio_check, "", "");
KSYMTAB_FUNC(__video_register_device, "", "");
KSYMTAB_FUNC(video_unregister_device, "", "");
KSYMTAB_FUNC(video_device_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__video_device_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(__video_device_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline, "_gpl", "");
KSYMTAB_FUNC(v4l2_norm_to_name, "", "");
KSYMTAB_FUNC(v4l2_video_std_frame_period, "", "");
KSYMTAB_FUNC(v4l2_video_std_construct, "", "");
KSYMTAB_DATA(v4l2_field_names, "", "");
KSYMTAB_DATA(v4l2_type_names, "", "");
KSYMTAB_FUNC(v4l_printk_ioctl, "", "");
KSYMTAB_FUNC(video_ioctl2, "", "");
KSYMTAB_FUNC(v4l2_device_register, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_put, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_set_name, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_disconnect, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_unregister, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_register_subdev, "_gpl", "");
KSYMTAB_FUNC(__v4l2_device_register_subdev_nodes, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_unregister_subdev, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_add, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_open, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_del, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_exit, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_release, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_is_singular, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_dequeue, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_queue, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_queue_fh, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_pending, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_wake_all, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_subscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_unsubscribe_all, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_unsubscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_subdev_unsubscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_src_change_event_subscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_src_change_event_subdev_subscribe, "_gpl", "");
KSYMTAB_DATA(v4l2_subdev_call_wrappers, "", "");
KSYMTAB_FUNC(v4l2_subdev_get_fwnode_pad_1_to_1, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_link_validate_default, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_link_validate, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_has_pad_interdep, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_alloc, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_free, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_init_finalize, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_cleanup, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_fmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_set_routing, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_next_active_route, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_set_routing_with_fmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_get_stream_format, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_get_stream_crop, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_get_stream_compose, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_routing_find_opposite_end, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_get_opposite_stream_format, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_xlate_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_routing_validate, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_enable_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_disable_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_s_stream_helper, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_init, "", "");
KSYMTAB_FUNC(v4l2_subdev_notify_event, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_privacy_led, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_put_privacy_led, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_query_fill, "", "");
KSYMTAB_FUNC(v4l_bound_align_image, "_gpl", "");
KSYMTAB_FUNC(__v4l2_find_nearest_size, "_gpl", "");
KSYMTAB_FUNC(v4l2_g_parm_cap, "_gpl", "");
KSYMTAB_FUNC(v4l2_s_parm_cap, "_gpl", "");
KSYMTAB_FUNC(v4l2_format_info, "", "");
KSYMTAB_FUNC(v4l2_apply_frmsize_constraints, "_gpl", "");
KSYMTAB_FUNC(v4l2_fill_pixfmt_mp, "_gpl", "");
KSYMTAB_FUNC(v4l2_fill_pixfmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_get_link_freq, "_gpl", "");
KSYMTAB_FUNC(v4l2_simplify_fraction, "_gpl", "");
KSYMTAB_FUNC(v4l2_fraction_to_interval, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_equal, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_init, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_log, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_validate, "", "");
KSYMTAB_FUNC(v4l2_ctrl_notify, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_init_class, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_free, "", "");
KSYMTAB_FUNC(v4l2_ctrl_find, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_custom, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_menu_items, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_compound, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_int_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_add_handler, "", "");
KSYMTAB_FUNC(v4l2_ctrl_radio_filter, "", "");
KSYMTAB_FUNC(v4l2_ctrl_cluster, "", "");
KSYMTAB_FUNC(v4l2_ctrl_auto_cluster, "", "");
KSYMTAB_FUNC(v4l2_ctrl_activate, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_grab, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_handler_setup, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_setup, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_fwnode_properties, "", "");
KSYMTAB_FUNC(v4l2_g_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_try_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_s_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_g_ctrl, "", "");
KSYMTAB_FUNC(v4l2_s_ctrl, "", "");
KSYMTAB_FUNC(v4l2_ctrl_g_ctrl, "", "");
KSYMTAB_FUNC(v4l2_ctrl_g_ctrl_int64, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_int64, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_string, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_compound, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_modify_range, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_modify_dimensions, "", "");
KSYMTAB_FUNC(v4l2_query_ext_ctrl, "", "");
KSYMTAB_FUNC(v4l2_queryctrl, "", "");
KSYMTAB_FUNC(v4l2_querymenu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subdev_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_replace, "", "");
KSYMTAB_FUNC(v4l2_ctrl_merge, "", "");
KSYMTAB_DATA(v4l2_ctrl_sub_ev_ops, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subscribe_event, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subdev_subscribe_event, "", "");
KSYMTAB_FUNC(v4l2_ctrl_poll, "", "");
KSYMTAB_FUNC(v4l2_ctrl_request_hdl_find, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_request_hdl_ctrl_find, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_request_complete, "", "");
KSYMTAB_FUNC(v4l2_ctrl_request_setup, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_int_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_name, "", "");
KSYMTAB_FUNC(v4l2_ctrl_fill, "", "");
KSYMTAB_FUNC(v4l2_compat_ioctl32, "_gpl", "");
KSYMTAB_FUNC(v4l2_mc_create_media_graph, "_gpl", "");
KSYMTAB_FUNC(v4l_enable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l_disable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l_vb2q_enable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l2_create_fwnode_links_to_pad, "_gpl", "");
KSYMTAB_FUNC(v4l2_create_fwnode_links, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_pm_get, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_pm_put, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_link_notify, "_gpl", "");
KSYMTAB_FUNC(v4l2_spi_subdev_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_spi_new_subdev, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_set_name, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_new_subdev_board, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_new_subdev, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_addr, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_tuner_addrs, "_gpl", "");

SYMBOL_CRC(video_device_alloc, 0x9d81b6f2, "");
SYMBOL_CRC(video_device_release, 0x10dba380, "");
SYMBOL_CRC(video_device_release_empty, 0xa7ee7f54, "");
SYMBOL_CRC(video_devdata, 0x928faa67, "");
SYMBOL_CRC(v4l2_prio_init, 0xb77b0159, "");
SYMBOL_CRC(v4l2_prio_change, 0x3bdd0f94, "");
SYMBOL_CRC(v4l2_prio_open, 0x2342f1ae, "");
SYMBOL_CRC(v4l2_prio_close, 0xcda04a5b, "");
SYMBOL_CRC(v4l2_prio_max, 0x8106095a, "");
SYMBOL_CRC(v4l2_prio_check, 0x16244fe5, "");
SYMBOL_CRC(__video_register_device, 0x21dea64f, "");
SYMBOL_CRC(video_unregister_device, 0xe02b9fe9, "");
SYMBOL_CRC(video_device_pipeline_start, 0x6a505b2c, "_gpl");
SYMBOL_CRC(__video_device_pipeline_start, 0xe2da5ba4, "_gpl");
SYMBOL_CRC(video_device_pipeline_stop, 0x5e6b6647, "_gpl");
SYMBOL_CRC(__video_device_pipeline_stop, 0xd416478d, "_gpl");
SYMBOL_CRC(video_device_pipeline_alloc_start, 0x44faa1a9, "_gpl");
SYMBOL_CRC(video_device_pipeline, 0x33e19717, "_gpl");
SYMBOL_CRC(v4l2_norm_to_name, 0xf3251e7b, "");
SYMBOL_CRC(v4l2_video_std_frame_period, 0x0614dd5a, "");
SYMBOL_CRC(v4l2_video_std_construct, 0xe2b92059, "");
SYMBOL_CRC(v4l2_field_names, 0x3adbd595, "");
SYMBOL_CRC(v4l2_type_names, 0x123959a1, "");
SYMBOL_CRC(v4l_printk_ioctl, 0xbc5671dc, "");
SYMBOL_CRC(video_ioctl2, 0x2e9e417c, "");
SYMBOL_CRC(v4l2_device_register, 0xbddfcdbb, "_gpl");
SYMBOL_CRC(v4l2_device_put, 0x4921a5c8, "_gpl");
SYMBOL_CRC(v4l2_device_set_name, 0x844dd01a, "_gpl");
SYMBOL_CRC(v4l2_device_disconnect, 0x23f117be, "_gpl");
SYMBOL_CRC(v4l2_device_unregister, 0x97c2ef3e, "_gpl");
SYMBOL_CRC(v4l2_device_register_subdev, 0x9f56c73d, "_gpl");
SYMBOL_CRC(__v4l2_device_register_subdev_nodes, 0xbc48c964, "_gpl");
SYMBOL_CRC(v4l2_device_unregister_subdev, 0x23b625dd, "_gpl");
SYMBOL_CRC(v4l2_fh_init, 0x61d12e0f, "_gpl");
SYMBOL_CRC(v4l2_fh_add, 0x94dd9399, "_gpl");
SYMBOL_CRC(v4l2_fh_open, 0x564605aa, "_gpl");
SYMBOL_CRC(v4l2_fh_del, 0x565025a5, "_gpl");
SYMBOL_CRC(v4l2_fh_exit, 0xd42be49f, "_gpl");
SYMBOL_CRC(v4l2_fh_release, 0xd18d312d, "_gpl");
SYMBOL_CRC(v4l2_fh_is_singular, 0x7b71bcee, "_gpl");
SYMBOL_CRC(v4l2_event_dequeue, 0x4196b048, "_gpl");
SYMBOL_CRC(v4l2_event_queue, 0xb4e3c230, "_gpl");
SYMBOL_CRC(v4l2_event_queue_fh, 0xb1969bd9, "_gpl");
SYMBOL_CRC(v4l2_event_pending, 0x1f48980d, "_gpl");
SYMBOL_CRC(v4l2_event_wake_all, 0x7e79907b, "_gpl");
SYMBOL_CRC(v4l2_event_subscribe, 0xdc2f6712, "_gpl");
SYMBOL_CRC(v4l2_event_unsubscribe_all, 0xd302ff70, "_gpl");
SYMBOL_CRC(v4l2_event_unsubscribe, 0xc90ba825, "_gpl");
SYMBOL_CRC(v4l2_event_subdev_unsubscribe, 0xdca15601, "_gpl");
SYMBOL_CRC(v4l2_src_change_event_subscribe, 0x337b3f59, "_gpl");
SYMBOL_CRC(v4l2_src_change_event_subdev_subscribe, 0x91e49443, "_gpl");
SYMBOL_CRC(v4l2_subdev_call_wrappers, 0xa248522f, "");
SYMBOL_CRC(v4l2_subdev_get_fwnode_pad_1_to_1, 0x078ce4b4, "_gpl");
SYMBOL_CRC(v4l2_subdev_link_validate_default, 0x2e1e7621, "_gpl");
SYMBOL_CRC(v4l2_subdev_link_validate, 0xf522f63d, "_gpl");
SYMBOL_CRC(v4l2_subdev_has_pad_interdep, 0x6880439a, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_alloc, 0x46929f00, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_free, 0xde6e37d9, "_gpl");
SYMBOL_CRC(__v4l2_subdev_init_finalize, 0xc9218e4c, "_gpl");
SYMBOL_CRC(v4l2_subdev_cleanup, 0xab0c3951, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_fmt, 0x9e3df768, "_gpl");
SYMBOL_CRC(v4l2_subdev_set_routing, 0x92d3a969, "_gpl");
SYMBOL_CRC(__v4l2_subdev_next_active_route, 0xae3dd8d6, "_gpl");
SYMBOL_CRC(v4l2_subdev_set_routing_with_fmt, 0xe036f28c, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_stream_format, 0xc86897a7, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_stream_crop, 0xed6c9ccf, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_stream_compose, 0xb5a337db, "_gpl");
SYMBOL_CRC(v4l2_subdev_routing_find_opposite_end, 0xcf754c8f, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_opposite_stream_format, 0x65d7839c, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_xlate_streams, 0x4894cd55, "_gpl");
SYMBOL_CRC(v4l2_subdev_routing_validate, 0xe7830f19, "_gpl");
SYMBOL_CRC(v4l2_subdev_enable_streams, 0x448a7e17, "_gpl");
SYMBOL_CRC(v4l2_subdev_disable_streams, 0xfe11dc35, "_gpl");
SYMBOL_CRC(v4l2_subdev_s_stream_helper, 0x33f8de20, "_gpl");
SYMBOL_CRC(v4l2_subdev_init, 0x2e9a18f9, "");
SYMBOL_CRC(v4l2_subdev_notify_event, 0x143884b2, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_privacy_led, 0x0278b9c2, "_gpl");
SYMBOL_CRC(v4l2_subdev_put_privacy_led, 0x2a652999, "_gpl");
SYMBOL_CRC(v4l2_ctrl_query_fill, 0x89e3897d, "");
SYMBOL_CRC(v4l_bound_align_image, 0xf5ef842e, "_gpl");
SYMBOL_CRC(__v4l2_find_nearest_size, 0xe2822320, "_gpl");
SYMBOL_CRC(v4l2_g_parm_cap, 0x4adc67ea, "_gpl");
SYMBOL_CRC(v4l2_s_parm_cap, 0xf1ce0ccf, "_gpl");
SYMBOL_CRC(v4l2_format_info, 0x35ff98bf, "");
SYMBOL_CRC(v4l2_apply_frmsize_constraints, 0x9fef35ac, "_gpl");
SYMBOL_CRC(v4l2_fill_pixfmt_mp, 0x6e9acc41, "_gpl");
SYMBOL_CRC(v4l2_fill_pixfmt, 0xcc501597, "_gpl");
SYMBOL_CRC(v4l2_get_link_freq, 0xc76d6d19, "_gpl");
SYMBOL_CRC(v4l2_simplify_fraction, 0xad5c3c93, "_gpl");
SYMBOL_CRC(v4l2_fraction_to_interval, 0x5074e573, "_gpl");
SYMBOL_CRC(v4l2_ctrl_type_op_equal, 0xb76933b0, "");
SYMBOL_CRC(v4l2_ctrl_type_op_init, 0x2d85aa42, "");
SYMBOL_CRC(v4l2_ctrl_type_op_log, 0x555da42c, "");
SYMBOL_CRC(v4l2_ctrl_type_op_validate, 0x38c37df2, "");
SYMBOL_CRC(v4l2_ctrl_notify, 0x3cd0610f, "");
SYMBOL_CRC(v4l2_ctrl_handler_init_class, 0xf44d69c1, "");
SYMBOL_CRC(v4l2_ctrl_handler_free, 0x486e31d2, "");
SYMBOL_CRC(v4l2_ctrl_find, 0x7c85ec10, "");
SYMBOL_CRC(v4l2_ctrl_new_custom, 0x3780d9f5, "");
SYMBOL_CRC(v4l2_ctrl_new_std, 0xdc27b599, "");
SYMBOL_CRC(v4l2_ctrl_new_std_menu, 0x5adfe8b8, "");
SYMBOL_CRC(v4l2_ctrl_new_std_menu_items, 0xb5e3d9dc, "");
SYMBOL_CRC(v4l2_ctrl_new_std_compound, 0x5f055bdd, "");
SYMBOL_CRC(v4l2_ctrl_new_int_menu, 0xd5686547, "");
SYMBOL_CRC(v4l2_ctrl_add_handler, 0x523e455c, "");
SYMBOL_CRC(v4l2_ctrl_radio_filter, 0x4d0e925b, "");
SYMBOL_CRC(v4l2_ctrl_cluster, 0x9cecdc54, "");
SYMBOL_CRC(v4l2_ctrl_auto_cluster, 0xdb16bda3, "");
SYMBOL_CRC(v4l2_ctrl_activate, 0xf25d8f3b, "");
SYMBOL_CRC(__v4l2_ctrl_grab, 0x48cc2c05, "");
SYMBOL_CRC(__v4l2_ctrl_handler_setup, 0xdbefa2c3, "_gpl");
SYMBOL_CRC(v4l2_ctrl_handler_setup, 0x7be48b09, "");
SYMBOL_CRC(v4l2_ctrl_handler_log_status, 0x53d091ce, "");
SYMBOL_CRC(v4l2_ctrl_new_fwnode_properties, 0x5bf64dab, "");
SYMBOL_CRC(v4l2_g_ext_ctrls, 0x16578a5f, "");
SYMBOL_CRC(v4l2_try_ext_ctrls, 0xcf10b749, "");
SYMBOL_CRC(v4l2_s_ext_ctrls, 0x80fc25ec, "");
SYMBOL_CRC(v4l2_g_ctrl, 0x6e705cb3, "");
SYMBOL_CRC(v4l2_s_ctrl, 0x21e1acc6, "");
SYMBOL_CRC(v4l2_ctrl_g_ctrl, 0x91d187a0, "");
SYMBOL_CRC(v4l2_ctrl_g_ctrl_int64, 0x2ba244d3, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl, 0x27ef851c, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_int64, 0x4d115616, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_string, 0x30b8d210, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_compound, 0xd0863824, "");
SYMBOL_CRC(__v4l2_ctrl_modify_range, 0xfdae19e9, "");
SYMBOL_CRC(__v4l2_ctrl_modify_dimensions, 0x2bcd69c6, "");
SYMBOL_CRC(v4l2_query_ext_ctrl, 0x619445bd, "");
SYMBOL_CRC(v4l2_queryctrl, 0xfa9794b1, "");
SYMBOL_CRC(v4l2_querymenu, 0xd41ec9bf, "");
SYMBOL_CRC(v4l2_ctrl_log_status, 0x2410af44, "");
SYMBOL_CRC(v4l2_ctrl_subdev_log_status, 0x9e00c39e, "");
SYMBOL_CRC(v4l2_ctrl_replace, 0xf50fecbc, "");
SYMBOL_CRC(v4l2_ctrl_merge, 0x082737e8, "");
SYMBOL_CRC(v4l2_ctrl_sub_ev_ops, 0x8b1834f8, "");
SYMBOL_CRC(v4l2_ctrl_subscribe_event, 0x413836dc, "");
SYMBOL_CRC(v4l2_ctrl_subdev_subscribe_event, 0x9c987b27, "");
SYMBOL_CRC(v4l2_ctrl_poll, 0x2d4f8b5e, "");
SYMBOL_CRC(v4l2_ctrl_request_hdl_find, 0xc83a3605, "_gpl");
SYMBOL_CRC(v4l2_ctrl_request_hdl_ctrl_find, 0x77c5aca0, "_gpl");
SYMBOL_CRC(v4l2_ctrl_request_complete, 0xe8c1e98b, "");
SYMBOL_CRC(v4l2_ctrl_request_setup, 0x61195926, "");
SYMBOL_CRC(v4l2_ctrl_get_menu, 0x315de2cf, "");
SYMBOL_CRC(v4l2_ctrl_get_int_menu, 0xd16d9c01, "");
SYMBOL_CRC(v4l2_ctrl_get_name, 0x32d43420, "");
SYMBOL_CRC(v4l2_ctrl_fill, 0x3b86cd9a, "");
SYMBOL_CRC(v4l2_compat_ioctl32, 0xcd90d3e0, "_gpl");
SYMBOL_CRC(v4l2_mc_create_media_graph, 0xc621e951, "_gpl");
SYMBOL_CRC(v4l_enable_media_source, 0x6b447ba9, "_gpl");
SYMBOL_CRC(v4l_disable_media_source, 0xc0ab23b1, "_gpl");
SYMBOL_CRC(v4l_vb2q_enable_media_source, 0x1c287ce2, "_gpl");
SYMBOL_CRC(v4l2_create_fwnode_links_to_pad, 0x861f2821, "_gpl");
SYMBOL_CRC(v4l2_create_fwnode_links, 0x31056782, "_gpl");
SYMBOL_CRC(v4l2_pipeline_pm_get, 0x57abb2de, "_gpl");
SYMBOL_CRC(v4l2_pipeline_pm_put, 0xaa52dc6d, "_gpl");
SYMBOL_CRC(v4l2_pipeline_link_notify, 0x37836c3f, "_gpl");
SYMBOL_CRC(v4l2_spi_subdev_init, 0x85c33455, "_gpl");
SYMBOL_CRC(v4l2_spi_new_subdev, 0x1adca104, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_buf_done, 0xfa44b4e2, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_buf_done, 0x5dd0f568, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_buf_done, 0x986e3ba3, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_buf_done, 0xa1893d14, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_buf_queue, 0x98f08b9f, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_buf_queue, 0xcab5feda, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_buf_queue, 0x9949d016, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_buf_queue, 0xc8dd867f, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_dqbuf, 0x4c914330, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_dqbuf, 0xba69caa1, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_dqbuf, 0x8a0393a0, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_dqbuf, 0xd541e31a, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_qbuf, 0xfaacee66, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_qbuf, 0x5aef42cb, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_qbuf, 0x64a5cc5c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_qbuf, 0x6d3d6bc6, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_set_name, 0xcdba0aab, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_init, 0x5638989f, "_gpl");
SYMBOL_CRC(v4l2_i2c_new_subdev_board, 0x453234b0, "_gpl");
SYMBOL_CRC(v4l2_i2c_new_subdev, 0x127b1029, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_addr, 0x9529838e, "_gpl");
SYMBOL_CRC(v4l2_i2c_tuner_addrs, 0xf2a353ac, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe9a482d, "i2c_new_client_device" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd6d3035d, "device_register" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x56cd3484, "media_pipeline_start" },
	{ 0x67c5e912, "media_pipeline_stop" },
	{ 0xfb578fc5, "memset" },
	{ 0x72eb7fac, "_dev_warn" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x47ba400d, "media_get_pad_index" },
	{ 0xdd64e639, "strscpy" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xfb66856d, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xa1fa57c0, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xb9e341b0, "led_set_brightness" },
	{ 0xef367699, "media_graph_walk_start" },
	{ 0xfdc0d322, "media_devnode_create" },
	{ 0x567c0d52, "dev_err_probe" },
	{ 0xcc8c69cd, "media_entity_get_fwnode_pad" },
	{ 0xa3a30692, "kmalloc_trace" },
	{ 0xf8d6f585, "fwnode_handle_put" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x5838b6b4, "media_device_unregister_entity" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xa09a99f8, "__media_pipeline_start" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x28f98545, "class_register" },
	{ 0xf7eb7539, "led_sysfs_disable" },
	{ 0x50f8b5f6, "media_entity_find_link" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x426ce456, "__dev_fwnode" },
	{ 0xbb494957, "pci_bus_type" },
	{ 0xc293701, "kmalloc_caches" },
	{ 0xfe7ec644, "cdev_del" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x353ad75a, "cdev_alloc" },
	{ 0x846b73ef, "media_devnode_remove" },
	{ 0xfcdcf5e8, "try_module_get" },
	{ 0xeebb68e2, "media_request_object_find" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x93e21cd5, "media_request_object_init" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x4d96e98a, "led_sysfs_enable" },
	{ 0x7cef701f, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x59fd31f7, "fwnode_graph_get_remote_endpoint" },
	{ 0x9c2f19c5, "trace_raw_output_prep" },
	{ 0xf00295b3, "spi_unregister_device" },
	{ 0x35b61713, "device_unregister" },
	{ 0x44c512df, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8b8f4c16, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x87baa9d9, "media_request_object_unbind" },
	{ 0xa6c78fdf, "led_put" },
	{ 0x7d3d7b38, "led_trigger_remove" },
	{ 0x82e32925, "fwnode_graph_get_next_endpoint" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xcd235d0b, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x23e420e4, "media_request_object_complete" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6efa9c3c, "pcpu_hot" },
	{ 0x3e6d0df5, "fwnode_graph_get_port_parent" },
	{ 0xc5799bdc, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x77f9fe8f, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5c7f79c4, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6ef7cab8, "media_create_intf_link" },
	{ 0x7b28e941, "media_create_pad_link" },
	{ 0x9e987a9e, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xeea41606, "device_match_fwnode" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1000e51, "schedule" },
	{ 0x65d632cc, "__media_pipeline_stop" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xbc4df392, "put_device" },
	{ 0x251dda7, "i2c_new_scanned_device" },
	{ 0x1516a906, "media_pad_pipeline" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xffeb8c73, "media_request_object_put" },
	{ 0xcca19224, "module_put" },
	{ 0xa569b305, "media_pipeline_alloc_start" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x3c604b86, "media_device_register_entity" },
	{ 0x2f3ad251, "media_request_get_by_fd" },
	{ 0xe63fd5ac, "cdev_add" },
	{ 0x17b6bd49, "led_get" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xd9f69ea4, "perf_trace_run_bpf_submit" },
	{ 0x23969a38, "_dev_err" },
	{ 0x466c17a0, "i2c_unregister_device" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xe4b6dd81, "media_request_put" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xba7f7a7f, "spi_new_device" },
	{ 0x8466d15f, "trace_event_reg" },
	{ 0xb1084883, "media_request_object_bind" },
	{ 0xb7066e5, "class_unregister" },
	{ 0x523dd132, "media_graph_walk_next" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "mc");


MODULE_INFO(srcversion, "E7B8F6024BA329DE371ED39");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
