#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mpt_fwfault_debug, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_get_num_paths, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg1, "", "");
KSYMTAB_FUNC(mpt_set_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_clear_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_halt_firmware, "", "");
KSYMTAB_FUNC(mpt_Soft_Hard_ResetHandler, "", "");
KSYMTAB_FUNC(mpt_attach, "", "");
KSYMTAB_FUNC(mpt_detach, "", "");
KSYMTAB_FUNC(mpt_resume, "", "");
KSYMTAB_FUNC(mpt_suspend, "", "");
KSYMTAB_DATA(ioc_list, "", "");
KSYMTAB_FUNC(mpt_register, "", "");
KSYMTAB_FUNC(mpt_deregister, "", "");
KSYMTAB_FUNC(mpt_event_register, "", "");
KSYMTAB_FUNC(mpt_event_deregister, "", "");
KSYMTAB_FUNC(mpt_reset_register, "", "");
KSYMTAB_FUNC(mpt_reset_deregister, "", "");
KSYMTAB_FUNC(mpt_device_driver_register, "", "");
KSYMTAB_FUNC(mpt_device_driver_deregister, "", "");
KSYMTAB_FUNC(mpt_get_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame_hi_pri, "", "");
KSYMTAB_FUNC(mpt_free_msg_frame, "", "");
KSYMTAB_FUNC(mpt_send_handshake_request, "", "");
KSYMTAB_FUNC(mpt_verify_adapter, "", "");
KSYMTAB_FUNC(mpt_GetIocState, "", "");
KSYMTAB_FUNC(mpt_print_ioc_summary, "", "");
KSYMTAB_FUNC(mpt_HardResetHandler, "", "");
KSYMTAB_FUNC(mpt_config, "", "");
KSYMTAB_FUNC(mpt_findImVolumes, "", "");
KSYMTAB_FUNC(mpt_alloc_fw_memory, "", "");
KSYMTAB_FUNC(mpt_free_fw_memory, "", "");
KSYMTAB_FUNC(mptbase_sas_persist_operation, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg0, "", "");

SYMBOL_CRC(mpt_fwfault_debug, 0x502108d0, "");
SYMBOL_CRC(mpt_raid_phys_disk_get_num_paths, 0x25451c0d, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg1, 0x791a048b, "");
SYMBOL_CRC(mpt_set_taskmgmt_in_progress_flag, 0x4c31dd3f, "");
SYMBOL_CRC(mpt_clear_taskmgmt_in_progress_flag, 0xaf1f9b0e, "");
SYMBOL_CRC(mpt_halt_firmware, 0x0a383b4d, "");
SYMBOL_CRC(mpt_Soft_Hard_ResetHandler, 0xa838ba8d, "");
SYMBOL_CRC(mpt_attach, 0xea231259, "");
SYMBOL_CRC(mpt_detach, 0x7dc782a2, "");
SYMBOL_CRC(mpt_resume, 0x1c4e1ef1, "");
SYMBOL_CRC(mpt_suspend, 0x2ab337cc, "");
SYMBOL_CRC(ioc_list, 0xdd805159, "");
SYMBOL_CRC(mpt_register, 0x65d6744d, "");
SYMBOL_CRC(mpt_deregister, 0x981efe92, "");
SYMBOL_CRC(mpt_event_register, 0x07eb5fd4, "");
SYMBOL_CRC(mpt_event_deregister, 0xe6c1e126, "");
SYMBOL_CRC(mpt_reset_register, 0xf0e51152, "");
SYMBOL_CRC(mpt_reset_deregister, 0x610b257e, "");
SYMBOL_CRC(mpt_device_driver_register, 0xe094c50f, "");
SYMBOL_CRC(mpt_device_driver_deregister, 0x74a0134a, "");
SYMBOL_CRC(mpt_get_msg_frame, 0xf3f54b8d, "");
SYMBOL_CRC(mpt_put_msg_frame, 0x88f1bdcc, "");
SYMBOL_CRC(mpt_put_msg_frame_hi_pri, 0x10cd859c, "");
SYMBOL_CRC(mpt_free_msg_frame, 0xa6b4b9c6, "");
SYMBOL_CRC(mpt_send_handshake_request, 0x2202183d, "");
SYMBOL_CRC(mpt_verify_adapter, 0xbf885099, "");
SYMBOL_CRC(mpt_GetIocState, 0xe8127683, "");
SYMBOL_CRC(mpt_print_ioc_summary, 0xba9d2fd6, "");
SYMBOL_CRC(mpt_HardResetHandler, 0x3d69c4a8, "");
SYMBOL_CRC(mpt_config, 0x07ec5826, "");
SYMBOL_CRC(mpt_findImVolumes, 0x9bf3c7d4, "");
SYMBOL_CRC(mpt_alloc_fw_memory, 0x6cc3dcac, "");
SYMBOL_CRC(mpt_free_fw_memory, 0x57d266a2, "");
SYMBOL_CRC(mptbase_sas_persist_operation, 0x2526e5dd, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg0, 0xbe15d14c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x122c3a7e, "_printk" },
	{ 0x36fdccdb, "seq_printf" },
	{ 0xc3831f45, "pci_stop_and_remove_bus_device_locked" },
	{ 0xe8450376, "dma_alloc_attrs" },
	{ 0x164a4cec, "dma_free_attrs" },
	{ 0x8535732d, "pci_select_bars" },
	{ 0x1685bab7, "pci_enable_device_mem" },
	{ 0x6a8d1d1a, "pci_request_selected_regions" },
	{ 0xbde3b329, "dma_get_required_mask" },
	{ 0xc03a5ae, "dma_set_mask" },
	{ 0x9e8afb3, "pci_release_selected_regions" },
	{ 0x314e6480, "pci_disable_device" },
	{ 0x166d9992, "dma_set_coherent_mask" },
	{ 0xde80cd09, "ioremap" },
	{ 0xfb578fc5, "memset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xfdc4f6ba, "remove_proc_entry" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x37a0cba, "kfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf1e046cc, "panic" },
	{ 0xb4ccddc9, "param_set_int" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xe14f1f40, "seq_putc" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdbd5c97, "proc_mkdir" },
	{ 0x40118da7, "proc_create_single_data" },
	{ 0x5026f453, "pci_choose_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x7f8a8426, "pci_save_state" },
	{ 0xbb4d5627, "pci_set_power_state" },
	{ 0x3faafb5, "pci_disable_msi" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe7053f91, "pci_read_config_word" },
	{ 0xe726a53f, "pci_write_config_word" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xedc03953, "iounmap" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xf6e4fbc4, "pci_set_master" },
	{ 0x70b46a6a, "pci_enable_device" },
	{ 0x3b073961, "pci_enable_msi" },
	{ 0xc293701, "kmalloc_caches" },
	{ 0xa3a30692, "kmalloc_trace" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x92a042f4, "kthread_create_on_node" },
	{ 0x633ac09a, "wake_up_process" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xeb83f98, "pci_read_config_byte" },
	{ 0xc51b95dd, "pci_write_config_byte" },
	{ 0xcebab74c, "pci_get_slot" },
	{ 0xededc6e4, "pci_dev_put" },
	{ 0x1f371a84, "pci_enable_wake" },
	{ 0x75b7d578, "pci_restore_state" },
	{ 0x65eafe86, "param_ops_int" },
	{ 0x61ce1b93, "param_get_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "62D9AFFB0F808AD664CEA05");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
