#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mmc_command_done, "", "");
KSYMTAB_FUNC(mmc_request_done, "", "");
KSYMTAB_FUNC(mmc_start_request, "", "");
KSYMTAB_FUNC(mmc_wait_for_req_done, "", "");
KSYMTAB_FUNC(mmc_cqe_start_req, "", "");
KSYMTAB_FUNC(mmc_cqe_request_done, "", "");
KSYMTAB_FUNC(mmc_cqe_post_req, "", "");
KSYMTAB_FUNC(mmc_cqe_recovery, "", "");
KSYMTAB_FUNC(mmc_is_req_done, "", "");
KSYMTAB_FUNC(mmc_wait_for_req, "", "");
KSYMTAB_FUNC(mmc_wait_for_cmd, "", "");
KSYMTAB_FUNC(mmc_set_data_timeout, "", "");
KSYMTAB_FUNC(__mmc_claim_host, "", "");
KSYMTAB_FUNC(mmc_release_host, "", "");
KSYMTAB_FUNC(mmc_get_card, "", "");
KSYMTAB_FUNC(mmc_put_card, "", "");
KSYMTAB_FUNC(mmc_detect_change, "", "");
KSYMTAB_FUNC(mmc_erase, "", "");
KSYMTAB_FUNC(mmc_can_erase, "", "");
KSYMTAB_FUNC(mmc_can_trim, "", "");
KSYMTAB_FUNC(mmc_can_discard, "", "");
KSYMTAB_FUNC(mmc_can_secure_erase_trim, "", "");
KSYMTAB_FUNC(mmc_erase_group_aligned, "", "");
KSYMTAB_FUNC(mmc_calc_max_discard, "", "");
KSYMTAB_FUNC(mmc_card_is_blockaddr, "", "");
KSYMTAB_FUNC(mmc_set_blocklen, "", "");
KSYMTAB_FUNC(mmc_hw_reset, "", "");
KSYMTAB_FUNC(mmc_sw_reset, "", "");
KSYMTAB_FUNC(mmc_detect_card_removed, "", "");
KSYMTAB_FUNC(mmc_card_alternative_gpt_sector, "", "");
KSYMTAB_FUNC(mmc_register_driver, "", "");
KSYMTAB_FUNC(mmc_unregister_driver, "", "");
KSYMTAB_FUNC(mmc_retune_pause, "", "");
KSYMTAB_FUNC(mmc_retune_unpause, "", "");
KSYMTAB_FUNC(mmc_retune_timer_stop, "", "");
KSYMTAB_FUNC(mmc_retune_release, "", "");
KSYMTAB_FUNC(mmc_of_parse_clk_phase, "", "");
KSYMTAB_FUNC(mmc_of_parse, "", "");
KSYMTAB_FUNC(mmc_of_parse_voltage, "", "");
KSYMTAB_FUNC(mmc_alloc_host, "", "");
KSYMTAB_FUNC(devm_mmc_alloc_host, "", "");
KSYMTAB_FUNC(mmc_add_host, "", "");
KSYMTAB_FUNC(mmc_remove_host, "", "");
KSYMTAB_FUNC(mmc_free_host, "", "");
KSYMTAB_FUNC(__mmc_send_status, "_gpl", "");
KSYMTAB_FUNC(mmc_send_status, "_gpl", "");
KSYMTAB_FUNC(mmc_get_ext_csd, "_gpl", "");
KSYMTAB_FUNC(__mmc_poll_for_busy, "_gpl", "");
KSYMTAB_FUNC(mmc_poll_for_busy, "_gpl", "");
KSYMTAB_FUNC(mmc_prepare_busy_cmd, "_gpl", "");
KSYMTAB_FUNC(mmc_switch, "_gpl", "");
KSYMTAB_FUNC(mmc_send_tuning, "_gpl", "");
KSYMTAB_FUNC(mmc_send_abort_tuning, "_gpl", "");
KSYMTAB_FUNC(mmc_run_bkops, "", "");
KSYMTAB_FUNC(mmc_cmdq_enable, "_gpl", "");
KSYMTAB_FUNC(mmc_cmdq_disable, "_gpl", "");
KSYMTAB_FUNC(mmc_sanitize, "_gpl", "");
KSYMTAB_FUNC(mmc_app_cmd, "_gpl", "");
KSYMTAB_FUNC(mmc_sd_switch, "_gpl", "");
KSYMTAB_FUNC(sdio_register_driver, "_gpl", "");
KSYMTAB_FUNC(sdio_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(sdio_claim_host, "_gpl", "");
KSYMTAB_FUNC(sdio_release_host, "_gpl", "");
KSYMTAB_FUNC(sdio_enable_func, "_gpl", "");
KSYMTAB_FUNC(sdio_disable_func, "_gpl", "");
KSYMTAB_FUNC(sdio_set_block_size, "_gpl", "");
KSYMTAB_FUNC(sdio_align_size, "_gpl", "");
KSYMTAB_FUNC(sdio_readb, "_gpl", "");
KSYMTAB_FUNC(sdio_writeb, "_gpl", "");
KSYMTAB_FUNC(sdio_writeb_readb, "_gpl", "");
KSYMTAB_FUNC(sdio_memcpy_fromio, "_gpl", "");
KSYMTAB_FUNC(sdio_memcpy_toio, "_gpl", "");
KSYMTAB_FUNC(sdio_readsb, "_gpl", "");
KSYMTAB_FUNC(sdio_writesb, "_gpl", "");
KSYMTAB_FUNC(sdio_readw, "_gpl", "");
KSYMTAB_FUNC(sdio_writew, "_gpl", "");
KSYMTAB_FUNC(sdio_readl, "_gpl", "");
KSYMTAB_FUNC(sdio_writel, "_gpl", "");
KSYMTAB_FUNC(sdio_f0_readb, "_gpl", "");
KSYMTAB_FUNC(sdio_f0_writeb, "_gpl", "");
KSYMTAB_FUNC(sdio_get_host_pm_caps, "_gpl", "");
KSYMTAB_FUNC(sdio_set_host_pm_flags, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_crc_disable, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_crc_enable, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_hold_now, "_gpl", "");
KSYMTAB_FUNC(sdio_retune_release, "_gpl", "");
KSYMTAB_FUNC(sdio_signal_irq, "_gpl", "");
KSYMTAB_FUNC(sdio_claim_irq, "_gpl", "");
KSYMTAB_FUNC(sdio_release_irq, "_gpl", "");
KSYMTAB_FUNC(mmc_gpio_set_cd_irq, "", "");
KSYMTAB_FUNC(mmc_gpio_get_ro, "", "");
KSYMTAB_FUNC(mmc_gpio_get_cd, "", "");
KSYMTAB_FUNC(mmc_gpiod_request_cd_irq, "", "");
KSYMTAB_FUNC(mmc_gpio_set_cd_wake, "", "");
KSYMTAB_FUNC(mmc_gpio_set_cd_isr, "", "");
KSYMTAB_FUNC(mmc_gpiod_request_cd, "", "");
KSYMTAB_FUNC(mmc_gpiod_set_cd_config, "", "");
KSYMTAB_FUNC(mmc_can_gpio_cd, "", "");
KSYMTAB_FUNC(mmc_gpiod_request_ro, "", "");
KSYMTAB_FUNC(mmc_can_gpio_ro, "", "");
KSYMTAB_FUNC(mmc_regulator_set_ocr, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_set_vqmmc, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_get_supply, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_enable_vqmmc, "_gpl", "");
KSYMTAB_FUNC(mmc_regulator_disable_vqmmc, "_gpl", "");
KSYMTAB_FUNC(mmc_crypto_setup_queue, "_gpl", "");
KSYMTAB_FUNC(mmc_crypto_prepare_req, "_gpl", "");

SYMBOL_CRC(mmc_command_done, 0xf5c0568e, "");
SYMBOL_CRC(mmc_request_done, 0xab8f0fef, "");
SYMBOL_CRC(mmc_start_request, 0x7fa0ce4c, "");
SYMBOL_CRC(mmc_wait_for_req_done, 0x2acec917, "");
SYMBOL_CRC(mmc_cqe_start_req, 0xcf85b23a, "");
SYMBOL_CRC(mmc_cqe_request_done, 0x9dd62c02, "");
SYMBOL_CRC(mmc_cqe_post_req, 0x64760dee, "");
SYMBOL_CRC(mmc_cqe_recovery, 0xcd233bb6, "");
SYMBOL_CRC(mmc_is_req_done, 0x3dd9cf89, "");
SYMBOL_CRC(mmc_wait_for_req, 0xac82f6e8, "");
SYMBOL_CRC(mmc_wait_for_cmd, 0x7e635923, "");
SYMBOL_CRC(mmc_set_data_timeout, 0x14620637, "");
SYMBOL_CRC(__mmc_claim_host, 0x6eb9f3cf, "");
SYMBOL_CRC(mmc_release_host, 0x034f2725, "");
SYMBOL_CRC(mmc_get_card, 0xae02decf, "");
SYMBOL_CRC(mmc_put_card, 0xdae46bbc, "");
SYMBOL_CRC(mmc_detect_change, 0xcb0763f8, "");
SYMBOL_CRC(mmc_erase, 0xafddd899, "");
SYMBOL_CRC(mmc_can_erase, 0xe484cc88, "");
SYMBOL_CRC(mmc_can_trim, 0x0b1e163d, "");
SYMBOL_CRC(mmc_can_discard, 0x776711d4, "");
SYMBOL_CRC(mmc_can_secure_erase_trim, 0xfc63b186, "");
SYMBOL_CRC(mmc_erase_group_aligned, 0x292dedc6, "");
SYMBOL_CRC(mmc_calc_max_discard, 0xa8ed1e3e, "");
SYMBOL_CRC(mmc_card_is_blockaddr, 0xfed285d6, "");
SYMBOL_CRC(mmc_set_blocklen, 0x1249af0a, "");
SYMBOL_CRC(mmc_hw_reset, 0x8bc26678, "");
SYMBOL_CRC(mmc_sw_reset, 0x5258e48f, "");
SYMBOL_CRC(mmc_detect_card_removed, 0xfc624dff, "");
SYMBOL_CRC(mmc_card_alternative_gpt_sector, 0x9d62fb7c, "");
SYMBOL_CRC(mmc_register_driver, 0x43f0854d, "");
SYMBOL_CRC(mmc_unregister_driver, 0xef868392, "");
SYMBOL_CRC(mmc_retune_pause, 0x7adecf12, "");
SYMBOL_CRC(mmc_retune_unpause, 0x2a43bc60, "");
SYMBOL_CRC(mmc_retune_timer_stop, 0x18427a6d, "");
SYMBOL_CRC(mmc_retune_release, 0x9b63ddef, "");
SYMBOL_CRC(mmc_of_parse_clk_phase, 0xfe078101, "");
SYMBOL_CRC(mmc_of_parse, 0x3ffc1791, "");
SYMBOL_CRC(mmc_of_parse_voltage, 0xefff729a, "");
SYMBOL_CRC(mmc_alloc_host, 0x331b7008, "");
SYMBOL_CRC(devm_mmc_alloc_host, 0x0142b6b6, "");
SYMBOL_CRC(mmc_add_host, 0xb62fddec, "");
SYMBOL_CRC(mmc_remove_host, 0x64c1a4cf, "");
SYMBOL_CRC(mmc_free_host, 0xff515031, "");
SYMBOL_CRC(__mmc_send_status, 0xece81a37, "_gpl");
SYMBOL_CRC(mmc_send_status, 0x11c61808, "_gpl");
SYMBOL_CRC(mmc_get_ext_csd, 0x45d55b8e, "_gpl");
SYMBOL_CRC(__mmc_poll_for_busy, 0x11abeda6, "_gpl");
SYMBOL_CRC(mmc_poll_for_busy, 0x734eb868, "_gpl");
SYMBOL_CRC(mmc_prepare_busy_cmd, 0x0e72993d, "_gpl");
SYMBOL_CRC(mmc_switch, 0x5ebd9bb7, "_gpl");
SYMBOL_CRC(mmc_send_tuning, 0x23adc481, "_gpl");
SYMBOL_CRC(mmc_send_abort_tuning, 0xae1a3eeb, "_gpl");
SYMBOL_CRC(mmc_run_bkops, 0xbd3dccd7, "");
SYMBOL_CRC(mmc_cmdq_enable, 0xd0871b96, "_gpl");
SYMBOL_CRC(mmc_cmdq_disable, 0x2e52a7ed, "_gpl");
SYMBOL_CRC(mmc_sanitize, 0x62167069, "_gpl");
SYMBOL_CRC(mmc_app_cmd, 0xf37647ac, "_gpl");
SYMBOL_CRC(mmc_sd_switch, 0x739e8aec, "_gpl");
SYMBOL_CRC(sdio_register_driver, 0xa2b66aab, "_gpl");
SYMBOL_CRC(sdio_unregister_driver, 0x02b755fb, "_gpl");
SYMBOL_CRC(sdio_claim_host, 0xce96fdc8, "_gpl");
SYMBOL_CRC(sdio_release_host, 0xe722ba6c, "_gpl");
SYMBOL_CRC(sdio_enable_func, 0x84b333bf, "_gpl");
SYMBOL_CRC(sdio_disable_func, 0xd64297f4, "_gpl");
SYMBOL_CRC(sdio_set_block_size, 0x2b832ddc, "_gpl");
SYMBOL_CRC(sdio_align_size, 0x81bc1ac5, "_gpl");
SYMBOL_CRC(sdio_readb, 0xf258dae2, "_gpl");
SYMBOL_CRC(sdio_writeb, 0x983bbbf9, "_gpl");
SYMBOL_CRC(sdio_writeb_readb, 0x91fa6c34, "_gpl");
SYMBOL_CRC(sdio_memcpy_fromio, 0x8d410fc9, "_gpl");
SYMBOL_CRC(sdio_memcpy_toio, 0x47d31f1b, "_gpl");
SYMBOL_CRC(sdio_readsb, 0x69964920, "_gpl");
SYMBOL_CRC(sdio_writesb, 0xa13ffe31, "_gpl");
SYMBOL_CRC(sdio_readw, 0xe7380bb6, "_gpl");
SYMBOL_CRC(sdio_writew, 0x9e49c89b, "_gpl");
SYMBOL_CRC(sdio_readl, 0x95c38fea, "_gpl");
SYMBOL_CRC(sdio_writel, 0x3e0cdf2d, "_gpl");
SYMBOL_CRC(sdio_f0_readb, 0x17fe92f5, "_gpl");
SYMBOL_CRC(sdio_f0_writeb, 0x1ea7bbcb, "_gpl");
SYMBOL_CRC(sdio_get_host_pm_caps, 0x3cf9a5a9, "_gpl");
SYMBOL_CRC(sdio_set_host_pm_flags, 0xdbcd3554, "_gpl");
SYMBOL_CRC(sdio_retune_crc_disable, 0xcd70e8ea, "_gpl");
SYMBOL_CRC(sdio_retune_crc_enable, 0xdfd92351, "_gpl");
SYMBOL_CRC(sdio_retune_hold_now, 0xb23eea15, "_gpl");
SYMBOL_CRC(sdio_retune_release, 0xfa8c73ba, "_gpl");
SYMBOL_CRC(sdio_signal_irq, 0xd8919b30, "_gpl");
SYMBOL_CRC(sdio_claim_irq, 0x4f6020ed, "_gpl");
SYMBOL_CRC(sdio_release_irq, 0x4a1bbdb6, "_gpl");
SYMBOL_CRC(mmc_gpio_set_cd_irq, 0x0d2be9bd, "");
SYMBOL_CRC(mmc_gpio_get_ro, 0xf39c7d3d, "");
SYMBOL_CRC(mmc_gpio_get_cd, 0xa19d1113, "");
SYMBOL_CRC(mmc_gpiod_request_cd_irq, 0x19fcdaee, "");
SYMBOL_CRC(mmc_gpio_set_cd_wake, 0x674fa552, "");
SYMBOL_CRC(mmc_gpio_set_cd_isr, 0xb5fbeb0b, "");
SYMBOL_CRC(mmc_gpiod_request_cd, 0x8a8bb711, "");
SYMBOL_CRC(mmc_gpiod_set_cd_config, 0x1945dd52, "");
SYMBOL_CRC(mmc_can_gpio_cd, 0x30c2da91, "");
SYMBOL_CRC(mmc_gpiod_request_ro, 0xc4344e87, "");
SYMBOL_CRC(mmc_can_gpio_ro, 0xaaa0c5c5, "");
SYMBOL_CRC(mmc_regulator_set_ocr, 0x366aa252, "_gpl");
SYMBOL_CRC(mmc_regulator_set_vqmmc, 0x9e6a819b, "_gpl");
SYMBOL_CRC(mmc_regulator_get_supply, 0xf374f008, "_gpl");
SYMBOL_CRC(mmc_regulator_enable_vqmmc, 0x1a9f60ab, "_gpl");
SYMBOL_CRC(mmc_regulator_disable_vqmmc, 0x390a518b, "_gpl");
SYMBOL_CRC(mmc_crypto_setup_queue, 0x5a232cff, "_gpl");
SYMBOL_CRC(mmc_crypto_prepare_req, 0xf176d912, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xba0cd106, "device_add" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0xe17324af, "simple_attr_release" },
	{ 0x3c7b4ce4, "wakeup_source_unregister" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xaa3de9db, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xab6b91eb, "__devres_alloc_node" },
	{ 0x8466d15f, "trace_event_reg" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xffb7c514, "ida_free" },
	{ 0xb03f4b43, "driver_unregister" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x79ce9f71, "devm_gpiod_get_index" },
	{ 0xb7066e5, "class_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x256d228, "kthread_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x79c58e9, "device_del" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x72eb7fac, "_dev_warn" },
	{ 0xf80864c4, "regulator_count_voltages" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xdcea16ef, "regulator_list_voltage" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xfe4475ac, "regulator_is_supported_voltage" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x92a042f4, "kthread_create_on_node" },
	{ 0x41ac879f, "devm_kasprintf" },
	{ 0x36a40d72, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x35012327, "gpiod_cansleep" },
	{ 0x7dfb3e5e, "debugfs_create_file" },
	{ 0x24e72065, "gpiod_is_active_low" },
	{ 0xfb66856d, "trace_event_buffer_reserve" },
	{ 0x952a13ed, "__pm_runtime_resume" },
	{ 0xa05fc21d, "debugfs_create_x32" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6e011942, "param_ops_bool" },
	{ 0xe93e49c3, "devres_free" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x36fdccdb, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x4b6b9976, "single_release" },
	{ 0x67146bad, "regulator_disable" },
	{ 0xa3a30692, "kmalloc_trace" },
	{ 0x962540c3, "__pm_runtime_suspend" },
	{ 0xa8e1657e, "set_primary_fwnode" },
	{ 0x19c124b3, "led_trigger_event" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x86cb7f61, "single_open" },
	{ 0xa2a3b0e9, "gpiod_set_consumer_name" },
	{ 0x2d96cf1f, "__pm_runtime_disable" },
	{ 0xfd7674cc, "debugfs_create_dir" },
	{ 0x725d5df6, "regulator_set_voltage" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x4ff1a014, "driver_register" },
	{ 0x28f98545, "class_register" },
	{ 0x525846b8, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x426ce456, "__dev_fwnode" },
	{ 0xc293701, "kmalloc_caches" },
	{ 0x38ee4522, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x7b75dbda, "gpiod_get_value_cansleep" },
	{ 0xe914e41e, "strcpy" },
	{ 0xb575625b, "regulator_enable" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x5b01b6eb, "device_property_present" },
	{ 0x72c0cd29, "blk_crypto_reprogram_all_keys" },
	{ 0x86c1238d, "wakeup_source_register" },
	{ 0x2f2c695d, "is_acpi_device_node" },
	{ 0xd2a7a45, "simple_attr_open" },
	{ 0x5ba9c87f, "blk_crypto_keyslot_index" },
	{ 0x5333de2e, "devm_request_threaded_irq" },
	{ 0xdbd9fdd4, "debugfs_attr_write" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x7cef701f, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9c2f19c5, "trace_raw_output_prep" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x44c512df, "__trace_trigger_soft_disabled" },
	{ 0x8b8f4c16, "trace_event_printf" },
	{ 0xf6b6f9f2, "led_trigger_register_simple" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x91d2cf10, "device_initialize" },
	{ 0xcd235d0b, "trace_event_raw_init" },
	{ 0x1179662b, "gpiod_to_irq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x6efa9c3c, "pcpu_hot" },
	{ 0x72f56a76, "seq_lseek" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xc7277570, "gpiod_toggle_active_low" },
	{ 0x7f7a441a, "dev_pm_domain_attach" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc5799bdc, "bpf_trace_run2" },
	{ 0x3dc35ca1, "gpiod_get_value" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x3069ba30, "led_trigger_unregister_simple" },
	{ 0xe2964344, "__wake_up" },
	{ 0x77f9fe8f, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5c7f79c4, "__dynamic_dev_dbg" },
	{ 0xd3258046, "sched_set_fifo_low" },
	{ 0xafb10446, "devres_add" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9e7b5b78, "devm_regulator_get_optional" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x633ac09a, "wake_up_process" },
	{ 0x9e987a9e, "trace_event_buffer_commit" },
	{ 0xae5d962a, "pm_generic_runtime_resume" },
	{ 0xd49d9de9, "pm_generic_resume" },
	{ 0x35a471ce, "regulator_get_voltage" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x98583477, "__pm_runtime_set_status" },
	{ 0x3ff4724, "pm_wakeup_ws_event" },
	{ 0x7d5fcfbb, "gpiod_set_config" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x122c3a7e, "_printk" },
	{ 0x524c11dc, "blk_crypto_register" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xb8bd4acf, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xbc4df392, "put_device" },
	{ 0x2b92d5db, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0xe636a73f, "device_property_read_u32_array" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6bc945a6, "_dev_info" },
	{ 0xec2350f3, "gpiod_set_debounce" },
	{ 0x2ca7b788, "dev_pm_domain_detach" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x90130979, "pm_generic_runtime_suspend" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x92045a78, "pm_generic_suspend" },
	{ 0xc18a451, "debugfs_attr_read" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xd9f69ea4, "perf_trace_run_bpf_submit" },
	{ 0xc19bcfc2, "bus_unregister" },
	{ 0x23969a38, "_dev_err" },
	{ 0x1508df5f, "debugfs_create_file_unsafe" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "56B5AE169D7F44182EC9F17");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
