#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x60ba97c, "gen_pool_free_owner" },
	{ 0x6c224cda, "gen_pool_destroy" },
	{ 0x7ceded15, "virtqueue_get_vring_size" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xe8450376, "dma_alloc_attrs" },
	{ 0xbd1e2041, "netdev_info" },
	{ 0xced0f4d4, "gen_pool_create" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbefa51a3, "gen_pool_add_owner" },
	{ 0xa6dcba0a, "__dynamic_netdev_dbg" },
	{ 0x2b593aa8, "gen_pool_alloc_algo_owner" },
	{ 0x14438698, "netif_carrier_on" },
	{ 0x1e67c3a1, "napi_enable" },
	{ 0xaf4c05ae, "napi_schedule_prep" },
	{ 0x3286d9ad, "__napi_schedule" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x79ef9b23, "unregister_virtio_driver" },
	{ 0xb56582fc, "__netdev_alloc_skb" },
	{ 0x57b55d65, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0xe02381df, "netif_receive_skb" },
	{ 0x9f597502, "vringh_complete_kern" },
	{ 0xb98c2548, "vringh_getdesc_kern" },
	{ 0xaf1ca703, "netdev_err" },
	{ 0xe2e1bae, "netdev_warn" },
	{ 0x23978d28, "napi_complete_done" },
	{ 0x932af7d7, "vringh_notify_disable_kern" },
	{ 0x11ce47f9, "netif_carrier_off" },
	{ 0x9a81a3f6, "vringh_need_notify_kern" },
	{ 0x6650111a, "consume_skb" },
	{ 0x8f8840e8, "vringh_notify_enable_kern" },
	{ 0xf5640690, "alloc_netdev_mqs" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x83781294, "virtqueue_disable_cb" },
	{ 0x79fc083, "netif_napi_add_weight" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x6dc02d16, "register_netdevice" },
	{ 0x349cba85, "strchr" },
	{ 0xfd7674cc, "debugfs_create_dir" },
	{ 0x9ce3a50f, "debugfs_create_u32" },
	{ 0x23969a38, "_dev_err" },
	{ 0x40d9bfab, "free_netdev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc293701, "kmalloc_caches" },
	{ 0xa3a30692, "kmalloc_trace" },
	{ 0x80ee88e7, "skb_copy_bits" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xab7e809b, "virtqueue_get_buf" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x22cac4ec, "netif_tx_wake_queue" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0x26eda5c5, "virtqueue_add_outbuf" },
	{ 0xed73f492, "virtqueue_kick" },
	{ 0xf817789d, "virtqueue_enable_cb" },
	{ 0xb577f450, "netif_tx_stop_all_queues" },
	{ 0xf1791c2f, "napi_disable" },
	{ 0x3c330633, "virtqueue_detach_unused_buf" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4535358e, "register_virtio_driver" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xfee4594c, "dev_close" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xaa3de9db, "debugfs_remove" },
	{ 0xbdd4450, "virtio_reset_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1147efa1, "unregister_netdev" },
	{ 0x37a0cba, "kfree" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x164a4cec, "dma_free_attrs" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "vringh");

MODULE_ALIAS("virtio:d0000000Cv*");

MODULE_INFO(srcversion, "D8782A550133F35EE45375F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
