#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0xfe3ea9e2, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0x1e056b7d, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0x5725b231, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb127f59c, "netif_stacked_transfer_operstate" },
	{ 0x7bd9dc02, "linkwatch_fire_event" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xc293701, "kmalloc_caches" },
	{ 0xa3a30692, "kmalloc_trace" },
	{ 0x313ced05, "netdev_rx_handler_register" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xef2227db, "skb_copy" },
	{ 0x6c073fa1, "skb_copy_expand" },
	{ 0x6650111a, "consume_skb" },
	{ 0xb72639e8, "skb_push" },
	{ 0x57b55d65, "skb_put" },
	{ 0x18fce2fc, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x20421b77, "skb_to_sgvec" },
	{ 0x30f09e82, "crypto_aead_encrypt" },
	{ 0x7d6a2b3f, "dst_release" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x840a33c, "skb_clone" },
	{ 0x4ca9fc35, "__netif_rx" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4b30186a, "crypto_aead_decrypt" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe11dda33, "__pskb_pull_tail" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x76bd4022, "netdev_rx_handler_unregister" },
	{ 0xf4afa7c4, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x11ce47f9, "netif_carrier_off" },
	{ 0x413bce54, "dev_mc_unsync" },
	{ 0x1d0f820b, "dev_uc_unsync" },
	{ 0x82a9eca6, "dev_uc_del" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x21ae8241, "dev_uc_add" },
	{ 0x14438698, "netif_carrier_on" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfb578fc5, "memset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x513822f0, "genlmsg_put" },
	{ 0x238a2c26, "skb_trim" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x122c3a7e, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x963efb6, "rtnl_link_register" },
	{ 0x36e12614, "genl_register_family" },
	{ 0x867e300e, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0xeb2e3ff4, "crypto_destroy_tfm" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xde69668c, "crypto_alloc_aead" },
	{ 0x21f403f3, "crypto_aead_setkey" },
	{ 0x9bff6343, "crypto_aead_setauthsize" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0xd5a43273, "nla_put" },
	{ 0xb0e602eb, "memmove" },
	{ 0x7f6bab41, "skb_pull" },
	{ 0xf08db92f, "___pskb_trim" },
	{ 0xfd074549, "ether_setup" },
	{ 0xfb3fa4cb, "metadata_dst_free" },
	{ 0x8fa5a6ee, "dev_fetch_sw_netstats" },
	{ 0x3fa5c3d0, "dev_mc_sync" },
	{ 0x115daa41, "dev_uc_sync" },
	{ 0xc2daeeb1, "dev_set_allmulti" },
	{ 0xc2b829b, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x21dcabb9, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x6efa9c3c, "pcpu_hot" },
	{ 0x80cf0e0f, "__dev_queue_xmit" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7dd5b41, "gro_cells_init" },
	{ 0xe976ba08, "dev_addr_mod" },
	{ 0x56470118, "__warn_printk" },
	{ 0x24acd2ee, "eth_type_trans" },
	{ 0x368d38bf, "gro_cells_receive" },
	{ 0x572093f7, "kfree_skb_reason" },
	{ 0xa8c0a7ae, "__dev_get_by_index" },
	{ 0x6dc02d16, "register_netdevice" },
	{ 0x6686f443, "netdev_upper_dev_link" },
	{ 0xe896f0b0, "netdev_upper_dev_unlink" },
	{ 0xe7a7ce7b, "unregister_netdevice_queue" },
	{ 0x2211f755, "metadata_dst_alloc" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "50E38695D9F7804029B20B3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
