#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x556e4390, "clk_get_rate" },
	{ 0xf543e15, "genphy_soft_reset" },
	{ 0xb69ae079, "genphy_read_mmd_unsupported" },
	{ 0x88e56f13, "genphy_write_mmd_unsupported" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeff3a0d4, "phy_drivers_register" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7200fdfb, "genphy_suspend" },
	{ 0x1801d421, "mdiobus_read" },
	{ 0xb379b2d8, "genphy_resume" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x27eca1db, "phy_write_mmd" },
	{ 0x3870380f, "mdiobus_write" },
	{ 0xff2f0593, "genphy_read_status" },
	{ 0x25ab30a9, "phy_modify" },
	{ 0xd685b9c0, "phy_read_mmd" },
	{ 0x820d98eb, "genphy_restart_aneg" },
	{ 0xda47551e, "phy_trigger_machine" },
	{ 0xd7f9a37, "phy_error" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xf91fb9c8, "ptp_classify_raw" },
	{ 0x21faf613, "ptp_parse_header" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x44505cc8, "skb_complete_tx_timestamp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x316f6dc5, "ptp_cancel_worker_sync" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6fbcd67f, "__mdiobus_write" },
	{ 0x991877d, "__mdiobus_read" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x23969a38, "_dev_err" },
	{ 0xdd64e639, "strscpy" },
	{ 0x8073a8c5, "phy_drivers_unregister" },
	{ 0x56fdaa80, "__genphy_config_aneg" },
	{ 0x7250b2c7, "genphy_read_abilities" },
	{ 0x30110a29, "phy_eee_cap1_features" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x99130f52, "phy_init_hw" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xea00ace4, "phy_modify_mmd" },
	{ 0x5b1181ae, "skb_queue_purge_reason" },
	{ 0x3f4d8300, "ptp_find_pin_unlocked" },
	{ 0xb135d9dd, "ptp_clock_event" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0xea2bf739, "devm_phy_package_join" },
	{ 0x1300e139, "devm_gpiod_get_optional" },
	{ 0xa2a3b0e9, "gpiod_set_consumer_name" },
	{ 0x2bbc54a6, "gpiod_set_value_cansleep" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd811e2c0, "ptp_clock_register" },
	{ 0x5c7f79c4, "__dynamic_dev_dbg" },
	{ 0xc293701, "kmalloc_caches" },
	{ 0xa3a30692, "kmalloc_trace" },
	{ 0xb72639e8, "skb_push" },
	{ 0xa02b2033, "netif_rx" },
	{ 0x37a0cba, "kfree" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6f442245, "ethnl_cable_test_result" },
	{ 0x8a454439, "ethnl_cable_test_fault_length" },
	{ 0xe6b970d6, "devm_clk_get" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("mdio:????????????0010000101100001000?");
MODULE_ALIAS("mdio:????????00100010000101100010????");
MODULE_ALIAS("mdio:????????00100010000101100100????");
MODULE_ALIAS("mdio:????????0010001000010110000110??");
MODULE_ALIAS("mdio:????????00100010000101110010????");
MODULE_ALIAS("mdio:????????001000100001010101010101");
MODULE_ALIAS("mdio:????????001000100001010101010110");
MODULE_ALIAS("mdio:????????00100010000101010001????");
MODULE_ALIAS("mdio:????????00100010000101010101????");
MODULE_ALIAS("mdio:????????00100010000101010111????");
MODULE_ALIAS("mdio:????????00100010000101010110????");
MODULE_ALIAS("mdio:????????00001110011100100011????");
MODULE_ALIAS("mdio:????????00100010000101000011????");
MODULE_ALIAS("mdio:????????00100010000101100011????");
MODULE_ALIAS("mdio:????????00100010000101100110????");
MODULE_ALIAS("mdio:????????00100010000101100111????");
MODULE_ALIAS("mdio:????????00100010000101100101????");

MODULE_INFO(srcversion, "CEE88EF906846BE5F358912");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
