#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(team_modeop_port_enter, "", "");
KSYMTAB_FUNC(team_modeop_port_change_dev_addr, "", "");
KSYMTAB_FUNC(team_options_register, "", "");
KSYMTAB_FUNC(team_options_unregister, "", "");
KSYMTAB_FUNC(team_option_inst_set_change, "", "");
KSYMTAB_FUNC(team_options_change_check, "", "");
KSYMTAB_FUNC(team_mode_register, "", "");
KSYMTAB_FUNC(team_mode_unregister, "", "");

SYMBOL_CRC(team_modeop_port_enter, 0x44973349, "");
SYMBOL_CRC(team_modeop_port_change_dev_addr, 0xcd39b6b5, "");
SYMBOL_CRC(team_options_register, 0x98e670b0, "");
SYMBOL_CRC(team_options_unregister, 0x4b10940f, "");
SYMBOL_CRC(team_option_inst_set_change, 0x2cf83f12, "");
SYMBOL_CRC(team_options_change_check, 0xd56d1fee, "");
SYMBOL_CRC(team_mode_register, 0x3fa21fbe, "");
SYMBOL_CRC(team_mode_unregister, 0xa8b7739e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x11089ac7, "_ctype" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xfcdcf5e8, "try_module_get" },
	{ 0xbd1e2041, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x754d539c, "strlen" },
	{ 0xfcff8f54, "__nlmsg_put" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xe2e1bae, "netdev_warn" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x6b212f9f, "__ethtool_get_link_ksettings" },
	{ 0xe896f0b0, "netdev_upper_dev_unlink" },
	{ 0x76bd4022, "netdev_rx_handler_unregister" },
	{ 0xaaa59a21, "vlan_vids_del_by_dev" },
	{ 0xfee4594c, "dev_close" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb3eec54c, "netdev_change_features" },
	{ 0xb7b3685e, "netdev_has_upper_dev" },
	{ 0x68133c09, "dev_uc_flush" },
	{ 0x23609402, "dev_mc_flush" },
	{ 0x92e89cb, "vlan_uses_dev" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xfec219c8, "dev_open" },
	{ 0x2d2ea3ef, "vlan_vids_add_by_dev" },
	{ 0x313ced05, "netdev_rx_handler_register" },
	{ 0x2b7de0a9, "netdev_master_upper_dev_link" },
	{ 0xf2ebb624, "dev_disable_lro" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6efa9c3c, "pcpu_hot" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x828bc7a6, "ethtool_op_get_link" },
	{ 0x6c559f3, "passthru_features_check" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x48ac763a, "dev_set_mac_address" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x37a0cba, "kfree" },
	{ 0xc293701, "kmalloc_caches" },
	{ 0xa3a30692, "kmalloc_trace" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb6721693, "netlink_unicast" },
	{ 0x53129410, "dev_get_by_index" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x14438698, "netif_carrier_on" },
	{ 0x11ce47f9, "netif_carrier_off" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc2daeeb1, "dev_set_allmulti" },
	{ 0xc2b829b, "dev_set_promiscuity" },
	{ 0x1d0f820b, "dev_uc_unsync" },
	{ 0x413bce54, "dev_mc_unsync" },
	{ 0xf4afa7c4, "dev_set_mtu" },
	{ 0xaf1ca703, "netdev_err" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa6dcba0a, "__dynamic_netdev_dbg" },
	{ 0x30e64745, "dev_kfree_skb_any_reason" },
	{ 0xfac95ca2, "dev_uc_sync_multiple" },
	{ 0x82b4a1b7, "dev_mc_sync_multiple" },
	{ 0xe976ba08, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x43ced7a6, "vlan_vid_del" },
	{ 0xa51c5029, "vlan_vid_add" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xcca19224, "module_put" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xad30cd20, "__alloc_skb" },
	{ 0x513822f0, "genlmsg_put" },
	{ 0x572093f7, "kfree_skb_reason" },
	{ 0x6dc02d16, "register_netdevice" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xfd074549, "ether_setup" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x963efb6, "rtnl_link_register" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x36e12614, "genl_register_family" },
	{ 0x867e300e, "rtnl_link_unregister" },
	{ 0x21dcabb9, "genl_unregister_family" },
	{ 0x5ec6281b, "netlink_broadcast" },
	{ 0x840a33c, "skb_clone" },
	{ 0x6650111a, "consume_skb" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x80cf0e0f, "__dev_queue_xmit" },
	{ 0xb0ad341b, "pv_ops" },
	{ 0xef1163b6, "netpoll_send_skb" },
	{ 0x6de1eeda, "netdev_lower_state_changed" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7f028b06, "__netpoll_setup" },
	{ 0x4b2d60cd, "__netpoll_free" },
	{ 0xd5a43273, "nla_put" },
	{ 0x238a2c26, "skb_trim" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xe5f3dde2, "call_netdevice_notifiers" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2C936B5FBB2D4C223A93931");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
