#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ath10k_mac_tx_push_pending, "", "");
KSYMTAB_FUNC(ath10k_info, "", "");
KSYMTAB_FUNC(ath10k_print_driver_info, "", "");
KSYMTAB_FUNC(ath10k_err, "", "");
KSYMTAB_FUNC(ath10k_warn, "", "");
KSYMTAB_DATA(ath10k_debug_mask, "", "");
KSYMTAB_FUNC(ath10k_core_check_dt, "", "");
KSYMTAB_FUNC(ath10k_core_free_board_files, "", "");
KSYMTAB_FUNC(ath10k_core_fetch_board_file, "", "");
KSYMTAB_FUNC(ath10k_core_start_recovery, "", "");
KSYMTAB_FUNC(ath10k_core_napi_enable, "", "");
KSYMTAB_FUNC(ath10k_core_napi_sync_disable, "", "");
KSYMTAB_FUNC(ath10k_core_start, "", "");
KSYMTAB_FUNC(ath10k_core_stop, "", "");
KSYMTAB_FUNC(ath10k_core_register, "", "");
KSYMTAB_FUNC(ath10k_core_unregister, "", "");
KSYMTAB_FUNC(ath10k_core_create, "", "");
KSYMTAB_FUNC(ath10k_core_destroy, "", "");
KSYMTAB_FUNC(ath10k_htc_notify_tx_completion, "", "");
KSYMTAB_FUNC(ath10k_htc_tx_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htc_process_trailer, "", "");
KSYMTAB_FUNC(ath10k_htc_rx_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_t2h_msg_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_rx_pktlog_completion_handler, "", "");
KSYMTAB_FUNC(ath10k_htt_rx_hl_indication, "", "");
KSYMTAB_FUNC(ath10k_htt_txrx_compl_task, "", "");
KSYMTAB_FUNC(ath10k_htt_hif_tx_complete, "", "");
KSYMTAB_FUNC(ath10k_bmi_start, "", "");
KSYMTAB_FUNC(ath10k_bmi_read_memory, "", "");
KSYMTAB_FUNC(ath10k_coredump_get_mem_layout, "", "");
KSYMTAB_FUNC(ath10k_coredump_new, "", "");
KSYMTAB_FUNC(ath10k_ce_send_nolock, "", "");
KSYMTAB_FUNC(__ath10k_ce_send_revert, "", "");
KSYMTAB_FUNC(ath10k_ce_send, "", "");
KSYMTAB_FUNC(ath10k_ce_num_free_src_entries, "", "");
KSYMTAB_FUNC(__ath10k_ce_rx_num_free_bufs, "", "");
KSYMTAB_FUNC(ath10k_ce_rx_update_write_idx, "", "");
KSYMTAB_FUNC(ath10k_ce_rx_post_buf, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_recv_next_nolock, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_recv_next, "", "");
KSYMTAB_FUNC(ath10k_ce_revoke_recv_next, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_send_next_nolock, "", "");
KSYMTAB_FUNC(ath10k_ce_cancel_send_next, "", "");
KSYMTAB_FUNC(ath10k_ce_completed_send_next, "", "");
KSYMTAB_FUNC(ath10k_ce_per_engine_service, "", "");
KSYMTAB_FUNC(ath10k_ce_per_engine_service_any, "", "");
KSYMTAB_FUNC(ath10k_ce_disable_interrupt, "", "");
KSYMTAB_FUNC(ath10k_ce_disable_interrupts, "", "");
KSYMTAB_FUNC(ath10k_ce_enable_interrupt, "", "");
KSYMTAB_FUNC(ath10k_ce_enable_interrupts, "", "");
KSYMTAB_FUNC(ath10k_ce_init_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_deinit_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_free_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_dump_registers, "", "");
KSYMTAB_FUNC(ath10k_ce_alloc_pipe, "", "");
KSYMTAB_FUNC(ath10k_ce_alloc_rri, "", "");
KSYMTAB_FUNC(ath10k_ce_free_rri, "", "");

SYMBOL_CRC(ath10k_mac_tx_push_pending, 0xcc3e2bb4, "");
SYMBOL_CRC(ath10k_info, 0x269cb7a7, "");
SYMBOL_CRC(ath10k_print_driver_info, 0x2b4e392b, "");
SYMBOL_CRC(ath10k_err, 0x619e3bf8, "");
SYMBOL_CRC(ath10k_warn, 0x50171e0a, "");
SYMBOL_CRC(ath10k_debug_mask, 0x015e5db2, "");
SYMBOL_CRC(ath10k_core_check_dt, 0xe0bfb576, "");
SYMBOL_CRC(ath10k_core_free_board_files, 0x3c05d9c4, "");
SYMBOL_CRC(ath10k_core_fetch_board_file, 0x52803082, "");
SYMBOL_CRC(ath10k_core_start_recovery, 0xaf830d21, "");
SYMBOL_CRC(ath10k_core_napi_enable, 0x923231ba, "");
SYMBOL_CRC(ath10k_core_napi_sync_disable, 0x5eb2eb7f, "");
SYMBOL_CRC(ath10k_core_start, 0xf794c9f8, "");
SYMBOL_CRC(ath10k_core_stop, 0x9ce36863, "");
SYMBOL_CRC(ath10k_core_register, 0xfa73ddc4, "");
SYMBOL_CRC(ath10k_core_unregister, 0xf10703a9, "");
SYMBOL_CRC(ath10k_core_create, 0xea989bb2, "");
SYMBOL_CRC(ath10k_core_destroy, 0x750dfa5b, "");
SYMBOL_CRC(ath10k_htc_notify_tx_completion, 0x466fe5bc, "");
SYMBOL_CRC(ath10k_htc_tx_completion_handler, 0x1602734a, "");
SYMBOL_CRC(ath10k_htc_process_trailer, 0x12b19400, "");
SYMBOL_CRC(ath10k_htc_rx_completion_handler, 0xc7f118fe, "");
SYMBOL_CRC(ath10k_htt_t2h_msg_handler, 0x4329c840, "");
SYMBOL_CRC(ath10k_htt_rx_pktlog_completion_handler, 0xa77b959c, "");
SYMBOL_CRC(ath10k_htt_rx_hl_indication, 0x59040a41, "");
SYMBOL_CRC(ath10k_htt_txrx_compl_task, 0x06f67046, "");
SYMBOL_CRC(ath10k_htt_hif_tx_complete, 0x8b148c52, "");
SYMBOL_CRC(ath10k_bmi_start, 0x0304c1af, "");
SYMBOL_CRC(ath10k_bmi_read_memory, 0xf177180a, "");
SYMBOL_CRC(ath10k_coredump_get_mem_layout, 0xe47ece60, "");
SYMBOL_CRC(ath10k_coredump_new, 0x0c9d5565, "");
SYMBOL_CRC(ath10k_ce_send_nolock, 0xc7315212, "");
SYMBOL_CRC(__ath10k_ce_send_revert, 0x799e8c81, "");
SYMBOL_CRC(ath10k_ce_send, 0xdb9f7262, "");
SYMBOL_CRC(ath10k_ce_num_free_src_entries, 0x6c792f70, "");
SYMBOL_CRC(__ath10k_ce_rx_num_free_bufs, 0xf6e8dcf1, "");
SYMBOL_CRC(ath10k_ce_rx_update_write_idx, 0xc0a048d8, "");
SYMBOL_CRC(ath10k_ce_rx_post_buf, 0xa576bb93, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next_nolock, 0xf61e79bf, "");
SYMBOL_CRC(ath10k_ce_completed_recv_next, 0x037b4c5c, "");
SYMBOL_CRC(ath10k_ce_revoke_recv_next, 0xff2f3a50, "");
SYMBOL_CRC(ath10k_ce_completed_send_next_nolock, 0xa79c816b, "");
SYMBOL_CRC(ath10k_ce_cancel_send_next, 0xf2c8a43f, "");
SYMBOL_CRC(ath10k_ce_completed_send_next, 0x4fea73dd, "");
SYMBOL_CRC(ath10k_ce_per_engine_service, 0x20d517ba, "");
SYMBOL_CRC(ath10k_ce_per_engine_service_any, 0x3d49d27e, "");
SYMBOL_CRC(ath10k_ce_disable_interrupt, 0x1171a215, "");
SYMBOL_CRC(ath10k_ce_disable_interrupts, 0x35bcbe31, "");
SYMBOL_CRC(ath10k_ce_enable_interrupt, 0xffcc13db, "");
SYMBOL_CRC(ath10k_ce_enable_interrupts, 0x8bb4c213, "");
SYMBOL_CRC(ath10k_ce_init_pipe, 0x3bb5393b, "");
SYMBOL_CRC(ath10k_ce_deinit_pipe, 0x705aa49c, "");
SYMBOL_CRC(ath10k_ce_free_pipe, 0x88776cbe, "");
SYMBOL_CRC(ath10k_ce_dump_registers, 0x47457729, "");
SYMBOL_CRC(ath10k_ce_alloc_pipe, 0x6bf49677, "");
SYMBOL_CRC(ath10k_ce_alloc_rri, 0xc316dc6d, "");
SYMBOL_CRC(ath10k_ce_free_rri, 0x753d9f23, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x30e64745, "dev_kfree_skb_any_reason" },
	{ 0x429c0c31, "ieee80211_bss_get_elem" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xd1574a0, "init_dummy_netdev" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc293701, "kmalloc_caches" },
	{ 0x75df2d2c, "ieee80211_csa_finish" },
	{ 0xa96e9d50, "skb_queue_head" },
	{ 0x7b8e7a69, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x22ec5205, "cpu_latency_qos_remove_request" },
	{ 0x2e239f1c, "ieee80211_beacon_update_cntdwn" },
	{ 0xe9849ecd, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x33824d8f, "device_set_wakeup_enable" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0xd0b136b9, "ieee80211_connection_loss" },
	{ 0x229b88af, "ieee80211_manage_rx_ba_offl" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x2f2c695d, "is_acpi_device_node" },
	{ 0x5198e1fb, "device_set_wakeup_capable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xeb310504, "__ieee80211_schedule_txq" },
	{ 0x20978fb9, "idr_find" },
	{ 0x927dec32, "ieee80211_txq_get_depth" },
	{ 0x1a73ff62, "param_ops_uint" },
	{ 0x941fabbf, "param_ops_ulong" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0x57b55d65, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x66e90e65, "firmware_request_nowarn" },
	{ 0x6650111a, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x44819ddd, "ieee80211_txq_may_transmit" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa81457ee, "device_get_mac_address" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x92d59ee2, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x12685f48, "ieee80211_free_hw" },
	{ 0x6c3f70e0, "guid_gen" },
	{ 0x4bbaa0e0, "dma_unmap_page_attrs" },
	{ 0xc3eaa47c, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0x65e894d6, "ieee80211_iterate_stations_atomic" },
	{ 0x4f15427f, "dma_sync_single_for_device" },
	{ 0xa9d3bafd, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf3dd0ebb, "ieee80211_beacon_loss" },
	{ 0x28afbb08, "cpu_latency_qos_add_request" },
	{ 0xaa12af1, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x6efa9c3c, "pcpu_hot" },
	{ 0xeb7875a1, "thermal_cooling_device_register" },
	{ 0x19bda274, "ieee80211_register_hw" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0x577088c9, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x9d8a72b2, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x3047d9b0, "ieee80211_hw_restart_disconnect" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2cd72915, "pskb_expand_head" },
	{ 0x5b1181ae, "skb_queue_purge_reason" },
	{ 0x28304560, "dev_driver_string" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0xdf256037, "kstrtou8_from_user" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x206f9640, "ieee80211_find_sta" },
	{ 0xcb493caa, "dma_map_page_attrs" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdfa62bb7, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x58da5556, "ieee80211_iter_chan_contexts_atomic" },
	{ 0xa916b694, "strnlen" },
	{ 0xc31d32a4, "cfg80211_put_bss" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x6bc945a6, "_dev_info" },
	{ 0xa18f224e, "ath_regd_find_country_by_name" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0x52c3e512, "skb_queue_tail" },
	{ 0x9c7a0976, "ieee80211_get_channel_khz" },
	{ 0x99f018c4, "nvmem_cell_read" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x2f3268bf, "sysfs_create_link" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x3f88207c, "wiphy_to_ieee80211_hw" },
	{ 0x76467457, "ath_reg_notifier_apply" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x20b8d08e, "ieee80211_queue_delayed_work" },
	{ 0xff9d2a48, "ieee80211_proberesp_get" },
	{ 0x23969a38, "_dev_err" },
	{ 0x352b8461, "simple_open" },
	{ 0x7f6bab41, "skb_pull" },
	{ 0x8e5aeed5, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6d7c51e3, "init_uts_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xb1a5979c, "ieee80211_find_sta_by_ifaddr" },
	{ 0xa257adcb, "ieee80211_next_txq" },
	{ 0x572093f7, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x244ba649, "ieee80211_remain_on_channel_expired" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb72639e8, "skb_push" },
	{ 0xe8450376, "dma_alloc_attrs" },
	{ 0x4571aea8, "ath_is_world_regd" },
	{ 0x1e67c3a1, "napi_enable" },
	{ 0x73fddf46, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xcebf7213, "ieee80211_wake_queues" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xcad66fdc, "ieee80211_report_low_ack" },
	{ 0x58dd0318, "ieee80211_beacon_get_template" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x631be6b8, "ieee80211_free_txskb" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xb97e9193, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x43b90c43, "ieee80211_alloc_hw_nm" },
	{ 0xb5a9430f, "cfg80211_get_bss" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xef9a5153, "default_llseek" },
	{ 0xd412d38f, "ieee80211_tx_dequeue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x4ed2e29d, "devm_hwmon_device_register_with_groups" },
	{ 0xfb578fc5, "memset" },
	{ 0x72eb7fac, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xd1ad7862, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x204202fa, "devm_nvmem_cell_get" },
	{ 0x8df7d827, "ieee80211_stop_queue" },
	{ 0xb56582fc, "__netdev_alloc_skb" },
	{ 0x6277aa24, "ieee80211_ready_on_channel" },
	{ 0x9a50201a, "ieee80211_stop_queues" },
	{ 0x238a2c26, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x774a4f4b, "skb_realloc_headroom" },
	{ 0x52a4efd2, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdd64e639, "strscpy" },
	{ 0x7dfb3e5e, "debugfs_create_file" },
	{ 0x164a4cec, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x5d49b037, "ieee80211_scan_completed" },
	{ 0x9d57ffb7, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6e011942, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xfb641261, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb894dede, "ath_regd_init" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x9a52ce9d, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xef2227db, "skb_copy" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xbee30ee5, "ieee80211_tdls_oper_request" },
	{ 0x1a7a6b30, "ieee80211_radar_detected" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x7a62ae0b, "thermal_cooling_device_unregister" },
	{ 0xa2d9a4f9, "ieee80211_tx_rate_update" },
	{ 0xa3a30692, "kmalloc_trace" },
	{ 0x521a46f0, "ieee80211_queue_work" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x754d539c, "strlen" },
	{ 0xf1791c2f, "napi_disable" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mac80211,ath");


MODULE_INFO(srcversion, "969ED40A259DE86BAEE57ED");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
