#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rtw_disable_lps_deep_mode, "", "");
KSYMTAB_DATA(rtw_debug_mask, "", "");
KSYMTAB_FUNC(rtw_dump_fw, "", "");
KSYMTAB_FUNC(rtw_dump_reg, "", "");
KSYMTAB_FUNC(rtw_set_rx_freq_band, "", "");
KSYMTAB_FUNC(rtw_chip_info_setup, "", "");
KSYMTAB_FUNC(rtw_core_init, "", "");
KSYMTAB_FUNC(rtw_core_deinit, "", "");
KSYMTAB_FUNC(rtw_register_hw, "", "");
KSYMTAB_FUNC(rtw_unregister_hw, "", "");
KSYMTAB_DATA(rtw_ops, "", "");
KSYMTAB_FUNC(check_hw_ready, "", "");
KSYMTAB_FUNC(rtw_restore_reg, "", "");
KSYMTAB_FUNC(rtw_tx_fill_tx_desc, "", "");
KSYMTAB_FUNC(rtw_tx_report_enqueue, "", "");
KSYMTAB_FUNC(rtw_tx_write_data_rsvd_page_get, "", "");
KSYMTAB_FUNC(rtw_tx_write_data_h2c_get, "", "");
KSYMTAB_FUNC(rtw_tx_ac_to_hwq, "", "");
KSYMTAB_FUNC(rtw_tx_queue_mapping, "", "");
KSYMTAB_FUNC(rtw_rx_stats, "", "");
KSYMTAB_FUNC(rtw_rx_fill_rx_status, "", "");
KSYMTAB_FUNC(rtw_set_channel_mac, "", "");
KSYMTAB_DATA(rtw_rate_section, "", "");
KSYMTAB_DATA(rtw_rate_size, "", "");
KSYMTAB_FUNC(rtw_phy_set_edcca_th, "", "");
KSYMTAB_FUNC(rtw_phy_init, "", "");
KSYMTAB_FUNC(rtw_phy_parsing_cfo, "", "");
KSYMTAB_FUNC(rtw_phy_rf_power_2_rssi, "", "");
KSYMTAB_FUNC(rtw_phy_read_rf, "", "");
KSYMTAB_FUNC(rtw_phy_read_rf_sipi, "", "");
KSYMTAB_FUNC(rtw_phy_write_rf_reg_sipi, "", "");
KSYMTAB_FUNC(rtw_phy_write_rf_reg_mix, "", "");
KSYMTAB_FUNC(rtw_parse_tbl_phy_cond, "", "");
KSYMTAB_FUNC(rtw_parse_tbl_bb_pg, "", "");
KSYMTAB_FUNC(rtw_parse_tbl_txpwr_lmt, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_mac, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_agc, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_bb, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_rf, "", "");
KSYMTAB_FUNC(rtw_phy_load_tables, "", "");
KSYMTAB_FUNC(rtw_phy_get_tx_power_index, "", "");
KSYMTAB_FUNC(rtw_phy_set_tx_power_level, "", "");
KSYMTAB_FUNC(rtw_phy_config_swing_table, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_avg, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_thermal_changed, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_get_delta, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_get_pwridx, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_need_lck, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_need_iqk, "", "");
KSYMTAB_FUNC(rtw_coex_write_scbd, "", "");
KSYMTAB_FUNC(rtw_coex_read_indirect_reg, "", "");
KSYMTAB_FUNC(rtw_coex_write_indirect_reg, "", "");
KSYMTAB_FUNC(rtw_read8_physical_efuse, "", "");
KSYMTAB_FUNC(rtw_fw_c2h_cmd_rx_irqsafe, "", "");
KSYMTAB_FUNC(rtw_fw_c2h_cmd_isr, "", "");
KSYMTAB_FUNC(rtw_fw_do_iqk, "", "");
KSYMTAB_FUNC(rtw_fw_inform_rfk_status, "", "");
KSYMTAB_FUNC(rtw_power_mode_change, "", "");
KSYMTAB_FUNC(rtw_bf_enable_bfee_su, "", "");
KSYMTAB_FUNC(rtw_bf_enable_bfee_mu, "", "");
KSYMTAB_FUNC(rtw_bf_remove_bfee_su, "", "");
KSYMTAB_FUNC(rtw_bf_remove_bfee_mu, "", "");
KSYMTAB_FUNC(rtw_bf_set_gid_table, "", "");
KSYMTAB_FUNC(rtw_bf_phy_init, "", "");
KSYMTAB_FUNC(rtw_bf_cfg_csi_rate, "", "");
KSYMTAB_FUNC(rtw_regd_get, "", "");

SYMBOL_CRC(rtw_disable_lps_deep_mode, 0x36c5bfca, "");
SYMBOL_CRC(rtw_debug_mask, 0x33b3f3c0, "");
SYMBOL_CRC(rtw_dump_fw, 0x96738992, "");
SYMBOL_CRC(rtw_dump_reg, 0x60dfc97d, "");
SYMBOL_CRC(rtw_set_rx_freq_band, 0xfe77bb3c, "");
SYMBOL_CRC(rtw_chip_info_setup, 0x9738c7fd, "");
SYMBOL_CRC(rtw_core_init, 0x1e3bec73, "");
SYMBOL_CRC(rtw_core_deinit, 0xb417c955, "");
SYMBOL_CRC(rtw_register_hw, 0x84cf0d56, "");
SYMBOL_CRC(rtw_unregister_hw, 0x84272bba, "");
SYMBOL_CRC(rtw_ops, 0xed7b3c43, "");
SYMBOL_CRC(check_hw_ready, 0xfa85cfda, "");
SYMBOL_CRC(rtw_restore_reg, 0x4b06021e, "");
SYMBOL_CRC(rtw_tx_fill_tx_desc, 0x4ff200a8, "");
SYMBOL_CRC(rtw_tx_report_enqueue, 0x0a9af660, "");
SYMBOL_CRC(rtw_tx_write_data_rsvd_page_get, 0xf2576265, "");
SYMBOL_CRC(rtw_tx_write_data_h2c_get, 0x4be0afc3, "");
SYMBOL_CRC(rtw_tx_ac_to_hwq, 0x1dc2d072, "");
SYMBOL_CRC(rtw_tx_queue_mapping, 0xdbae83c1, "");
SYMBOL_CRC(rtw_rx_stats, 0xbb480580, "");
SYMBOL_CRC(rtw_rx_fill_rx_status, 0xe3a4c60c, "");
SYMBOL_CRC(rtw_set_channel_mac, 0x64a14f5d, "");
SYMBOL_CRC(rtw_rate_section, 0x58210e60, "");
SYMBOL_CRC(rtw_rate_size, 0x519c8ba9, "");
SYMBOL_CRC(rtw_phy_set_edcca_th, 0x57650e25, "");
SYMBOL_CRC(rtw_phy_init, 0xc4eed69c, "");
SYMBOL_CRC(rtw_phy_parsing_cfo, 0x331d2a70, "");
SYMBOL_CRC(rtw_phy_rf_power_2_rssi, 0x440b7589, "");
SYMBOL_CRC(rtw_phy_read_rf, 0xdca741d3, "");
SYMBOL_CRC(rtw_phy_read_rf_sipi, 0xab989b4b, "");
SYMBOL_CRC(rtw_phy_write_rf_reg_sipi, 0xb3fbdfba, "");
SYMBOL_CRC(rtw_phy_write_rf_reg_mix, 0x4e56c764, "");
SYMBOL_CRC(rtw_parse_tbl_phy_cond, 0xea0bdf82, "");
SYMBOL_CRC(rtw_parse_tbl_bb_pg, 0x7d492e8c, "");
SYMBOL_CRC(rtw_parse_tbl_txpwr_lmt, 0xcc861073, "");
SYMBOL_CRC(rtw_phy_cfg_mac, 0xa1c5b813, "");
SYMBOL_CRC(rtw_phy_cfg_agc, 0x675fb8d6, "");
SYMBOL_CRC(rtw_phy_cfg_bb, 0x7787bdec, "");
SYMBOL_CRC(rtw_phy_cfg_rf, 0x8ba6c83e, "");
SYMBOL_CRC(rtw_phy_load_tables, 0x6d1dd0e6, "");
SYMBOL_CRC(rtw_phy_get_tx_power_index, 0x57de4f1d, "");
SYMBOL_CRC(rtw_phy_set_tx_power_level, 0x68d33e06, "");
SYMBOL_CRC(rtw_phy_config_swing_table, 0x18187f24, "");
SYMBOL_CRC(rtw_phy_pwrtrack_avg, 0x1204a3c3, "");
SYMBOL_CRC(rtw_phy_pwrtrack_thermal_changed, 0xddf21001, "");
SYMBOL_CRC(rtw_phy_pwrtrack_get_delta, 0x8abb899f, "");
SYMBOL_CRC(rtw_phy_pwrtrack_get_pwridx, 0x04361225, "");
SYMBOL_CRC(rtw_phy_pwrtrack_need_lck, 0x0a250546, "");
SYMBOL_CRC(rtw_phy_pwrtrack_need_iqk, 0xd8f1b93a, "");
SYMBOL_CRC(rtw_coex_write_scbd, 0x7f35534c, "");
SYMBOL_CRC(rtw_coex_read_indirect_reg, 0x7b9bc28c, "");
SYMBOL_CRC(rtw_coex_write_indirect_reg, 0xcca5be4b, "");
SYMBOL_CRC(rtw_read8_physical_efuse, 0xe0df7220, "");
SYMBOL_CRC(rtw_fw_c2h_cmd_rx_irqsafe, 0x6e8ec528, "");
SYMBOL_CRC(rtw_fw_c2h_cmd_isr, 0x85c3f1e3, "");
SYMBOL_CRC(rtw_fw_do_iqk, 0xf4465dcb, "");
SYMBOL_CRC(rtw_fw_inform_rfk_status, 0x9086c53f, "");
SYMBOL_CRC(rtw_power_mode_change, 0xa57dddb5, "");
SYMBOL_CRC(rtw_bf_enable_bfee_su, 0xa4a10b1a, "");
SYMBOL_CRC(rtw_bf_enable_bfee_mu, 0x57856c3b, "");
SYMBOL_CRC(rtw_bf_remove_bfee_su, 0x2275a6d8, "");
SYMBOL_CRC(rtw_bf_remove_bfee_mu, 0x4e4ffc15, "");
SYMBOL_CRC(rtw_bf_set_gid_table, 0xb86b3f86, "");
SYMBOL_CRC(rtw_bf_phy_init, 0x34b52638, "");
SYMBOL_CRC(rtw_bf_cfg_csi_rate, 0x65a26e44, "");
SYMBOL_CRC(rtw_regd_get, 0xf3b90f61, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xad30cd20, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6bc945a6, "_dev_info" },
	{ 0x52c3e512, "skb_queue_tail" },
	{ 0x25b1fb68, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xb6936ffe, "_bcd2bin" },
	{ 0x3f88207c, "wiphy_to_ieee80211_hw" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x20b8d08e, "ieee80211_queue_delayed_work" },
	{ 0xff9d2a48, "ieee80211_proberesp_get" },
	{ 0x23969a38, "_dev_err" },
	{ 0xb7076101, "request_firmware_nowait" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xb1a5979c, "ieee80211_find_sta_by_ifaddr" },
	{ 0x572093f7, "kfree_skb_reason" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb72639e8, "skb_push" },
	{ 0xcebf7213, "ieee80211_wake_queues" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x98679ec4, "ieee80211_iter_keys_rcu" },
	{ 0x631be6b8, "ieee80211_free_txskb" },
	{ 0xb97e9193, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd412d38f, "ieee80211_tx_dequeue" },
	{ 0xfb578fc5, "memset" },
	{ 0x72eb7fac, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb56582fc, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x9a50201a, "ieee80211_stop_queues" },
	{ 0x6f561e1a, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x999e8297, "vfree" },
	{ 0x5d49b037, "ieee80211_scan_completed" },
	{ 0x9d57ffb7, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6e011942, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfb641261, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x9a52ce9d, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xef2227db, "skb_copy" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x2e86bc99, "ieee80211_cqm_rssi_notify" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xbb270400, "ieee80211_request_smps" },
	{ 0xa3a30692, "kmalloc_trace" },
	{ 0x521a46f0, "ieee80211_queue_work" },
	{ 0x30e64745, "dev_kfree_skb_any_reason" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc293701, "kmalloc_caches" },
	{ 0x33824d8f, "device_set_wakeup_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xd0b136b9, "ieee80211_connection_loss" },
	{ 0xeb12a9c3, "ieee80211_report_wowlan_wakeup" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x927dec32, "ieee80211_txq_get_depth" },
	{ 0x1a73ff62, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x57b55d65, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6650111a, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x92d59ee2, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x4789b330, "ieee80211_probereq_get" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x65e894d6, "ieee80211_iterate_stations_atomic" },
	{ 0x6c0726b4, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0xaa12af1, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x19effe73, "ieee80211_nullfunc_get" },
	{ 0x9fb0793d, "ieee80211_pspoll_get" },
	{ 0x19bda274, "ieee80211_register_hw" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x577088c9, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b1181ae, "skb_queue_purge_reason" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x206f9640, "ieee80211_find_sta" },
	{ 0x34a2b919, "ieee80211_iter_keys" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdfa62bb7, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "6AA6A6F9CCB2C14C73C098A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
