#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd4dc096c, "wwan_register_ops" },
	{ 0x47b4a614, "devlink_free" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe7a7ce7b, "unregister_netdevice_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5c7f79c4, "__dynamic_dev_dbg" },
	{ 0xde9bfdcf, "pci_ioremap_bar" },
	{ 0x111ec07e, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf4524d27, "devlink_flash_update_status_notify" },
	{ 0x5b1181ae, "skb_queue_purge_reason" },
	{ 0x28304560, "dev_driver_string" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xcb493caa, "dma_map_page_attrs" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb74c31cd, "wwan_remove_port" },
	{ 0xd4988691, "netif_device_attach" },
	{ 0x52c3e512, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x9ad12328, "devlink_region_create" },
	{ 0x57dc6aa8, "kobject_uevent_env" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x23969a38, "_dev_err" },
	{ 0x579eb654, "init_net" },
	{ 0x7f6bab41, "skb_pull" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0xe8450376, "dma_alloc_attrs" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x22cac4ec, "netif_tx_wake_queue" },
	{ 0xdc32470a, "wwan_port_rx" },
	{ 0xb19b445, "ioread8" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0xf6e4fbc4, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xd1ad7862, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa02b2033, "netif_rx" },
	{ 0x54e46ecf, "wwan_unregister_ops" },
	{ 0xb56582fc, "__netdev_alloc_skb" },
	{ 0x1281d162, "pcie_capability_clear_and_set_word_unlocked" },
	{ 0x238a2c26, "skb_trim" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x164a4cec, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x3fd26c20, "devlink_params_register" },
	{ 0x9e97cd4c, "pci_release_regions" },
	{ 0x3a70ee9a, "wwan_create_port" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xa7e5f547, "pcie_capability_read_dword" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9a1c6b85, "devlink_priv" },
	{ 0x840a33c, "skb_clone" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x314e6480, "pci_disable_device" },
	{ 0xc03a5ae, "dma_set_mask" },
	{ 0xf07464e4, "hrtimer_forward" },
	{ 0xa3a30692, "kmalloc_trace" },
	{ 0x3c96fa2f, "hrtimer_active" },
	{ 0x30e64745, "dev_kfree_skb_any_reason" },
	{ 0x526bcf2a, "wwan_port_get_drvdata" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x7d465a72, "pci_free_irq_vectors" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc293701, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6dc02d16, "register_netdevice" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x75257ae7, "pcie_capability_read_word" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x2f2c695d, "is_acpi_device_node" },
	{ 0xc5163f47, "devlink_unregister" },
	{ 0xa410a295, "devlink_region_destroy" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x70b46a6a, "pci_enable_device" },
	{ 0x57b55d65, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x6650111a, "consume_skb" },
	{ 0x2850b872, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xd21c5139, "iowrite64_lo_hi" },
	{ 0x92d59ee2, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x4bbaa0e0, "dma_unmap_page_attrs" },
	{ 0xb7dd393e, "__pci_register_driver" },
	{ 0x4c00e0d0, "devlink_params_unregister" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xedc03953, "iounmap" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0x33ce8cd7, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xdf1e4640, "devlink_alloc_ns" },
	{ 0xce16c606, "devlink_register" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00008086d00007560sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007360sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "41CE52F8345B7AECE6F2236");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
