#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(s3fwrn5_probe, "", "");
KSYMTAB_FUNC(s3fwrn5_remove, "", "");
KSYMTAB_FUNC(s3fwrn5_recv_frame, "", "");
KSYMTAB_FUNC(s3fwrn5_phy_set_wake, "", "");
KSYMTAB_FUNC(s3fwrn5_phy_power_ctrl, "", "");
KSYMTAB_FUNC(s3fwrn5_phy_set_mode, "", "");
KSYMTAB_FUNC(s3fwrn5_phy_get_mode, "", "");

SYMBOL_CRC(s3fwrn5_probe, 0xf771cc90, "");
SYMBOL_CRC(s3fwrn5_remove, 0xdb294f9f, "");
SYMBOL_CRC(s3fwrn5_recv_frame, 0x03d6a209, "");
SYMBOL_CRC(s3fwrn5_phy_set_wake, 0x774203fc, "");
SYMBOL_CRC(s3fwrn5_phy_power_ctrl, 0x0171c6de, "");
SYMBOL_CRC(s3fwrn5_phy_set_mode, 0xedb12f10, "");
SYMBOL_CRC(s3fwrn5_phy_get_mode, 0xf2ab60da, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5664bc6b, "crypto_shash_tfm_digest" },
	{ 0xa6257a2f, "complete" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x6f18a64c, "request_firmware" },
	{ 0xd293f57d, "gpiod_set_raw_value" },
	{ 0x69acdf38, "memcpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xeb2e3ff4, "crypto_destroy_tfm" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xad30cd20, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6bc945a6, "_dev_info" },
	{ 0x23969a38, "_dev_err" },
	{ 0x572093f7, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4f26eb1b, "nci_core_reset" },
	{ 0xe8b35b82, "nci_prop_cmd" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x77eb31ce, "nci_unregister_device" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa5b46c8, "nci_core_init" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x8886ce1f, "gpio_to_desc" },
	{ 0xf69f0ea7, "nci_recv_frame" },
	{ 0x754d539c, "strlen" },
	{ 0xa5c0ef29, "crypto_alloc_shash" },
	{ 0xc385e81, "nci_req_complete" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2632abcd, "nci_free_device" },
	{ 0x512e73c8, "nci_allocate_device" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x57a4816d, "nci_register_device" },
	{ 0xb20bd3ab, "devm_kmalloc" },
	{ 0x57b55d65, "skb_put" },
	{ 0x6650111a, "consume_skb" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "nci");


MODULE_INFO(srcversion, "17D4D3F7D2E69284C999E53");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
