#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cxgbi_device_portmap_create, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_portmap_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_register, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister_all, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_lldev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev_rcu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_remove, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_add, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_free_cpl_skbs, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_established, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_closed, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_fail_act_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_act_open_req_arp_failure, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_abort_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_peer_close, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_close_conn_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_wr_ack, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_select_mss, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_skb_entail, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_purge_wr_queue, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_check_wr_invariants, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_set_one_ppod, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_ppm_setup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_parse_pdu_itt, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_tx_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_pdu_ready, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_alloc_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_init_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_xmit_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_conn_stats, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_conn_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_ep_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_bind_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_destroy_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_connect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_poll, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_disconnect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_init, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_attr_is_visible, "_gpl", "");

SYMBOL_CRC(cxgbi_device_portmap_create, 0xedb6d212, "_gpl");
SYMBOL_CRC(cxgbi_device_portmap_cleanup, 0xecd7b804, "_gpl");
SYMBOL_CRC(cxgbi_device_register, 0x3c432c17, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister, 0x0be43c1d, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister_all, 0x7fdb6004, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_lldev, 0x438a2682, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev, 0xe9da867f, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev_rcu, 0x4b9e7ae5, "_gpl");
SYMBOL_CRC(cxgbi_hbas_remove, 0x261f6e8e, "_gpl");
SYMBOL_CRC(cxgbi_hbas_add, 0xf94be0ea, "_gpl");
SYMBOL_CRC(cxgbi_sock_free_cpl_skbs, 0x8e48a5d1, "_gpl");
SYMBOL_CRC(cxgbi_sock_established, 0x2b7e10a6, "_gpl");
SYMBOL_CRC(cxgbi_sock_closed, 0x95b19fd9, "_gpl");
SYMBOL_CRC(cxgbi_sock_fail_act_open, 0x23843e11, "_gpl");
SYMBOL_CRC(cxgbi_sock_act_open_req_arp_failure, 0x844e705e, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_abort_rpl, 0x2c3aeefe, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_peer_close, 0x0511e35f, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_close_conn_rpl, 0xfd07bef5, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_wr_ack, 0x5b3ea51c, "_gpl");
SYMBOL_CRC(cxgbi_sock_select_mss, 0xd6e676a6, "_gpl");
SYMBOL_CRC(cxgbi_sock_skb_entail, 0xc934dc87, "_gpl");
SYMBOL_CRC(cxgbi_sock_purge_wr_queue, 0xdfb71ebf, "_gpl");
SYMBOL_CRC(cxgbi_sock_check_wr_invariants, 0x61376eb5, "_gpl");
SYMBOL_CRC(cxgbi_ddp_set_one_ppod, 0x8319f739, "_gpl");
SYMBOL_CRC(cxgbi_ddp_ppm_setup, 0xa017473f, "_gpl");
SYMBOL_CRC(cxgbi_parse_pdu_itt, 0x1d6edc5c, "_gpl");
SYMBOL_CRC(cxgbi_conn_tx_open, 0x36592bac, "_gpl");
SYMBOL_CRC(cxgbi_conn_pdu_ready, 0xa5fdd3bf, "_gpl");
SYMBOL_CRC(cxgbi_conn_alloc_pdu, 0x7dfc4b1d, "_gpl");
SYMBOL_CRC(cxgbi_conn_init_pdu, 0x99ff5ecf, "_gpl");
SYMBOL_CRC(cxgbi_conn_xmit_pdu, 0x8d696cb9, "_gpl");
SYMBOL_CRC(cxgbi_cleanup_task, 0x1f855f3d, "_gpl");
SYMBOL_CRC(cxgbi_get_conn_stats, 0x0534efb7, "_gpl");
SYMBOL_CRC(cxgbi_set_conn_param, 0xa0ea70e8, "_gpl");
SYMBOL_CRC(cxgbi_get_ep_param, 0xdb77f6e1, "_gpl");
SYMBOL_CRC(cxgbi_create_conn, 0x259e3353, "_gpl");
SYMBOL_CRC(cxgbi_bind_conn, 0x0080a83c, "_gpl");
SYMBOL_CRC(cxgbi_create_session, 0xe616fae6, "_gpl");
SYMBOL_CRC(cxgbi_destroy_session, 0x3e92ffbc, "_gpl");
SYMBOL_CRC(cxgbi_set_host_param, 0x3390f639, "_gpl");
SYMBOL_CRC(cxgbi_get_host_param, 0xb6da3e9c, "_gpl");
SYMBOL_CRC(cxgbi_ep_connect, 0x2b415be8, "_gpl");
SYMBOL_CRC(cxgbi_ep_poll, 0x33d76fcf, "_gpl");
SYMBOL_CRC(cxgbi_ep_disconnect, 0x1b060add, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_init, 0x8c780318, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_cleanup, 0xb7aa4f36, "_gpl");
SYMBOL_CRC(cxgbi_attr_is_visible, 0xef346615, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x122c3a7e, "_printk" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4bc1a913, "vlan_dev_real_dev" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xce175413, "iscsi_host_remove" },
	{ 0xededc6e4, "pci_dev_put" },
	{ 0xd89f227f, "iscsi_host_free" },
	{ 0x89fd9dc7, "pci_dev_get" },
	{ 0x7afc6919, "iscsi_host_add" },
	{ 0x639879cb, "iscsi_host_alloc" },
	{ 0x6610f998, "scsi_host_put" },
	{ 0x572093f7, "kfree_skb_reason" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x294f9b2e, "cxgbi_ppm_init" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x37ef0c4d, "iscsi_conn_queue_xmit" },
	{ 0x686dc428, "__kfree_skb" },
	{ 0x5ef70ce, "iscsi_tcp_cleanup_task" },
	{ 0xc5744ca9, "cxgbi_ppm_ppod_release" },
	{ 0x70beb809, "dma_unmap_sg_attrs" },
	{ 0x37a0cba, "kfree" },
	{ 0xeab9cbd5, "iscsi_conn_get_addr_param" },
	{ 0x9e1dd987, "iscsi_tcp_conn_setup" },
	{ 0x12b93d6f, "iscsi_session_setup" },
	{ 0x968218b9, "iscsi_tcp_r2tpool_alloc" },
	{ 0xe37700ff, "iscsi_session_teardown" },
	{ 0x8a702652, "iscsi_tcp_r2tpool_free" },
	{ 0x1896d90, "iscsi_host_set_param" },
	{ 0x1b6314fd, "in_aton" },
	{ 0xcc998ff4, "_dev_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x81533963, "sysfs_format_mac" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x89805710, "iscsi_host_get_param" },
	{ 0x4bdce037, "iscsi_unregister_transport" },
	{ 0x1b05e42c, "alloc_pages" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x7538aba7, "iscsi_conn_failure" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8ef26a1d, "iscsi_register_transport" },
	{ 0x579eb654, "init_net" },
	{ 0x75e7340c, "ip6_route_output_flags" },
	{ 0x448167d1, "iscsi_tcp_set_max_r2t" },
	{ 0xfa7721aa, "iscsi_set_param" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4aa70cdb, "iscsi_tcp_recv_segment_is_hdr" },
	{ 0xf80d1ec9, "iscsi_tcp_recv_skb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xef7de904, "iscsi_lookup_endpoint" },
	{ 0x3de9e79c, "iscsi_conn_bind" },
	{ 0x576037e, "iscsi_put_endpoint" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xa924f65f, "iscsi_tcp_hdr_recv_prep" },
	{ 0xc293701, "kmalloc_caches" },
	{ 0xa3a30692, "kmalloc_trace" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xe888bc82, "iscsi_itt_to_ctask" },
	{ 0x7d6a2b3f, "dst_release" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xae04c792, "cxgbi_ppm_release" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc08f0229, "__put_devmap_managed_page_refs" },
	{ 0x44d35a3, "__folio_put" },
	{ 0xcca19224, "module_put" },
	{ 0x3343df27, "iscsi_destroy_endpoint" },
	{ 0xad30cd20, "__alloc_skb" },
	{ 0xbc473c05, "cxgbi_ppm_ppods_reserve" },
	{ 0x944e04fc, "dma_map_sg_attrs" },
	{ 0x3a7e88e2, "cxgbi_ppm_make_ppod_hdr" },
	{ 0xc69e6c3f, "ipv6_dev_get_saddr" },
	{ 0x39445190, "make_kuid" },
	{ 0xc84255fa, "ip_route_output_flow" },
	{ 0x99309e6a, "neigh_destroy" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x6f65184a, "iscsi_create_endpoint" },
	{ 0x70196d4a, "__ip_dev_find" },
	{ 0x57b55d65, "skb_put" },
	{ 0x6efa9c3c, "pcpu_hot" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x69acdf38, "memcpy" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x1a73ff62, "param_ops_uint" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "libiscsi,scsi_mod,libcxgb,libiscsi_tcp,scsi_transport_iscsi");


MODULE_INFO(srcversion, "181A7A8849EFD318708C8E5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
