#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(__tracepoint_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_session, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_session, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_lookup_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_ipaddress_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_router_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_flashnode_bus_match, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_all_flashnode, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_chkready, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_online, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_dev, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_for_each_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_scsi_eh, "_gpl", "");
KSYMTAB_FUNC(iscsi_unblock_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_force_destroy_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_free_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_recv_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_offload_mesg, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_error_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_login_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_post_host_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_ping_comp_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_discovery_parent_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_speed_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_register_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_dbg_trace, "_gpl", "");

SYMBOL_CRC(__tracepoint_iscsi_dbg_conn, 0xb9382ea5, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_conn, 0x2ed6f1c0, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_conn, 0xd3a20002, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_conn, 0x15dc8bab, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_eh, 0x9b1ebc9b, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_eh, 0xf715bc4a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_eh, 0xfa603960, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_eh, 0xf7e749fb, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_session, 0x998326ca, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_session, 0x282ba516, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_session, 0x5e691e33, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_session, 0x52575134, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_tcp, 0xd061197a, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_tcp, 0x079fe515, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_tcp, 0xfa6f4c6b, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_tcp, 0xa8c4b5e1, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_sw_tcp, 0x034cbef6, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_sw_tcp, 0x9e8ebeef, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_sw_tcp, 0x3edcf38d, "_gpl");
SYMBOL_CRC(__SCT__tp_func_iscsi_dbg_sw_tcp, 0xdf515c49, "_gpl");
SYMBOL_CRC(iscsi_create_endpoint, 0x6f65184a, "_gpl");
SYMBOL_CRC(iscsi_destroy_endpoint, 0x3343df27, "_gpl");
SYMBOL_CRC(iscsi_put_endpoint, 0x0576037e, "_gpl");
SYMBOL_CRC(iscsi_lookup_endpoint, 0xef7de904, "_gpl");
SYMBOL_CRC(iscsi_get_ipaddress_state_name, 0xbc071179, "_gpl");
SYMBOL_CRC(iscsi_get_router_state_name, 0x84a005f1, "_gpl");
SYMBOL_CRC(iscsi_create_iface, 0x6c44a9e7, "_gpl");
SYMBOL_CRC(iscsi_destroy_iface, 0x6b606b25, "_gpl");
SYMBOL_CRC(iscsi_flashnode_bus_match, 0xd0aad9c2, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_sess, 0x2dda388c, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_conn, 0x1a9c4985, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_sess, 0x1b13460b, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_conn, 0x8cd17908, "_gpl");
SYMBOL_CRC(iscsi_destroy_flashnode_sess, 0x0c9f8c74, "_gpl");
SYMBOL_CRC(iscsi_destroy_all_flashnode, 0xde74f5a4, "_gpl");
SYMBOL_CRC(iscsi_session_chkready, 0xe8b67e3a, "_gpl");
SYMBOL_CRC(iscsi_is_session_online, 0x3f960b1e, "_gpl");
SYMBOL_CRC(iscsi_is_session_dev, 0x551fff17, "_gpl");
SYMBOL_CRC(iscsi_host_for_each_session, 0xf943332f, "_gpl");
SYMBOL_CRC(iscsi_block_scsi_eh, 0x0b8bdaab, "_gpl");
SYMBOL_CRC(iscsi_unblock_session, 0x27de447d, "_gpl");
SYMBOL_CRC(iscsi_block_session, 0xf1301140, "_gpl");
SYMBOL_CRC(iscsi_alloc_session, 0x4b927843, "_gpl");
SYMBOL_CRC(iscsi_add_session, 0xa7de5ee9, "_gpl");
SYMBOL_CRC(iscsi_create_session, 0x3cc32253, "_gpl");
SYMBOL_CRC(iscsi_remove_session, 0x42d6a3fe, "_gpl");
SYMBOL_CRC(iscsi_force_destroy_session, 0xd9655d57, "_gpl");
SYMBOL_CRC(iscsi_free_session, 0x34363144, "_gpl");
SYMBOL_CRC(iscsi_alloc_conn, 0xc5c0736d, "_gpl");
SYMBOL_CRC(iscsi_add_conn, 0x381a14f1, "_gpl");
SYMBOL_CRC(iscsi_remove_conn, 0x404664c3, "_gpl");
SYMBOL_CRC(iscsi_put_conn, 0x9b7d7535, "_gpl");
SYMBOL_CRC(iscsi_get_conn, 0x68923b2d, "_gpl");
SYMBOL_CRC(iscsi_recv_pdu, 0x33dc5384, "_gpl");
SYMBOL_CRC(iscsi_offload_mesg, 0x8c914eed, "_gpl");
SYMBOL_CRC(iscsi_conn_error_event, 0xf1da6791, "_gpl");
SYMBOL_CRC(iscsi_conn_login_event, 0x5d39ce3e, "_gpl");
SYMBOL_CRC(iscsi_post_host_event, 0xd5ec9b40, "_gpl");
SYMBOL_CRC(iscsi_ping_comp_event, 0x5304a2f8, "_gpl");
SYMBOL_CRC(iscsi_session_event, 0x02a0cc5f, "_gpl");
SYMBOL_CRC(iscsi_get_discovery_parent_name, 0x699fe53e, "_gpl");
SYMBOL_CRC(iscsi_get_port_speed_name, 0x022db3f1, "_gpl");
SYMBOL_CRC(iscsi_get_port_state_name, 0x26514477, "_gpl");
SYMBOL_CRC(iscsi_register_transport, 0x8ef26a1d, "_gpl");
SYMBOL_CRC(iscsi_unregister_transport, 0x4bdce037, "_gpl");
SYMBOL_CRC(iscsi_dbg_trace, 0x9c8b13e1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x754d539c, "strlen" },
	{ 0x148653, "vsnprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xe914e41e, "strcpy" },
	{ 0xd9f69ea4, "perf_trace_run_bpf_submit" },
	{ 0xfb66856d, "trace_event_buffer_reserve" },
	{ 0x9e987a9e, "trace_event_buffer_commit" },
	{ 0x44c512df, "__trace_trigger_soft_disabled" },
	{ 0x9c2f19c5, "trace_raw_output_prep" },
	{ 0x8b8f4c16, "trace_event_printf" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc5799bdc, "bpf_trace_run2" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xbc4df392, "put_device" },
	{ 0x35b61713, "device_unregister" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x6b8792f4, "sysfs_remove_group" },
	{ 0x20978fb9, "idr_find" },
	{ 0x77f9fe8f, "get_device" },
	{ 0x6ae875a1, "device_find_child" },
	{ 0x4009cef2, "device_for_each_child" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf7370f56, "system_state" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe04d378a, "transport_remove_device" },
	{ 0xfc155a2e, "transport_destroy_device" },
	{ 0x79c58e9, "device_del" },
	{ 0xc6cbbc89, "capable" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x708ba0c, "scsi_target_unblock" },
	{ 0xcc998ff4, "_dev_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x219bc3d7, "netlink_kernel_release" },
	{ 0xc19bcfc2, "bus_unregister" },
	{ 0xad89102a, "transport_class_unregister" },
	{ 0xb7066e5, "class_unregister" },
	{ 0x28f98545, "class_register" },
	{ 0xfc0b6cb6, "transport_class_register" },
	{ 0x38ee4522, "bus_register" },
	{ 0x579eb654, "init_net" },
	{ 0x236fcfa2, "__netlink_kernel_create" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6efa9c3c, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeeb0382d, "scsi_host_get" },
	{ 0x91d2cf10, "device_initialize" },
	{ 0xba0cd106, "device_add" },
	{ 0x6d0fac66, "transport_setup_device" },
	{ 0xfa282dab, "transport_add_device" },
	{ 0xfbc292da, "attribute_container_unregister" },
	{ 0xc5edc26d, "scsi_is_host_device" },
	{ 0xbe7e3ad3, "bsg_remove_queue" },
	{ 0x6610f998, "scsi_host_put" },
	{ 0xe3ae263e, "bsg_job_done" },
	{ 0x2f3353ee, "scsi_block_targets" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1c64a0fb, "bsg_setup_queue" },
	{ 0xae681a0b, "__scsi_init_queue" },
	{ 0xd131a0ae, "scsi_scan_target" },
	{ 0xad30cd20, "__alloc_skb" },
	{ 0xfcff8f54, "__nlmsg_put" },
	{ 0x5ec6281b, "netlink_broadcast" },
	{ 0xc293701, "kmalloc_caches" },
	{ 0xa3a30692, "kmalloc_trace" },
	{ 0x7cef701f, "dev_set_name" },
	{ 0xd6d3035d, "device_register" },
	{ 0x1a1505bf, "sysfs_create_group" },
	{ 0x7a1b32a4, "attribute_container_register" },
	{ 0x572093f7, "kfree_skb_reason" },
	{ 0x77cfd1d8, "scsi_remove_target" },
	{ 0xffb7c514, "ida_free" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x3be35fb4, "netlink_capable" },
	{ 0xfcdcf5e8, "try_module_get" },
	{ 0x709331ad, "scsi_host_lookup" },
	{ 0xcca19224, "module_put" },
	{ 0xb6721693, "netlink_unicast" },
	{ 0x7f6bab41, "skb_pull" },
	{ 0x238a2c26, "skb_trim" },
	{ 0xfb578fc5, "memset" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x65eafe86, "param_ops_int" },
	{ 0x8466d15f, "trace_event_reg" },
	{ 0xcd235d0b, "trace_event_raw_init" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "29E682DBE647E8F842F1344");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
