#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(staging, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f5cdf80, "dvb_ringbuffer_write" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2ff2596c, "saa7146_register_device" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xdb0d144f, "ttpci_eeprom_parse_mac" },
	{ 0x70c76c51, "dvb_frontend_detach" },
	{ 0x6181aec0, "dvb_ringbuffer_flush_spinlock_wakeup" },
	{ 0xdb6f36fe, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x92a042f4, "kthread_create_on_node" },
	{ 0x8d0d0225, "dvb_net_release" },
	{ 0xd53e1311, "rc_allocate_device" },
	{ 0x8522d6bc, "strncpy_from_user" },
	{ 0x1246634b, "saa7146_set_hps_source_and_sync" },
	{ 0xdd64e639, "strscpy" },
	{ 0x164a4cec, "dma_free_attrs" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4b588d6e, "dvb_unregister_frontend" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x56470118, "__warn_printk" },
	{ 0x91a6794b, "dvb_ringbuffer_read_user" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x28b46899, "dvb_register_device" },
	{ 0xf558aa97, "i2c_transfer" },
	{ 0xa39f14df, "dvb_register_frontend" },
	{ 0xd9aa37cf, "saa7146_setgpio" },
	{ 0xef8914a, "saa7146_vmalloc_build_pgtable" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x56bb903e, "dvb_unregister_adapter" },
	{ 0x54abe4ff, "dvb_dmx_init" },
	{ 0x65eafe86, "param_ops_int" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xcf5b2801, "saa7146_vfree_destroy_pgtable" },
	{ 0xebbc2d9b, "dvb_ringbuffer_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xab8b521b, "rc_unregister_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfc6380e5, "dvb_ringbuffer_free" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x77052472, "dvb_dmxdev_init" },
	{ 0x55f73012, "saa7146_unregister_extension" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xc5351257, "saa7146_vv_init" },
	{ 0xf292da6, "saa7146_wait_for_debi_done" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x6f18a64c, "request_firmware" },
	{ 0x43b1f479, "saa7146_i2c_adapter_prepare" },
	{ 0xccd0dc01, "dma_sync_sg_for_cpu" },
	{ 0x39833619, "param_array_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb3352dd2, "dvb_ringbuffer_empty" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x39701bff, "saa7146_vv_release" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xc36ad8b4, "dvb_register_adapter" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x633ac09a, "wake_up_process" },
	{ 0xe138ce6b, "dvb_ringbuffer_avail" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x5654ed83, "dvb_generic_open" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x928faa67, "video_devdata" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x18acd31f, "dvb_dmx_swfilter_packets" },
	{ 0x567ce34c, "dvb_generic_ioctl" },
	{ 0xf35c1b1e, "saa7146_register_extension" },
	{ 0xa916b694, "strnlen" },
	{ 0x63b52db3, "i2c_del_adapter" },
	{ 0xfb09f39a, "dvb_ringbuffer_read" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x868784cb, "__symbol_get" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9263a063, "dvb_dmx_release" },
	{ 0xb56a8d9a, "dvb_unregister_device" },
	{ 0x4f6abd47, "noop_llseek" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x5ede9c84, "rc_register_device" },
	{ 0xe8450376, "dma_alloc_attrs" },
	{ 0xfa2ce992, "rc_keydown" },
	{ 0xd1ba1f2, "dvb_generic_release" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xfd5faeca, "dvb_net_init" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xc92dee37, "saa7146_unregister_device" },
	{ 0x256d228, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xbf045810, "dvb_dmxdev_release" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc315f5e4, "param_ops_short" },
	{ 0xef9a5153, "default_llseek" },
	{ 0x1d087e91, "rc_free_device" },
	{ 0xfb578fc5, "memset" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,saa7146_vv,ttpci-eeprom,rc-core,saa7146,videodev");

MODULE_ALIAS("pci:v00001131d00007146sv0000110Asd00000000bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007146sv000013C2sd00000000bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007146sv000013C2sd00000001bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007146sv000013C2sd00000002bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007146sv000013C2sd00000003bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007146sv000013C2sd00000004bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007146sv000013C2sd00000006bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007146sv000013C2sd00000008bc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007146sv000013C2sd0000000Abc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007146sv000013C2sd0000000Ebc*sc*i*");
MODULE_ALIAS("pci:v00001131d00007146sv000013C2sd00001002bc*sc*i*");

MODULE_INFO(srcversion, "1F23075825DD1E13BA1CBCE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
