#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dccp_v4_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_req_err, "", "");
KSYMTAB_FUNC(dccp_v4_send_check, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_request_recv_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_syn_ack_timeout, "", "");
KSYMTAB_FUNC(dccp_v4_conn_request, "_gpl", "");
KSYMTAB_FUNC(dccp_v4_do_rcv, "_gpl", "");
KSYMTAB_FUNC(dccp_invalid_packet, "_gpl", "");

SYMBOL_CRC(dccp_v4_connect, 0x3c62f53f, "_gpl");
SYMBOL_CRC(dccp_req_err, 0x5a9d1613, "");
SYMBOL_CRC(dccp_v4_send_check, 0xc9bfb068, "_gpl");
SYMBOL_CRC(dccp_v4_request_recv_sock, 0x0280f737, "_gpl");
SYMBOL_CRC(dccp_syn_ack_timeout, 0xf70163ac, "");
SYMBOL_CRC(dccp_v4_conn_request, 0xde819bb6, "_gpl");
SYMBOL_CRC(dccp_v4_do_rcv, 0x41b2aadb, "_gpl");
SYMBOL_CRC(dccp_invalid_packet, 0x5b12794f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xff2a2a61, "dccp_rcv_state_process" },
	{ 0x89778e2a, "dccp_reqsk_send_ack" },
	{ 0xe2d64700, "inet_lookup_reuseport" },
	{ 0x634ce7a8, "__inet_lookup_listener" },
	{ 0x8d69b080, "inet_csk_accept" },
	{ 0x86be7924, "dccp_packet_name" },
	{ 0xc9c71175, "sock_common_getsockopt" },
	{ 0xf1edb53d, "inet_bind" },
	{ 0x3e143d12, "__inet_inherit_port" },
	{ 0xad308f17, "inet_dccp_listen" },
	{ 0xd4592578, "security_inet_conn_request" },
	{ 0x37a0cba, "kfree" },
	{ 0xf25676c5, "inet_register_protosw" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x6efa9c3c, "pcpu_hot" },
	{ 0x124a1f52, "__xfrm_policy_check" },
	{ 0xa5dd5779, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xc84255fa, "ip_route_output_flow" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xff1ad019, "inet_csk_reqsk_queue_hash_add" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x4cdd391d, "dccp_feat_list_purge" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1fa1663e, "sk_error_report" },
	{ 0x18ad5c97, "register_pernet_subsys" },
	{ 0x978b36b2, "inet_ehash_nolisten" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe66806f9, "inet_getname" },
	{ 0x42d86acc, "inet_stream_connect" },
	{ 0xaae35616, "proto_unregister" },
	{ 0x1cb769ad, "inet_reqsk_alloc" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd3315b8, "inet_ehashfn" },
	{ 0xf87b0872, "inet_twsk_purge" },
	{ 0xa46668a9, "dccp_done" },
	{ 0x6b5b45c3, "inet_release" },
	{ 0x3efa8ca2, "__sk_dst_check" },
	{ 0x8f2fc94, "dccp_disconnect" },
	{ 0x5b9ad011, "ip_route_output_key_hash" },
	{ 0xc20e2459, "proto_register" },
	{ 0x90e0ad2c, "inet_hash" },
	{ 0x7694db03, "__sk_receive_skb" },
	{ 0x3710930, "dccp_poll" },
	{ 0x6b094811, "inet_ctl_sock_create" },
	{ 0x8171199a, "dccp_death_row" },
	{ 0xb64a8fa5, "inet_csk_get_port" },
	{ 0x4ede0612, "inet_ioctl" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xc65e4e97, "secure_dccp_sequence_number" },
	{ 0x976b4e0, "inet_csk_reqsk_queue_drop_and_put" },
	{ 0x458e35f6, "inet_accept" },
	{ 0x2cc24fb9, "dccp_sync_mss" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf8fa64b2, "ip6_mtu" },
	{ 0xd75b7072, "dccp_orphan_count" },
	{ 0xc4cbc059, "inet_add_protocol" },
	{ 0x480c0d4c, "inet_shutdown" },
	{ 0x325d0945, "sk_free" },
	{ 0x79acaf15, "dccp_close" },
	{ 0x572093f7, "kfree_skb_reason" },
	{ 0x4c641b2f, "dccp_reqsk_init" },
	{ 0xd02b047c, "inet_hash_connect" },
	{ 0x6aca5465, "kmem_cache_free" },
	{ 0x63b89fe9, "inet_csk_route_child_sock" },
	{ 0x8c4bb859, "inet_csk_route_req" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7fdeed2c, "security_sk_classify_flow" },
	{ 0xfcfabbd5, "inet_csk_update_pmtu" },
	{ 0x56963b7b, "dccp_getsockopt" },
	{ 0xe0d9cd33, "dccp_parse_options" },
	{ 0x6ed5a388, "unregister_pernet_subsys" },
	{ 0xb8b979d6, "skb_checksum" },
	{ 0x3e098622, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf4d5f61c, "sock_no_mmap" },
	{ 0xe11dda33, "__pskb_pull_tail" },
	{ 0xb6c872dd, "dccp_child_process" },
	{ 0xe52f73ce, "sock_common_recvmsg" },
	{ 0xa9da5346, "dccp_setsockopt" },
	{ 0x365e0769, "dccp_ioctl" },
	{ 0xe12a56bc, "inet_sk_rebuild_header" },
	{ 0xf996e9e5, "inet_del_protocol" },
	{ 0x2f1dc689, "ipv4_mtu" },
	{ 0xa196ee2e, "dccp_recvmsg" },
	{ 0x58acd897, "inet_sendmsg" },
	{ 0x4ff6e478, "dccp_check_req" },
	{ 0x359a9e0b, "dccp_create_openreq_child" },
	{ 0x992c6ff9, "inet_csk_prepare_forced_close" },
	{ 0x56876eb1, "security_skb_classify_flow" },
	{ 0xbcc15f47, "sock_pfree" },
	{ 0x3571e313, "dccp_rcv_established" },
	{ 0x207e65db, "dccp_send_sync" },
	{ 0x7d6a2b3f, "dst_release" },
	{ 0xc86ee48e, "sock_release" },
	{ 0x2810ca9e, "dccp_make_response" },
	{ 0x3f6b1de2, "dccp_destroy_sock" },
	{ 0x6a36c1f4, "dccp_ctl_make_reset" },
	{ 0x45369d00, "sock_gettstamp" },
	{ 0xc44227c5, "sk_setup_caps" },
	{ 0xd39abdf2, "ip_build_and_send_pkt" },
	{ 0x39dc659a, "dccp_sendmsg" },
	{ 0x189b723e, "ip_setsockopt" },
	{ 0xd7cdb975, "dccp_hashinfo" },
	{ 0xc9761b2b, "inet_twsk_put" },
	{ 0x6146cbcb, "inet_unhash" },
	{ 0x336725e7, "ip_getsockopt" },
	{ 0xda295667, "dccp_set_state" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x8371458f, "dccp_init_sock" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0x59814a84, "dccp_statistics" },
	{ 0x82f0661a, "inet_csk_reqsk_queue_drop" },
	{ 0x16c90e96, "__inet_lookup_established" },
	{ 0xb94e7f9a, "inet_bhash2_reset_saddr" },
	{ 0x1400056e, "inet_csk_addr2sockaddr" },
	{ 0x876fd5df, "inet_unregister_protosw" },
	{ 0x14355d5b, "ip_queue_xmit" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xae19e7d5, "dccp_shutdown" },
	{ 0x45118448, "inet_bhash2_update_saddr" },
	{ 0x7574fa2, "dccp_connect" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "dccp");


MODULE_INFO(srcversion, "7CD7B0311F5E62658C36AA3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
