#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l41_probe, "_gpl", "");
KSYMTAB_FUNC(cs35l41_remove, "_gpl", "");
KSYMTAB_DATA(cs35l41_pm_ops, "_gpl", "");

SYMBOL_CRC(cs35l41_probe, 0x21be4be4, "_gpl");
SYMBOL_CRC(cs35l41_remove, 0xd791f331, "_gpl");
SYMBOL_CRC(cs35l41_pm_ops, 0x2ced2542, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x1300e139, "devm_gpiod_get_optional" },
	{ 0x1f50cc5d, "cs35l41_init_boost" },
	{ 0x7454eca2, "cs35l41_enter_hibernate" },
	{ 0x5c7f79c4, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x98583477, "__pm_runtime_set_status" },
	{ 0x2d652c30, "devm_snd_soc_register_component" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2b92d5db, "pm_runtime_enable" },
	{ 0x2c9929d2, "regulator_bulk_disable" },
	{ 0xe636a73f, "device_property_read_u32_array" },
	{ 0x897db8eb, "snd_soc_get_enum_double" },
	{ 0x6bc945a6, "_dev_info" },
	{ 0x7d0132b0, "snd_soc_info_volsw" },
	{ 0x32e2a291, "regmap_multi_reg_write_bypassed" },
	{ 0x23969a38, "_dev_err" },
	{ 0x25393198, "wm_adsp_event" },
	{ 0xac969115, "snd_soc_dapm_put_volsw" },
	{ 0x1a1cf9, "cs35l41_test_key_unlock" },
	{ 0x72192dfd, "cs35l41_test_key_lock" },
	{ 0x819f252d, "snd_pcm_hw_constraint_list" },
	{ 0xddccdc43, "wm_adsp_fw_enum" },
	{ 0x389e86c7, "cs35l41_safe_reset" },
	{ 0x72eb7fac, "_dev_warn" },
	{ 0xb5f83d71, "wm_adsp2_component_probe" },
	{ 0x4b09cb65, "wm_adsp2_preloader_put" },
	{ 0x20412b61, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x70ebc779, "wm_adsp2_preloader_get" },
	{ 0x31411dab, "snd_soc_info_enum_double" },
	{ 0xd013b32e, "regulator_bulk_enable" },
	{ 0x89e1ec9d, "acpi_get_subsystem_id" },
	{ 0xa3a7018d, "devm_regulator_bulk_get" },
	{ 0xe1a1c3d8, "snd_soc_info_volsw_sx" },
	{ 0xb33fd549, "cs35l41_otp_unpack" },
	{ 0x5c2be99d, "wm_adsp2_component_remove" },
	{ 0x463bd96a, "snd_soc_get_volsw" },
	{ 0x7851c6f0, "cs35l41_exit_hibernate" },
	{ 0x9262a177, "regmap_read" },
	{ 0x1406298a, "snd_soc_put_volsw" },
	{ 0xa6f19189, "wm_adsp_fw_get" },
	{ 0x952a13ed, "__pm_runtime_resume" },
	{ 0x37362115, "cs35l41_set_cspl_mbox_cmd" },
	{ 0xe04b81bb, "cs35l41_write_fs_errata" },
	{ 0x15edf319, "snd_soc_dapm_new_controls" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xd34d21e9, "cs35l41_configure_cs_dsp" },
	{ 0x2bb5262b, "_dev_crit" },
	{ 0xefa6f6f7, "regmap_update_bits_base" },
	{ 0x567c0d52, "dev_err_probe" },
	{ 0x5ab35e41, "snd_soc_dapm_get_volsw" },
	{ 0x962540c3, "__pm_runtime_suspend" },
	{ 0x58de8f76, "snd_soc_dapm_get_enum_double" },
	{ 0xf8e44dc4, "__pm_runtime_use_autosuspend" },
	{ 0x4e5e38b8, "wm_halo_init" },
	{ 0x2294531, "wm_adsp_early_event" },
	{ 0x5c07f049, "cs35l41_set_channels" },
	{ 0x2d96cf1f, "__pm_runtime_disable" },
	{ 0x36c475ff, "cs35l41_mdsync_up" },
	{ 0xf1a2bd5a, "snd_soc_get_volsw_sx" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xe92ff6ad, "cs35l41_gpio_config" },
	{ 0x8221eaf3, "snd_soc_dapm_put_enum_double" },
	{ 0x9d139d95, "wm_adsp_fw_put" },
	{ 0x5b01b6eb, "device_property_present" },
	{ 0x860ed1f0, "cs35l41_global_enable" },
	{ 0x9decddae, "regcache_cache_only" },
	{ 0x2f2c695d, "is_acpi_device_node" },
	{ 0x9fac1084, "regcache_sync" },
	{ 0x5b8dcaa7, "regmap_write" },
	{ 0x5333de2e, "devm_request_threaded_irq" },
	{ 0x1494c004, "snd_soc_put_volsw_sx" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xeb3b7c5a, "pm_runtime_set_autosuspend_delay" },
	{ 0x3347c216, "cs35l41_register_errata_patch" },
	{ 0x2bbc54a6, "gpiod_set_value_cansleep" },
	{ 0x37a0cba, "kfree" },
	{ 0x31f8568d, "wm_adsp2_remove" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xba742996, "snd_soc_put_enum_double" },
	{ 0x3e83f797, "regcache_mark_dirty" },
	{ 0x6845e1a5, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-cs35l41-lib,snd-soc-core,snd-soc-wm-adsp,snd-pcm");


MODULE_INFO(srcversion, "1B8BD72A555B1E8A00618FD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
